import { CodegenConfig } from '@graphql-codegen/cli'

const config: CodegenConfig = {
  // schema: 'https://hq-bff-service.downtown8.net/graphql', //指定bff请求地址
  schema: 'https://hq-bff-service.downtown8.com.cn/graphql', //指定bff请求地址
  // schema: 'http://127.0.0.1:4567/graphql', //指定bff请求地址
  documents: './src/**/!(*.d).{ts,tsx}', //前端请求是编写的graphql的schema
  ignoreNoDocuments: true,
  generates: {
    './src/gql/': {
      //生成文件的目录
      preset: 'client',
      presetConfig: {
        fragmentMasking: false,
        gqlTagName: 'gql', //指定导出的方法名是gql,与@apollo/client中的gql用法一样
      },
      config: {
        // skipTypename: true,
        avoidOptionals: {
          field: true,
          object: true,
          defaultValue: true,
        },
      },
    },
  },
  hooks: {
    beforeOneFileWrite(path: string, content: string) {
      if (path.endsWith('graphql.ts')) {
        return content.replace(/\s*\|\s*null/g, '')
      }
      return content
    },
  },
}

export default config
