// import child_process from 'child_process'

// 格式化时间
function formatDate(dateString) {
  const date = new Date(dateString)
  const year = date.getFullYear().toString().slice(2)
  const month = (date.getMonth() + 1).toString().padStart(2, '0')
  const day = date.getDate().toString().padStart(2, '0')
  const hours = date.getHours().toString().padStart(2, '0')
  const minutes = date.getMinutes().toString().padStart(2, '0')
  return `${year}${month}${day}${hours}${minutes}`
}

// 构建时 git 信息
// const commitDateObj = new Date(child_process.execSync('git show -s --format=%cd').toString())
// const commitHash = child_process.execSync('git show -s --format=%H').toString().trim()
// const commitBranch = child_process.execSync('git rev-parse --abbrev-ref HEAD').toString().trim()
// const commitDate = `${commitDateObj.getFullYear() + '-' + (commitDateObj.getMonth() + 1) + '-' + commitDateObj.getDate() + ' ' + commitDateObj.getHours() + ':' + commitDateObj.getMinutes()}`

// 构建信息
const nowDate = new Date(+new Date() + 8 * 3600 * 1000)
const buildDate = formatDate(
  new Date(nowDate)
    .toISOString()
    .replace(/T/g, ' ')
    .replace(/\.[\d]{3}Z/, '')
)

const appVersion = '1.0.11'

export { appVersion, buildDate }
