import { DtIcon, DtMenuButton } from '@dt/ui-mobile'
import { headset } from '@dt/ui-ionic-icon'
import './index.scss'
import { observer } from 'mobx-react'
import { localStore as store } from '@dt/fe-base'
import { useHistory } from 'react-router'

const CustomerServicer = () => {
  const history = useHistory()

  const chatwootOpen = () => {
    if (window.$chatwoot) {
      console.log('chatwootOpen')
      // https://www.chatwoot.com/hc/user-guide/articles/1677587234-how-to-send-additional-user-information-to-chatwoot-using-sdk
      // 设置文档
      const userInfo = store.get('ls.userInfo') || {}
      const brandInfo = store.get('ls.brandInfo') || {}

      if (userInfo.userId) {
        const user = {
          name: userInfo.userName,
          email: userInfo.email || '',
          phone_number: userInfo.phone || '',
        }
        console.log('set $chatwoot user', userInfo.userId, user)
        window.$chatwoot.setUser(userInfo.userId, user)
        window.$chatwoot.setCustomAttributes({
          brandId: parseInt(brandInfo?.brandId || '0'),
          brandName: brandInfo?.brandName || '',
        })
        window.addEventListener('chatwoot:on-message', function (e: any) {
          console.log('chatwoot:on-message', e.detail)
          if (e.detail.content_type === 'input_select') {
            if (e.detail.content_attributes?.submitted_values?.[0]?.value) {
              try {
                const action = JSON.parse(
                  e.detail.content_attributes.submitted_values[0].value,
                )
                if (action.type === 'jump' && action.route) {
                  history.push(action.route)
                  window.$chatwoot.toggle()
                  setTimeout(() => {
                    if (window.$chatwoot.isOpen) {
                      window.$chatwoot.toggle()
                    }
                  }, 100)
                }
              } catch (error) {
                console.log('error', error)
              }
            }
          }
        })
      }
      const theme = localStorage.getItem('ls.currentTheme')
      if (theme === 'light') {
        window.$chatwoot.setColorScheme('light')
      } else {
        window.$chatwoot.setColorScheme('dark')
      }
      window.$chatwoot.toggle()
    }
  }
  return (
    <DtMenuButton
      className='customer-servicer-btn'
      onClick={() => {
        // history.push('/chat')
        // webviewUrlOpen()
        chatwootOpen()
      }}
    >
      <div className='menu--customer-btn'>
        <DtIcon icon={headset} />
        {/* {i18n.t('common.customerServiceDesc')} */}
      </div>
    </DtMenuButton>
  )
}

export default observer(CustomerServicer)
