import { FC } from 'react'
import { DtModal, DtContent, DtNavHeader } from '@dt/ui-mobile'
import i18n from '@dt/fe-base/dist/i18n'
import './index.scss'

interface IProps {
  isOpen: boolean
  onBack(): void
}

const NetworkError: FC<IProps> = ({ isOpen, onBack }) => {
  return (
    isOpen && (
      <DtModal isOpen className='network-error-modal'>
        <DtNavHeader
          title={i18n.t('system.netError')}
          leftIconClick={onBack}
          leftType='modal'
        />
        <DtContent>
          <div>{i18n.t('system.netErrorTip1')}</div>
          <div style={{ marginTop: 20 }}>{i18n.t('system.netErrorTip2')}</div>
          <div style={{ marginTop: 20 }}>{i18n.t('system.netErrorTip3')}</div>
          <div>{i18n.t('system.netErrorTip4')}</div>
          <div style={{ marginTop: 20 }}>{i18n.t('system.netErrorTip5')}</div>
          <div>{i18n.t('system.netErrorTip6')}</div>
        </DtContent>
      </DtModal>
    )
  )
}

export default NetworkError
