import i18n from '@dt/fe-base/dist/i18n'
import { Button, Modal } from '@dt/ui-mobile'
import { observer } from 'mobx-react'
import { userPermissionMobx } from '@mobx'
import { localStore } from '@dt/fe-base'
import { useHistory } from 'react-router-dom'

function NoLoginPermissionModal() {
  const history = useHistory()
  return (
    <Modal.ConfirmModal
      title={i18n.t('common.info')}
      isOpen={userPermissionMobx.notLoginPermissionModal}
      autoHeight
      headerOptions={{
        hideBtn: true,
      }}
      message={i18n.t('brand.noLoginPl')}
      // eslint-disable-next-line @typescript-eslint/ban-ts-comment
      // @ts-ignore
      canDismiss={!userPermissionMobx.notLoginPermissionModal}
    >
      <Button
        onClick={() => {
          localStore.remove('ls.isSelectedBrand')
          history.replace('/selectBrand')
          userPermissionMobx.updateNotLoginPermissionModal(false)
        }}
        style={{
          margin: '32px 24px 0 24px',
        }}
        size='small'
        usetype='primary'
      >
        {i18n.t('common.ok')}
      </Button>
    </Modal.ConfirmModal>
  )
}

export default observer(NoLoginPermissionModal)
