import { DtLoading, pageAnimation } from '@dt/ui-mobile'
import { Route, Redirect } from 'react-router-dom'
import { IonRouterOutlet, IonPage } from '@ionic/react'
import { Suspense } from 'react'
import config from './config'
import './index.scss'

const Outlet = () => {
  return (
    <IonRouterOutlet animated animation={pageAnimation}>
      <Route exact path='/'>
        <Redirect to='/home'></Redirect>
      </Route>
      {config.map(({ component: Component, path }) => {
        return (
          <Route key={path} path={path} exact>
            <Suspense>
              <IonPage className='route-page'>
                <Component></Component>
              </IonPage>
            </Suspense>
          </Route>
        )
      })}
      {/* <Route path='*' component={ErrorPage} /> */}
    </IonRouterOutlet>
  )
}

export default Outlet
