import Home from '@/pages/home'
import HomeEdit from '@/pages/home/Edit'
import Brand from '@/pages/brandStore/userBrand'
import Store from '@/pages/brandStore/userStore'
import BrandDetail from '@pages/brandStore/storeDetail'
import SelectBrand from '@pages/selectEnterStore/SelectBrand'
import OrderSuccess from '@/pages/orderSuccess'
import Chat from '@/pages/chat'
import Task from '@/pages/task'
import NativeTest from '@pages/NativeTest'
import Message from '@pages/message'

// 子项目路由配置载入
import menuRouterConfig from 'menu/routerConfig'
import mainlineRouterConfig from 'mainline/routerConfig'
import userRouterConfig from 'user/routerConfig'
import loginRouterConfig from 'login/routerConfig'
import settingRouterConfig from 'setting/routerConfig'
import supplyRouterConfig from 'supply/routerConfig'
import authRouterConfig from 'auth/routerConfig' // 授权模块
import reportRouterConfig from 'report/routerConfig'

export default [
  {
    path: '/home',
    component: Home,
  },
  {
    path: '/home/edit',
    component: HomeEdit,
  },
  {
    path: '/brand',
    component: Brand,
  },
  {
    path: '/store',
    component: Store,
  },
  {
    path: '/storeDetail',
    component: BrandDetail,
  },
  {
    path: '/selectBrand',
    component: SelectBrand,
  },
  {
    path: '/orderSuccess',
    component: OrderSuccess,
  },
  {
    path: '/chat',
    component: Chat,
  },
  {
    path: '/task/:from?',
    component: Task,
  },
  {
    path: '/nativeTest',
    component: NativeTest,
  },
  {
    path: '/novu-message',
    component: Message,
  },
  ...menuRouterConfig,
  ...mainlineRouterConfig,
  ...userRouterConfig,
  ...loginRouterConfig,
  ...settingRouterConfig,
  ...supplyRouterConfig,
  ...authRouterConfig,
  ...reportRouterConfig,
] as { path: string; component: React.ComponentType }[]
