import http from '@sdk/http'
import ENV from '@common/env'
import { localStore as store } from '@dt/fe-base'

class CommonApi {
  static async upload(data: any) {
    try {
      const brandId =
        store.get('ls.brandInfo')?.brandId || window.brandInfo?.brandId || 0
      // 在请求发送前执行的操作，比如设置统一的请求头
      const headers: any = {
        // 这里添加更多默认请求头
        brandId: brandId || '',
        //  'Content-Type': 'multipart/form-data'
      }
      const authorization: any = store.get('ls.authorization')
      if (authorization?.accessToken) {
        headers.Authorization = 'Bearer ' + authorization.accessToken
      }

      const sessionId = store.get('ls.sessionId')

      if (sessionId) {
        headers.Dtdomain = sessionId
      }

      const res: any = await fetch(`${ENV.UPLOAD}/file/upload`, {
        method: 'POST',
        body: data,
        headers,
      })
        .then((res: any) => {
          try {
            console.log(res, 'upload')
            return res.json()
          } catch (error) {
            return {
              msg: '上传失败',
              code: 1,
            }
          }
        })
        .then((res: any) => res)
        .catch((error) => error)
      console.log(res, 'upload')
      if (res.code === 0) {
        return res.data
      }
    } catch (error) {
      console.error('上传过程中发生错误：', error)
    }
    return []
  }

  // 退出登陆
  static async logout() {
    return await http({
      method: 'POST',
      url: `${ENV.HQBFF}/app/logout`,
    })
  }

  /** 获取主题色 */
  static async getColorMode(data: {
    machineNo: string
    storeId: string | number
    brandId: string | number
  }) {
    return await http({
      method: 'POST',
      url: `${ENV.HQBFF}/config/getColorMode`,
      data,
    })
  }
}

export default CommonApi
