/** 配送相关API */
import { query } from '@dt/fe-business/client'
import {
  StoreTaskList,
  TodoList,
  StoreTaskComplete,
} from '@/gqlDocuments/public'
import { InputTodoTodoListReq } from '@gql/graphql'

export default class GuideApi {
  /** 获取开店剩余步骤 */
  static async getTodoList(params?: InputTodoTodoListReq) {
    try {
      const { errors, data } = await query(TodoList, params)
      if (!errors) {
        return data?.TodoList
      }
    } catch (error) {}
    return []
  }
  /** 获取开店剩余步骤 */
  static async getTaskList() {
    try {
      const { errors, data } = await query(StoreTaskList)
      if (!errors) {
        return data?.StoreTaskList
      }
    } catch (error) {}
    return []
  }

  /** 完成任务 */
  static async finishTask(params: { isCancel: boolean; taskType: string }) {
    try {
      const { errors } = await query(StoreTaskComplete, params)
      if (!errors) {
        return true
      }
    } catch (error) {}
    return false
  }
}
