import testEnvConfig from '../../../env/index.test.env'
import devEnvConfig from '../../../env/index.dev.env'
import btsEnvConfig from '../../../env/index.bts.env'
import prodEnvConfig from '../../../env/index.prod.env'
import { App } from '@dt/fe-capacitor'

export const hostnameMap: Record<string, typeof window.__appEnv> = {
  'mobile-hq.downtown8.net': 'test',
  'mobile-hq.downtown8.com.cn': 'dev',
  'mobile-hq.dangtang8.net': 'bts',
  'mobile-hq.eshine.cn': 'prod',
}

const config = {
  test: testEnvConfig,
  dev: devEnvConfig,
  bts: btsEnvConfig,
  prod: prodEnvConfig,
}

export const env = (() => {
  if (App.isNativePlatform() && window.__appEnv) {
    return window.__appEnv
  }
  if (
    location.hostname === 'localhost' ||
    /^\d+\.\d+\.\d+\.\d+$/.test(location.hostname)
  ) {
    return 'test' as const
  }
  return hostnameMap[location.hostname]
})()

export default config[env]
