import { useEffect } from 'react'
import { App } from '@dt/fe-capacitor'

/**
 * 应用激活生命周期
 * @param callback 应用激活时执行的回掉函数
 */
export const useDidActive = (callback: () => void) => {
  const handleAppStateChange = (state: { isActive: boolean }) => {
    if (state.isActive) {
      callback()
    }
  }
  useEffect(() => {
    App.addListener('appStateChange', handleAppStateChange)
    return () => {
      App.removeAllListeners()
    }
  }, [callback])
}
