import { App } from '@dt/fe-capacitor'
import { useEffect, useState } from 'react'

interface IState {
  top: number
  bottom: number
  left: number
  right: number
}

export const useSafeArea = () => {
  const [safeArea, setSafeArea] = useState<null | IState>(null)
  const getSafeArea = async () => {
    const { insets } = await App.getSafeArea()
    setSafeArea(insets)
  }
  useEffect(() => {
    getSafeArea()
  }, [])

  return [safeArea]
}
