import json from '../locales/zh-CN.json'
import i18n from '@dt/fe-base/dist/i18n'

type TJson = typeof json
type TI18nTParams = Parameters<typeof i18n.t>
type TArg = TI18nTParams extends [TI18nTParams[0], ...infer Rest] ? Rest : never

export default function <T extends keyof TJson>(key1: T) {
  return <K extends keyof TJson[T]>(key2: K, ...arg: TArg) => {
    return i18n.t(`${key1}.${key2 as string}`, ...arg)
  }
}
