export interface IDate {
  /** 开始时间 */
  startTime: string
  /** 结束时间 */
  endTime: string
}

const isWithin24Hours = (start: string, end: string) => {
  const date1 = new Date('1970-01-01T' + start + 'Z')
  let date2
  if (start < end) {
    date2 = new Date('1970-01-01T' + end + 'Z')
  } else {
    date2 = new Date('1970-01-02T' + end + 'Z')
  }
  const diff = Math.abs(date2.getTime() - date1.getTime())
  return diff < 24 * 60 * 60 * 1000
}

const formattedToTimeStamp = (time: IDate, start: string) => {
  return {
    begin: new Date(
      `2018-01-0${time.startTime < start ? '2' : '1'} ${time.startTime}:00`,
    ).getTime(),
    end: new Date(
      `2018-01-0${time.endTime < start ? '2' : '1'} ${time.endTime}:00`,
    ).getTime(),
  }
}

export const checkTime = (dateAr: IDate[], range?: IDate) => {
  let status = false
  for (let i = 0; i < dateAr.length; i++) {
    if (
      i !== dateAr.length - 1 &&
      judege(
        formattedToTimeStamp(dateAr[i], dateAr[i].startTime),
        formattedToTimeStamp(dateAr[i + 1], dateAr[i].startTime),
      )
    ) {
      status = true
    }
    if (i === dateAr.length - 1) {
      if (range) {
        console.log(dateAr[i])
        status = judege(
          formattedToTimeStamp(dateAr[i], dateAr[i].startTime),
          formattedToTimeStamp(
            { startTime: range.endTime, endTime: range.endTime },
            dateAr[i].startTime,
          ),
        )
      } else {
        status = true
      }
    }
  }
  return status
}
const judege = (
  curTime: { begin: number; end: number },
  nextTime: { begin: number; end: number },
) => {
  const A1 = curTime.begin
  const A2 = curTime.end
  const B1 = nextTime.begin
  const B2 = nextTime.end
  // 不重叠的场景： [A1, A2, B1, B2]、[B1, B2, A1, A2]
  return A1 <= A2 && B1 <= B2 && (A2 <= B1 || B2 <= A1)
}

export const validateTime = (timeList: IDate[], range?: IDate) => {
  const length = timeList.length
  let canSave: boolean = true
  if (!isWithin24Hours(timeList[0].startTime, timeList[length - 1].endTime)) {
    return false
  }
  if (range) {
    if (range.startTime <= range.endTime) {
      if (
        timeList[0].startTime < range.startTime ||
        timeList[0].startTime > range.endTime
      ) {
        return false
      }
      if (
        timeList[length - 1].endTime > range.endTime ||
        timeList[length - 1].endTime < range.startTime
      ) {
        return false
      }
    } else {
      if (
        timeList[0].startTime < range.startTime &&
        timeList[0].startTime > range.endTime
      ) {
        return false
      }
      if (
        timeList[length - 1].endTime > range.endTime &&
        timeList[length - 1].endTime < range.startTime
      ) {
        return false
      }
    }
  }

  canSave = checkTime(timeList, range)

  return canSave
}
