import React from 'react'
import { classNames } from '@dt/fe-base'
import avatarPng from '@/assets/img/avatar.png'
import avatarDarkIcon from '@/assets/img/avatarDark.svg'
import avatarLightIcon from '@/assets/img/avatarLight.svg'
import './index.scss'

interface IAvatar extends React.HTMLAttributes<HTMLImageElement> {
  url?: string
}

export default function Avatar(props: IAvatar) {
  const { url, className, ...other } = props
  const isLightTheme = localStorage.getItem('ls.currentTheme') === 'light'
  return (
    <img
      className={classNames('hq-mobile-avatar', className)}
      {...other}
      src={
        url?.replace('http://', 'https://') ||
        (isLightTheme ? avatarLightIcon : avatarDarkIcon)
      }
    />
  )
}
