import React, { useEffect } from 'react'
import { classNames } from '@dt/fe-base'
import appMobx from '@mobx/app.mobx'
import './index.scss'

interface IProps extends React.PropsWithChildren<object> {
  className?: string
  id?: string
}
const PageWrapper: React.FC<IProps> = (props) => {
  const { className, children, ...otherProps } = props
  return (
    <div className={classNames('page-wrapper', className)} {...otherProps}>
      {children}
    </div>
  )
}

export default PageWrapper
