import React from 'react'
import { Button, Modal } from '@dt/ui-mobile'
import './index.scss'
import i18n from '@dt/fe-base/dist/i18n'
import { useHistory } from 'react-router-dom'

interface IProps {
  visible: boolean
  onClose?: () => void
}
export default function NoPermissionModal(props: IProps) {
  const { visible, onClose } = props
  const history = useHistory()
  return (
    <Modal.ConfirmModal
      // eslint-disable-next-line @typescript-eslint/ban-ts-comment
      // @ts-ignore
      onDidDismiss={() => {
        onClose?.()
        setTimeout(() => {
          history.replace('/home')
        }, 50)
      }}
      autoHeight
      headerOptions={{ hideBtn: true }}
      title={i18n.t('common.noPermission')}
      isOpen={visible}
    >
      <div className='no-permission-modal'>
        <Button
          usetype='primary'
          expand='full'
          onClick={() => {
            onClose?.()
            setTimeout(() => {
              history.replace('/home')
            }, 50)
          }}
        >
          {i18n.t('common.backToHome')}
        </Button>
      </div>
    </Modal.ConfirmModal>
  )
}
