import React, { memo, FC } from 'react'
import { Modal } from '@dt/ui-mobile'
import i18n from '@dt/fe-base/dist/i18n'
import './index.scss'

interface IRemarkProps {
  isOpen: boolean
  onCancel: () => void
}

const ServiceAgreement: FC<IRemarkProps> = ({ isOpen, onCancel }) => {
  const theme = localStorage.getItem('ls.currentTheme')
  const isWhite = theme === 'light' ? 1 : 0

  return (
    <>
      <Modal.PageModal
        autoHeight={false}
        className='middle-modal-template'
        isOpen={isOpen}
        onClose={onCancel}
        displayMode='asPage'
        headerOptions={{
          leftType: 'close',
        }}
        title={i18n.t('agreement.serviceAgreement')}
        onWillDismiss={() => {
          onCancel()
        }}
      >
        <div className='service-modal-content'>
          <iframe
            src={`https://eshine-application.oss-cn-hangzhou.aliyuncs.com/service.html?isWhite=${isWhite}`}
          />
        </div>
      </Modal.PageModal>
    </>
  )
}

export default memo(ServiceAgreement)
