import {
  CapacitorEngine,
  Database,
  DatabaseConfiguration,
  FileSystem,
} from '@dt/cbl-ionic'

/**
 * 数据库列表
 */
class DatabaseList {
  databases: { [db: string]: Database } = {}
  constructor() {
    console.log('Database created')
  }
  async initDb(dbName: string) {
    if (this.databases[dbName]) {
      return this.databases[dbName]
    }
    new CapacitorEngine()
    const config = new DatabaseConfiguration()
    const db = new Database(dbName, config)
    await db.open()
    this.set(dbName, db)
    return db
  }
  set(db: string, database: Database) {
    this.databases[db] = database
  }
  get(db: string) {
    return this.databases[db]
  }
}
export default new DatabaseList()
