import { gql } from '@/gql'

export const BrandBrand = gql(`
  fragment BrandBrand on BrandBrand  {
    brandId
    brandName
    brandNameAlias
    logo
    addUser
    modifyUser
    traceId
    status
    isDel
    addTime
    sysAddTime
    sysModifyTime
    modifyTime
    storeCnt
    dataSource
  }
`)

export const FindBrand = gql(`
  query FindBrand($input: InputBrandBrandFindRequest!) {
    FindBrand(input: $input)  {
      brandId
      brandName
      brandNameAlias
      logo
      addUser
      modifyUser
      traceId
      status
      isDel
      addTime
      sysAddTime
      sysModifyTime
      modifyTime
      storeCnt
      dataSource
      migration
    }
  }
`)

export const ListBrands = gql(`
  query ListBrands($input: InputBrandBrandIdRequest!) {
    ListBrands(input: $input) {...BrandBrand}
  }
`)

export const CreateBrand = gql(`
  mutation CreateBrand($input: InputBrandBrandCreateRequest!) {
    CreateBrand(input: $input) {...BrandBrand}
  }
`)

export const UpdateBrand = gql(`
  mutation UpdateBrand($input: InputBrandBrandUpdateRequest!) {
    UpdateBrand(input: $input) {...BrandBrand}
  }
`)

export const HQSelectBrand = gql(`
  mutation HQSelectBrand($input: InputUserUserCenterHQSelectBrandReq!) {
    HQSelectBrand(input: $input) {
      accessToken
      accessExpire
      refreshToken
      mqToken
    }
  }
`)

export const GetUserBrandStoreSelection = gql(`
  query GetUserBrandStoreSelection($input: InputRolePermUserCenterGetUserBrandStoreSelectionReq!) {
    GetUserBrandStoreSelection(input: $input)  {
      brandId
      storeId
    }
  }
`)
