import { gql } from '@/gql'

export const GetDiscountTagPage = gql(`
  query GetDiscountTagPage($input: InputCostRecordGetDiscountTagPageReq!) {
    GetDiscountTagPage(input: $input)  {
      total
    }
  }
`)

export const GetShelfSuCount = gql(`
  query GetShelfSuCount($input: InputSaleunitBrandStoreIdReq!) {
    GetShelfSuCount(input: $input)  {
      shelfSuNum
    }
  }
`)

export const GetMergedReason = gql(`
  query GetMergedReason($GetRefundReasonInput:InputOrderconfigGetRefundReasonRequest!,$GetDiscountReasonInput:InputOrderconfigGetDiscountReasonRequest!) {
    GetRefundReason(input: $GetRefundReasonInput) {
      isMust
      items {
        name
      }
    }
    GetDiscountReason(input: $GetDiscountReasonInput) {
      name
    }
  }
`)

export const GetMergedPrinterList = gql(`
  query GetMergedPrinterList($GetOrderReceiptListInput: InputOrderconfigGetOrderReceiptListReq!,$ListKitchenInput: InputKitchenworkstationListKitchenRequest!) {
    GetOrderReceiptList(input: $GetOrderReceiptListInput) { 
      printerId
      brandId
      storeId
      deviceId
      name
      enableGraphicPrint
      enableBeep
      receiptList {
        receipt
        channel
        eatType
        count
      }
      physicalPrinterId
      printer {
        id
        printNodeId
        name
        type
        paperSize
        connectType
        address
        encoding
        errorCode
        direction
        margin
        space
        ackLevel
      }
      addTime
    }
    ListKitchen(input: $ListKitchenInput) { 
      total
      list {
        workstationNo
        workstationName
        storeId
        brandId
        suList {
          suNo
        }
        printerList {
          printerId
          storeId
          brandId
          workstationNo
          printerName
          deviceId
          physicalPrinterId
          diningStyles
          receipt {
            kitchenTicket {
              enablePrint
              count
              printingMode
              sameMealIsPrintedTogether
              packagesArePrintedTogether
            }
            voidItemTicket {
              enablePrint
              count
            }
            changeTableTicket {
              enablePrint
              count
            }
          }
          receiptType
          addTime
          printer {
            id
            printNodeId
            name
            type
            paperSize
            connectType
            address
            encoding
            errorCode
            direction
            margin
            space
            ackLevel
          }
        }
        isDefault
      }
    }
  }
`)

export const GetMergeTakeoutInfo = gql(`
  query GetMergeTakeoutInfo($GetTakeoutStoreInfoInput: InputTakeoutStoreGetTakeoutStoreInfoRequest!,$CountRelationProductInput: InputTakeoutProductCountRelationProductRequest!){
    GetTakeoutStoreInfo(input: $GetTakeoutStoreInfoInput)  {
      brandId
      storeId
      outStoreId
      channelType
      storeBusinessStatus
      hasAuth
    }
    CountRelationProduct(input: $CountRelationProductInput) {
      count
      isAllAssociated
    }
  }
`)
