import { gql } from '@/gql'

export const TodoStep = gql(`
  fragment TodoStep on TodoStep  {
    name
    id
  }
`)
export const TodoReward = gql(`
  fragment TodoReward on TodoReward  {
    rewardNo
    name
    storeTryDays
    provide
    number
  }
`)
export const TodoExtend = gql(`
  fragment TodoExtend on TodoExtend  {
    isCopyEnd
  }
`)
export const TodoCheck = gql(`
  fragment TodoCheck on TodoCheck  {
    name
    checkPass
    subType
    steps {...TodoStep}
    rewards {...TodoReward}
    required
    prevChecks
    extend {...TodoExtend}
  }
`)
export const TodoTodoListRspData = gql(`
  fragment TodoTodoListRspData on TodoTodoListRspData  {
    todoNo
    brandId
    storeId
    name
    finished
    required
    checkList {...TodoCheck}
    todoType
    enable
    id
  }
`)
export const TodoStoreModule = gql(`
  fragment TodoStoreModule on TodoStoreModule  {
    saleModuleKey
    saleModuleType
    days
  }
`)
export const TodoTodoFinishedRspData = gql(`
  fragment TodoTodoFinishedRspData on TodoTodoFinishedRspData  {
    brandId
    storeId
    name
    storeModule {...TodoStoreModule}
    bizId
  }
`)
export const TakeoutPrinterTimeConfigReceipt = gql(`
  fragment TakeoutPrinterTimeConfigReceipt on TakeoutPrinterTimeConfigReceipt  {
    receiptType
    printType
    makeTime
    deliverTime
  }
`)
export const TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData =
  gql(`
  fragment TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData on TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData  {
    takeoutPrinterTimeConfigNo
    brandId
    storeId
    receipts {...TakeoutPrinterTimeConfigReceipt}
  }
`)
export const StoreTaskStoreTaskListRspData = gql(`
  fragment StoreTaskStoreTaskListRspData on StoreTaskStoreTaskListRspData  {
    basicTaskNo
    storeTaskNo
    brandId
    storeId
    type
    name
    desc
    sort
    status
    completeMethod
    updatedAt
    isCanReverse
    isCanComplete
    isCanCancel
  }
`)
export const TodoList = gql(`
  query TodoList($input: InputTodoTodoListReq!) {
    TodoList(input: $input) {...TodoTodoListRspData}
  }
`)
export const TodoFinished = gql(`
  mutation TodoFinished($input: InputTodoTodoFinishedReq!) {
    TodoFinished(input: $input) {...TodoTodoFinishedRspData}
  }
`)
export const TodoDelete = gql(`
  query TodoDelete($input: InputTodoTodoDeleteReq!) {
    TodoDelete(input: $input) 
  }
`)
export const TodoExtentUpdate = gql(`
  query TodoExtentUpdate($input: InputTodoTodoExtentUpdateReq!) {
    TodoExtentUpdate(input: $input) 
  }
`)
export const TakeoutPrinterTimeConfigDetail = gql(`
  query TakeoutPrinterTimeConfigDetail($input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailReq!) {
    TakeoutPrinterTimeConfigDetail(input: $input) {...TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData}
  }
`)
export const TakeoutPrinterTimeConfigSave = gql(`
  mutation TakeoutPrinterTimeConfigSave($input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigSaveReq!) {
    TakeoutPrinterTimeConfigSave(input: $input) 
  }
`)
export const TakeoutPrinterTimeConfigCopy = gql(`
  mutation TakeoutPrinterTimeConfigCopy($input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigCopyReq!) {
    TakeoutPrinterTimeConfigCopy(input: $input) 
  }
`)
export const StoreTaskList = gql(`
  query StoreTaskList($input: InputStoreTaskStoreTaskListReq!) {
    StoreTaskList(input: $input) {...StoreTaskStoreTaskListRspData}
  }
`)
export const StoreTaskComplete = gql(`
  query StoreTaskComplete($input: InputStoreTaskStoreTaskCompleteReq!) {
    StoreTaskComplete(input: $input) 
  }
`)
export const GetColorMode = gql(`
  query GetColorMode($input: InputDeviceGetColorModeReq!) {
    GetColorMode(input: $input)  {
      brandId
      storeId
      machineNo
      colorMode
    }
  }
`)
