import { gql } from '@/gql/gql'

export const GetStore = gql(`
  query GetStore($input: InputStoreBusinessGetStoreRequest!) {
    GetStore(input: $input) {
      storeId
      brandId
      storeName
      logo
      tel
      mobile
      state
      county
      city
      address
      addressDetail
      cityCode
      lbsLng
      lbsLat
      status
      remark
      storeNumber
      isPosAll
      autoSoldOut
      isPlate
      isPlateRequired
    }
  }
`)

export const StoreAll = gql(`
  query StoreAll($input: InputStoreBusinessStoreAllRequest!) {
    StoreAll(input: $input) {
      store {
        storeId
        brandId
        storeName
        logo
        tel
        mobile
        state
        county
        city
        address
        addressDetail
        cityCode
        lbsLng
        lbsLat
        status
        remark
        storeNumber
        isPosAll
        autoSoldOut
        isPlate
        isPlateRequired
        dataSource
      }
      storeBusiness {
        storeId
        configMethod
        loopMethod
        businessType
        monday {
          startTime
          endTime
        }
        tuesday {
          startTime
          endTime
        }
        wednesday {
          startTime
          endTime
        }
        thursday {
          startTime
          endTime
        }
        friday {
          startTime
          endTime
        }
        saturday {
          startTime
          endTime
        }
        sunday {
          startTime
          endTime
        }
        id
        brandId
        isPosAll
      }
    }
  }
`)

export const CreateStore = gql(`
  mutation CreateStore($input: InputStoreBusinessCreatStore!) {
    CreateStore(input: $input) {
      storeId
      brandId
      storeName
      logo
      tel
      mobile
      state
      county
      city
      address
      addressDetail
      cityCode
      lbsLng
      lbsLat
      status
      remark
      storeNumber
      isPosAll
      autoSoldOut
      isPlate
      isPlateRequired
    }
  }
`)

export const UpdateStore = gql(`
  mutation UpdateStore($input: InputStoreBusinessStore!) {
    UpdateStore(input: $input) {
      storeId
      brandId
      storeName
      logo
      tel
      mobile
      state
      county
      city
      address
      addressDetail
      cityCode
      lbsLng
      lbsLat
      status
      remark
      storeNumber
      isPosAll
      autoSoldOut
      isPlate
      isPlateRequired
    }
  }
`)

export const DeleteStore = gql(`
  mutation DeleteStore($input: InputStoreBusinessDeleteStoreRequest!) {
    DeleteStore(input: $input) {
      storeId
      brandId
      storeName
      logo
      tel
      mobile
      state
      county
      city
      address
      addressDetail
      cityCode
      lbsLng
      lbsLat
      status
      remark
      storeNumber
      isPosAll
      autoSoldOut
      isPlate
      isPlateRequired
    }
  }
`)

export const UserBrandStoreSelection = gql(`
  query UserBrandStoreSelection($input: InputRolePermUserCenterUserBrandStoreSelectionReq!) {
    UserBrandStoreSelection(input: $input) 
  }
`)
