import { App } from '@dt/fe-capacitor'
import { mutate } from '@dt/fe-business/client'
import { SaveDeviceInfo } from '@/gqlDocuments/deviceMonitor'
import { localStore } from '@dt/fe-base'
import { maxBy } from '@dt/fe-base/dist/lodash'

export const postDeviceInfo = async () => {
  const { appVersion } = maxBy(
    Object.values(window.versionInfo || {}),
    (n: any) => {
      return Number(n.appVersion?.replace(/\./gi, '')) || ''
    },
  ) as any
  const { buildDate } = maxBy(
    Object.values(window.versionInfo || {}),
    (n: any) => {
      return Number(n.buildDate?.replace(/\./gi, '')) || ''
    },
  ) as any
  const appInfo: any = await App.getAppInfo({
    appVersion,
  })
  const deviceInfo: any = await App.getDeviceInfo()
  if (deviceInfo.platform !== 'web') {
    await mutate(SaveDeviceInfo, {
      appName: appInfo.name,
      appVersion: `${appInfo.fullVersion}-${buildDate}`,
      deviceId:
        localStore.get('ls.currentDeviceId') ||
        localStore.get('ls.deviceId') ||
        localStore.get('deviceId'),
      deviceName: deviceInfo.name,
      manufacturer: deviceInfo.manufacturer,
      model: deviceInfo.model,
      osVersion: deviceInfo.osVersion,
      packageName: appInfo.name,
      platform: deviceInfo.platform,
    })
  }
}
