import { useEffect, useState } from 'react'
import { appMobx, storeMobx } from '@mobx'
import { App, Geolocation } from '@dt/fe-capacitor'

export const useLocation = () => {
  const [showSetting, setShowSetting] = useState(false)

  useEffect(() => {
    if (!appMobx.isLogin) return
    if (App.isNativePlatform()) {
      Geolocation.checkPermissions()
        .then((res) => {
          if (res.location !== 'denied') storeMobx.getStoreList(true)
          if (res.location !== 'granted') {
            Geolocation.requestPermissions().then(() => {
              storeMobx.getStoreList(true)
            })
          }
        })
        .catch((e) => {
          Geolocation.getCurrentPosition()
            .then()
            .catch((e) => {
              setShowSetting(true)
            })
        })
    } else {
      storeMobx.getStoreList(true)
    }
  }, [appMobx.isLogin])

  return [showSetting]
}
