import { registerInstrumentations } from '@opentelemetry/instrumentation'
import { FetchInstrumentation } from '@opentelemetry/instrumentation-fetch'
import { XMLHttpRequestInstrumentation } from '@opentelemetry/instrumentation-xml-http-request'
import { B3Propagator } from '@opentelemetry/propagator-b3'
import { WebTracerProvider } from '@opentelemetry/sdk-trace-web'

const provider = new WebTracerProvider()
provider.register({
  propagator: new B3Propagator({ injectEncoding: 1 }), // 使用 B3 头
})

registerInstrumentations({
  instrumentations: [
    new FetchInstrumentation(),
    new XMLHttpRequestInstrumentation(),
  ],
})

export default provider
