import { LiveUpdate } from 'capacitor-plugin-live-update'
import { Button, DtNavHeader, DtContent } from '@dt/ui-mobile'
import { useState } from 'react'
import './index.scss'

export default function NativeTest() {
  const [result, setResult] = useState('')
  return (
    <>
      <DtNavHeader>nativeTest</DtNavHeader>
      <DtContent className='navtive-btn-wrapper'>
        <Button
          usetype='primary'
          onClick={async () => {
            const res = await LiveUpdate.fetchEnv()
            setResult(res.env)
          }}
        >
          fetchEnv
        </Button>
        <Button usetype='primary' onClick={() => LiveUpdate.reload()}>
          reload
        </Button>
        <Button usetype='primary' onClick={() => LiveUpdate.reset()}>
          reset
        </Button>
        <Button usetype='primary' onClick={() => LiveUpdate.setToFallBack()}>
          setToFallBack
        </Button>
        <Button
          usetype='primary'
          onClick={async () => {
            const res = await LiveUpdate.fetchCurHash()
            setResult(res.hash)
          }}
        >
          fetchCurHash
        </Button>
        <Button
          usetype='primary'
          onClick={async () => {
            const res = await LiveUpdate.fetchCurProjectsInfo()
            setResult(JSON.stringify(JSON.parse(res.info), null, 2))
          }}
        >
          fetchCurProjectsInfo
        </Button>
        {result ? <pre style={{ width: '100%' }}>{result}</pre> : null}
      </DtContent>
    </>
  )
}
