import { DtContent, DtItemCard, DtModal } from '@dt/ui-mobile'
import CreateBrandPng from '@/assets/img/createBrand.png'
import CreateStorePng from '@/assets/img/createStore.png'
import { useHistory } from 'react-router-dom'

import './index.scss'
import i18n from '@dt/fe-base/dist/i18n'
import { brandMobx, storeMobx } from '@mobx'

interface IProps {
  visible: boolean
  permission?: {
    '/storeDetail': boolean
    'hq.brandInfo': boolean
  }
  onClose: () => void
}

const _ns = 'hq-store-detail-create-modal'

export default function CreateModal(props: IProps) {
  const { visible, permission, onClose } = props

  const history = useHistory()
  return (
    <DtModal className={_ns} isOpen={visible} onDidDismiss={onClose}>
      <DtContent>
        {permission?.['/storeDetail'] && (
          <DtItemCard
            mode='modal'
            onClick={() => {
              storeMobx.setEditStoreInfo(undefined)
              history.push('/store')
              onClose()
            }}
          >
            <DtItemCard.Header prefix={<img src={CreateStorePng} />}>
              {i18n.t('store.createStore')}
            </DtItemCard.Header>
          </DtItemCard>
        )}
      </DtContent>
    </DtModal>
  )
}
