import BaseCard from './BaseCard'
import { IModuleCardProps } from './types'
import { useHistory } from 'react-router'
import { useMemo } from 'react'
import lightPng from '@/assets/img/card/light/adviserTipReport.png'
import darkPng from '@/assets/img/card/dark/adviserTipReport.png'
import ReportAdviserTipCard from 'report/AdviserTipCard'
import './index.scss'

export default function AdviserTipCard(props: IModuleCardProps) {
  const { item, isImg, ...otherProps } = props
  const history = useHistory()
  const isDark = localStorage.getItem('ls.currentTheme') === 'dark'
  const storeId: number = window.storeInfo?.storeId
  const defaultStoreIds = useMemo(() => {
    return storeId ? [storeId] : []
  }, [storeId])
  return (
    <BaseCard
      {...otherProps}
      className='report-adviser-tip-card'
      showMask
      onClick={() => {
        history.replace(item.path!)
      }}
    >
      {isImg ? (
        <img
          src={isDark ? darkPng : lightPng}
          alt='light'
          className='report-adviser-tip-card-light'
        />
      ) : (
        <ReportAdviserTipCard storeIds={defaultStoreIds}></ReportAdviserTipCard>
      )}
    </BaseCard>
  )
}
