import BaseCard from './BaseCard'
import { IModuleCardProps } from './types'
import { useHistory } from 'react-router'
import { useMemo } from 'react'
import lightPng from '@/assets/img/card/light/productSaleReport.png'
import darkPng from '@/assets/img/card/dark/productSaleReport.png'
import ReportProductSaleCard from 'report/ProductSaleCard'
import './index.scss'

export default function ProductSaleCard(props: IModuleCardProps) {
  const { item, isImg, ...otherProps } = props
  const isDark = localStorage.getItem('ls.currentTheme') === 'dark'
  const storeId: number = window.storeInfo?.storeId
  const defaultStoreIds = useMemo(() => {
    return storeId ? [storeId] : []
  }, [storeId])
  return (
    <BaseCard
      {...otherProps}
      className='report-sale-trend-card'
      showMask={isImg}
      onClick={() => {
        // history.replace(item.path!)
      }}
    >
      {isImg ? (
        <img
          src={isDark ? darkPng : lightPng}
          alt='light'
          className='report-sale-trend-card-light'
        />
      ) : (
        <ReportProductSaleCard
          storeIds={defaultStoreIds}
        ></ReportProductSaleCard>
      )}
    </BaseCard>
  )
}
