import BaseCard from './BaseCard'
import { IModuleCardProps } from './types'
import { useHistory } from 'react-router'
import ReportOverviewCard from 'report/OverviewCard'
import { useMemo } from 'react'
import './index.scss'

export default function ReportCard(props: IModuleCardProps) {
  const { item, ...otherProps } = props
  const history = useHistory()
  const storeId: number = window.storeInfo?.storeId
  const defaultStoreIds = useMemo(() => {
    return storeId ? [storeId] : []
  }, [storeId])
  return (
    <BaseCard
      {...otherProps}
      className='report-card'
      showMask
      onClick={() => {
        history.replace(item.path!)
      }}
    >
      <ReportOverviewCard
        simpleMode
        defaultStoreIds={defaultStoreIds}
      ></ReportOverviewCard>
    </BaseCard>
  )
}
