import { CSSProperties, FC } from 'react'
import { IBaseCardProps } from './BaseCard'

export interface IModuleCardProps
  extends Pick<
    IBaseCardProps,
    'disabledClick' | 'onDelete' | 'onLongPress' | 'selected' | 'showDelete'
  > {
  item: TCardItem
  isRefetch?: boolean
  isImg?: boolean
}

export type TCardItem = {
  name: string
  height?: number
  size: 'large' | 'small'
  component: FC<IModuleCardProps>
  hide?: boolean
  path?: string
  validate?: () => Promise<boolean>
}
