import { classNames } from '@dt/fe-base'
import { observer } from 'mobx-react'
import cardMobx from '@mobx/card.mobx'
import { useCardList } from './hooks'
import { useHistory } from 'react-router'
import './index.scss'

function CardList() {
  const history = useHistory()
  useCardList()
  return (
    <div className='module-card-container'>
      {cardMobx.group.cardList.map((item) => {
        const Compoent = item.component
        if (item.hide) {
          return null
        }
        return (
          <div
            key={item.name}
            className={classNames(
              `item-card-wrapper ${item.name} ${item.size}`,
            )}
            style={item.height ? { height: item.height } : undefined}
          >
            <Compoent
              key={item.name}
              item={item}
              isRefetch
              onLongPress={() => {
                history.push('/home/edit')
              }}
            />
          </div>
        )
      })}
    </div>
  )
}

export default observer(CardList)
