import React, { useEffect } from 'react'
import { guideMobx } from '@mobx'
import { observer } from 'mobx-react'
import './index.scss'
import { map } from '@dt/fe-base/dist/lodash'
import StepContentItem from '../StepContentItem'

interface IProps {
  onOpen?: (url: string) => void
}
const StepContent: React.FC<IProps> = ({ onOpen }) => {
  const _ns = 'step-content-container'
  const { todoList } = guideMobx
  return (
    <div className={_ns}>
      {map(todoList, (item, index) => {
        return (
          <StepContentItem
            key={item.todoNo}
            data={item}
            step={item.id}
            onOpen={onOpen}
          />
        )
      })}
    </div>
  )
}

export default observer(StepContent)
