import React, { useState } from 'react'
import { DtNavHeader } from '@dt/ui-mobile'
import { NovuProvider } from '@novu/react/hooks'
import ENV from '@env'
import i18n from '@dt/fe-base/dist/i18n'
import './index.scss'

import DropDownBar from './components/DropDownBar'
import CustomInBox from './components/CustomInBox'
import { MessageContext } from './context'
import { useToastMange } from './hooks'
const Message: React.FC = () => {
  const _ns = 'page-message-wrapper'

  const [type, setType] = useState<'all' | 'unread'>('all')

  useToastMange()

  return (
    <MessageContext.Provider value={{ type, setType }}>
      <DtNavHeader
        title={i18n.t('menu.message')}
        leftType='menu'
        extra={<DropDownBar />}
      />
      <div className={_ns}>
        <NovuProvider
          subscriberId={ENV.novu.subscribe_prefix + window?.userInfo?.userId}
          applicationIdentifier={ENV.novu.applicationIdentifier}
          backendUrl={ENV.novu.backendUrl}
          socketUrl={ENV.novu.socketUrl}
        >
          <CustomInBox />
        </NovuProvider>
      </div>
    </MessageContext.Provider>
  )
}

export default Message
