import type { FederationRuntimePlugin } from '@module-federation/enhanced/runtime'
function getQueryParams(url: string) {
  const queryString = url.split('?')[1] || ''
  const params: Record<string, string> = {}
  const queries = queryString.split('&')

  queries.forEach((query) => {
    const [key, value] = query.split('=')
    if (key) {
      params[decodeURIComponent(key)] = decodeURIComponent(value || '')
    }
  })

  return params
}

const upateRemote: () => FederationRuntimePlugin = () => ({
  beforeInit(args) {
    const params = getQueryParams(window.location.href)
    if (params?.b) {
      const remotes: any[] = args.userOptions.remotes || []
      for (const [key, value] of Object.entries(remotes)) {
        if (remotes[key as any].entry) {
          remotes[key as any].entry = `${value.entry}&b=${params.b}`
        }
      }
      args.userOptions.remotes = remotes
    }
    return args
  },
  name: 'upateRemote',
})
export default upateRemote
