export default class Logger {
  tag: string
  constructor(tag: string) {
    this.tag = tag
  }
  i(...args: any[]) {
    console.log(`[${this.tag}]`, ...args)
  }
  w(...args: any[]) {
    console.warn(`[${this.tag}]`, ...args)
  }
  e(...args: any[]) {
    console.error(`[${this.tag}]`, ...args)
  }
}
export function Log(tag: string) {
  return function (target: any) {
    target.prototype.logger = new Logger(tag) // 在类的原型上添加 logger 属性
  }
}
