type TENV = 'test' | 'bts' | 'pro'

type TBo = 'us' | 'cn' | 'de' | 'it'

// 全局配置
interface IConfig {
  /** 设备id */
  deviceId: string
  /** 品牌id */
  brandId?: number
  /** 门店id */
  storeId?: number
  /** 用户id */
  userId?: string | null | undefined
  /** token */
  token?: string
  /* 极光推送客户端 id */
  jclientId: string
  /** 语言 */
  lang?: string
}

// window
// eslint-disable-next-line @typescript-eslint/naming-convention
interface Window {
  bo: TBo
  ud: any
  Config: IConfig
  versionInfo: any
  brandInfo: any
  storeInfo: any
  deviceInfo: any
  userInfo: any
  permissionInfo: any
  couchbase: { productDb: any }
  toastLayer: any
  alertLayer: any
  /** 当前开启的小助手任务清单类型，用于任务弹窗 */
  runingTaskType?: any
  $DtMobx: {
    storeMobx: any
    brandMobx: any
  }
  BMap: any
  __history: any
  __sentry: any
  __eventBus: any
  projectInfo: any
  DtMsgUnReadCount?: number
  $chatwoot: any
  $posthog: any
  chatwootSDK: any
  __appEnv: 'dev' | 'bts' | 'test' | 'prod'
  DtMsgUnReadCount: number
}

declare const Config: IConfig
declare const buildInfo: IVersion
declare const couchbase: { productDb: any }
declare const __history: any
declare const __sentry: any
declare const __eventBus: any
declare const BMap: any
declare module 'js-sha1'
declare module '@id5io/id5-api.js'
