/* eslint-disable */
import { TypedDocumentNode as DocumentNode } from '@graphql-typed-document-node/core'
export type Maybe<T> = T
export type InputMaybe<T> = Maybe<T>
export type Exact<T extends { [key: string]: unknown }> = {
  [K in keyof T]: T[K]
}
export type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
  [SubKey in K]?: Maybe<T[SubKey]>
}
export type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
  [SubKey in K]: Maybe<T[SubKey]>
}
export type MakeEmpty<
  T extends { [key: string]: unknown },
  K extends keyof T,
> = { [_ in K]?: never }
export type Incremental<T> =
  | T
  | {
      [P in keyof T]?: P extends ' $fragmentName' | '__typename' ? T[P] : never
    }
/** All built-in and custom scalars, mapped to their actual values */
export type Scalars = {
  ID: { input: string; output: string }
  String: { input: string; output: string }
  Boolean: { input: boolean; output: boolean }
  Int: { input: number; output: number }
  Float: { input: number; output: number }
  JSON: { input: any; output: any }
  /** StringOrInt custom scalar type */
  StringOrInt: { input: any; output: any }
}

export type AppVersionAppVersionLatestRspData = {
  __typename?: 'AppVersionAppVersionLatestRspData'
  content: Maybe<Scalars['String']['output']>
  url: Maybe<Scalars['String']['output']>
  version: Maybe<Scalars['String']['output']>
}

export type AppVersionAppVersionPublishRspData = {
  __typename?: 'AppVersionAppVersionPublishRspData'
  content: Maybe<Scalars['String']['output']>
  url: Maybe<Scalars['String']['output']>
  version: Maybe<Scalars['String']['output']>
}

export type BaseResult = {
  code: Maybe<Scalars['Int']['output']>
  msg: Maybe<Scalars['String']['output']>
}

export type BrandBrand = {
  __typename?: 'BrandBrand'
  addTime: Maybe<Scalars['String']['output']>
  addUser: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  brandName: Maybe<Scalars['String']['output']>
  brandNameAlias: Maybe<Scalars['String']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  isDel: Maybe<Scalars['Boolean']['output']>
  logo: Maybe<Scalars['String']['output']>
  migration: Maybe<Scalars['String']['output']>
  modifyTime: Maybe<Scalars['String']['output']>
  modifyUser: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  storeCnt: Maybe<Scalars['Int']['output']>
  sysAddTime: Maybe<Scalars['String']['output']>
  sysModifyTime: Maybe<Scalars['String']['output']>
  traceId: Maybe<Scalars['String']['output']>
}

export type CapacityModelQueryStoreCapacityDto = {
  __typename?: 'CapacityModelQueryStoreCapacityDTO'
  bindDishSkuNo: Maybe<Scalars['String']['output']>
  bindDishSpuNo: Maybe<Scalars['String']['output']>
  capacity: Maybe<Scalars['Int']['output']>
  dishType: Maybe<Scalars['String']['output']>
  id: Maybe<Scalars['String']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
  suNo: Maybe<Scalars['String']['output']>
  type: Maybe<Scalars['String']['output']>
}

export type CostRecordDiscountTag = {
  __typename?: 'CostRecordDiscountTag'
  addTime: Maybe<Scalars['String']['output']>
  additionalEnable: Maybe<Scalars['Boolean']['output']>
  amount: Maybe<Scalars['Float']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  method: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  relationSuType: Maybe<Scalars['String']['output']>
  supportStoreIdList: Maybe<Array<Scalars['Int']['output']>>
  supportSuList: Maybe<Array<CostRecordSupportSuList>>
  tagNo: Maybe<Scalars['String']['output']>
  type: Maybe<Scalars['String']['output']>
}

export type CostRecordGetDiscountTagPageData = {
  __typename?: 'CostRecordGetDiscountTagPageData'
  list: Maybe<Array<CostRecordDiscountTag>>
  total: Maybe<Scalars['Int']['output']>
}

export type CostRecordSupportSuList = {
  __typename?: 'CostRecordSupportSuList'
  skuNoList: Maybe<Array<Scalars['String']['output']>>
  suNo: Maybe<Scalars['String']['output']>
}

export type DeviceGetColorModeData = {
  __typename?: 'DeviceGetColorModeData'
  brandId: Maybe<Scalars['Int']['output']>
  colorMode: Maybe<Scalars['String']['output']>
  machineNo: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type DevicemonitorDeviceInfo = {
  __typename?: 'DevicemonitorDeviceInfo'
  addTime: Maybe<Scalars['String']['output']>
  appName: Maybe<Scalars['String']['output']>
  appVersion: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  deviceId: Maybe<Scalars['String']['output']>
  deviceName: Maybe<Scalars['String']['output']>
  manufacturer: Maybe<Scalars['String']['output']>
  model: Maybe<Scalars['String']['output']>
  modifyTime: Maybe<Scalars['String']['output']>
  osVersion: Maybe<Scalars['String']['output']>
  packageName: Maybe<Scalars['String']['output']>
  platform: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  systemAddTime: Maybe<Scalars['String']['output']>
  systemModifyTime: Maybe<Scalars['String']['output']>
}

export type DiscountDiscount = {
  __typename?: 'DiscountDiscount'
  discountAmt: Maybe<Scalars['Float']['output']>
  discountCnt: Maybe<Scalars['Int']['output']>
  discountName: Maybe<Scalars['String']['output']>
}

export type DiscountDiscountByStore = {
  __typename?: 'DiscountDiscountByStore'
  discountAmt: Maybe<Scalars['Float']['output']>
  discountCnt: Maybe<Scalars['Int']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeName: Maybe<Scalars['String']['output']>
}

export type DiscountDiscountByStoreData = {
  __typename?: 'DiscountDiscountByStoreData'
  list: Maybe<Array<DiscountDiscountByStore>>
  stats: Maybe<DiscountDiscountTotal>
  total: Maybe<Scalars['Int']['output']>
}

export type DiscountDiscountData = {
  __typename?: 'DiscountDiscountData'
  list: Maybe<Array<DiscountDiscount>>
  stats: Maybe<DiscountDiscountTotal>
  total: Maybe<Scalars['Int']['output']>
}

export type DiscountDiscountTotal = {
  __typename?: 'DiscountDiscountTotal'
  discountAmt: Maybe<Scalars['Float']['output']>
  discountCnt: Maybe<Scalars['Int']['output']>
}

export type HqWorkflowSuShelfStoreListRespData = {
  __typename?: 'HqWorkflowSuShelfStoreListRespData'
  list: Maybe<Array<StoreBusinessStore>>
}

export type HqbrandStoreStoreTable = {
  __typename?: 'HqbrandStoreStoreTable'
  brandId: Maybe<Scalars['Int']['output']>
  extraData: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  qrcode: Maybe<Scalars['String']['output']>
  seatNum: Maybe<Scalars['Int']['output']>
  sort: Maybe<Scalars['Int']['output']>
  status: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeTableAreaNo: Maybe<Scalars['String']['output']>
  storeTableNo: Maybe<Scalars['String']['output']>
}

export type HqbrandStoreStoreTableArea = {
  __typename?: 'HqbrandStoreStoreTableArea'
  areaName: Maybe<Scalars['String']['output']>
  sort: Maybe<Scalars['Int']['output']>
  storeTableAreaNo: Maybe<Scalars['String']['output']>
  tableList: Maybe<Array<HqbrandStoreStoreTable>>
}

export type HqbrandStoreStoreTableAreaResp = {
  __typename?: 'HqbrandStoreStoreTableAreaResp'
  list: Maybe<Array<HqbrandStoreStoreTableArea>>
}

export type InputAppVersionAppVersionLatestReq = {
  platform?: InputMaybe<Scalars['String']['input']>
}

export type InputAppVersionAppVersionPublishReq = {
  content?: InputMaybe<Scalars['String']['input']>
  platform?: InputMaybe<Scalars['String']['input']>
  url?: InputMaybe<Scalars['String']['input']>
  version?: InputMaybe<Scalars['String']['input']>
}

export type InputBrandBrand = {
  addTime?: InputMaybe<Scalars['String']['input']>
  addUser?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  brandName?: InputMaybe<Scalars['String']['input']>
  brandNameAlias?: InputMaybe<Scalars['String']['input']>
  dataSource?: InputMaybe<Scalars['String']['input']>
  isDel?: InputMaybe<Scalars['Boolean']['input']>
  logo?: InputMaybe<Scalars['String']['input']>
  migration?: InputMaybe<Scalars['String']['input']>
  modifyTime?: InputMaybe<Scalars['String']['input']>
  modifyUser?: InputMaybe<Scalars['String']['input']>
  status?: InputMaybe<Scalars['String']['input']>
  storeCnt?: InputMaybe<Scalars['Int']['input']>
  sysAddTime?: InputMaybe<Scalars['String']['input']>
  sysModifyTime?: InputMaybe<Scalars['String']['input']>
  traceId?: InputMaybe<Scalars['String']['input']>
}

export type InputBrandBrandCreateRequest = {
  brand?: InputMaybe<InputBrandBrand>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputBrandBrandDeleteRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputBrandBrandFindRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputBrandBrandIdRequest = {
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputBrandBrandUpdateRequest = {
  brand?: InputMaybe<InputBrandBrand>
}

export type InputBrandListBrandsByBrandIdsReq = {
  brandIds?: InputMaybe<Scalars['String']['input']>
}

export type InputBrandOpenCreateBrandRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  brandName?: InputMaybe<Scalars['String']['input']>
  brandNameAlias?: InputMaybe<Scalars['String']['input']>
  logo?: InputMaybe<Scalars['String']['input']>
}

export type InputBrandOpenListBrandRequest = {
  brandIds?: InputMaybe<Scalars['String']['input']>
}

export type InputCapacityModelAdditionalGroupItemListRespData = {
  additionalGroupList?: InputMaybe<Array<InputCapacityModelAdditionalGroupResp>>
}

export type InputCapacityModelAdditionalGroupItemResp = {
  additionalItemNo?: InputMaybe<Scalars['String']['input']>
  basicPrice?: InputMaybe<Scalars['Float']['input']>
  isDefault?: InputMaybe<Scalars['Boolean']['input']>
  salePriceList?: InputMaybe<
    Array<InputCapacityModelSaveAdditionalItemSalePriceList>
  >
  selectMax?: InputMaybe<Scalars['Int']['input']>
  skuNo?: InputMaybe<Scalars['String']['input']>
  sort?: InputMaybe<Scalars['Int']['input']>
  spuName?: InputMaybe<Scalars['String']['input']>
  spuNo?: InputMaybe<Scalars['String']['input']>
}

export type InputCapacityModelAdditionalGroupResp = {
  additionalGroupNo?: InputMaybe<Scalars['String']['input']>
  additionalSkuList?: InputMaybe<
    Array<InputCapacityModelAdditionalGroupItemResp>
  >
  bizRemark?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  selectMax?: InputMaybe<Scalars['Int']['input']>
  selectMin?: InputMaybe<Scalars['Int']['input']>
  suList?: InputMaybe<Array<InputCapacityModelRelationSuList>>
}

export type InputCapacityModelComboBasicInfo = {
  desc?: InputMaybe<Scalars['String']['input']>
  imgs?: InputMaybe<Array<InputCapacityModelSuImageInfo>>
  name?: InputMaybe<Scalars['String']['input']>
  price?: InputMaybe<Scalars['Float']['input']>
  statTagNo?: InputMaybe<Scalars['String']['input']>
}

export type InputCapacityModelComboSu = {
  addTime?: InputMaybe<Scalars['String']['input']>
  basicInfo?: InputMaybe<InputCapacityModelComboBasicInfo>
  brandId?: InputMaybe<Scalars['Int']['input']>
  comboType?: InputMaybe<Scalars['String']['input']>
  status?: InputMaybe<Scalars['String']['input']>
  suCategoryNoList?: InputMaybe<Array<Scalars['String']['input']>>
  suGroupList?: InputMaybe<Array<InputCapacityModelSuGroup>>
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputCapacityModelQueryStoreCapacityRequest = {
  additionalGroupItemListRespData?: InputMaybe<InputCapacityModelAdditionalGroupItemListRespData>
  brandId?: InputMaybe<Scalars['Int']['input']>
  comboSuList?: InputMaybe<Array<InputCapacityModelComboSu>>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputCapacityModelRelationSuList = {
  skuNoList?: InputMaybe<Array<Scalars['String']['input']>>
  suNo?: InputMaybe<Scalars['String']['input']>
  suType?: InputMaybe<Scalars['String']['input']>
}

export type InputCapacityModelSaveAdditionalItemSalePriceList = {
  salePrice?: InputMaybe<Scalars['Float']['input']>
  saleScene?: InputMaybe<Scalars['String']['input']>
}

export type InputCapacityModelSuGroup = {
  minSelectNum?: InputMaybe<Scalars['Int']['input']>
  skuList?: InputMaybe<Array<InputCapacityModelSuGroupSku>>
  sort?: InputMaybe<Scalars['Int']['input']>
  suGroupName?: InputMaybe<Scalars['String']['input']>
  suGroupNo?: InputMaybe<Scalars['String']['input']>
}

export type InputCapacityModelSuGroupSku = {
  addPrice?: InputMaybe<Scalars['Float']['input']>
  fixedNum?: InputMaybe<Scalars['Int']['input']>
  isDefault?: InputMaybe<Scalars['Boolean']['input']>
  maxNum?: InputMaybe<Scalars['Int']['input']>
  skuNo?: InputMaybe<Scalars['String']['input']>
  sort?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputCapacityModelSuImageInfo = {
  type?: InputMaybe<Scalars['String']['input']>
  url?: InputMaybe<Scalars['String']['input']>
}

export type InputCostRecordDeleteDiscountTagReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  tagNo: Scalars['String']['input']
}

export type InputCostRecordGetDiscountTagPageReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputCostRecordSaveDiscountTagReq = {
  additionalEnable: Scalars['Boolean']['input']
  amount: Scalars['Float']['input']
  brandId?: InputMaybe<Scalars['Int']['input']>
  method: Scalars['String']['input']
  name: Scalars['String']['input']
  relationSuType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  supportStoreIdList?: InputMaybe<Array<Scalars['Int']['input']>>
  supportSuList?: InputMaybe<Array<InputCostRecordSupportSuList>>
  tagNo?: InputMaybe<Scalars['String']['input']>
  type: Scalars['String']['input']
}

export type InputCostRecordSupportSuList = {
  skuNoList?: InputMaybe<Array<Scalars['String']['input']>>
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputCostRecordUseDiscountTagReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  tagNos?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputDeviceGetColorModeReq = {
  machineNo?: InputMaybe<Scalars['String']['input']>
}

export type InputDeviceSetColorModeReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  colorMode?: InputMaybe<Scalars['String']['input']>
  machineNo?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputDevicemonitorQueryDeviceInfoReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputDevicemonitorSaveDeviceInfoReq = {
  appName?: InputMaybe<Scalars['String']['input']>
  appVersion?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  deviceId?: InputMaybe<Scalars['String']['input']>
  deviceName?: InputMaybe<Scalars['String']['input']>
  manufacturer?: InputMaybe<Scalars['String']['input']>
  model?: InputMaybe<Scalars['String']['input']>
  osVersion?: InputMaybe<Scalars['String']['input']>
  packageName?: InputMaybe<Scalars['String']['input']>
  platform?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputDiscountDiscountByStoreRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  desc?: InputMaybe<Scalars['Boolean']['input']>
  discountName?: InputMaybe<Scalars['String']['input']>
  discountTypes?: InputMaybe<Array<Scalars['String']['input']>>
  endTime?: InputMaybe<Scalars['String']['input']>
  orderBy?: InputMaybe<Scalars['String']['input']>
  pageNo?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputDiscountDiscountRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  desc?: InputMaybe<Scalars['Boolean']['input']>
  discountTypes?: InputMaybe<Array<Scalars['String']['input']>>
  endTime?: InputMaybe<Scalars['String']['input']>
  orderBy?: InputMaybe<Scalars['String']['input']>
  pageNo?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputHqWorkflowSendCreateStoreTaskBizMessageReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  deviceId?: InputMaybe<Scalars['String']['input']>
  messageType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  uri?: InputMaybe<Scalars['String']['input']>
}

export type InputHqWorkflowSuShelfStoreListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  suNos?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputHqbrandStoreCreateStoreTableAreaReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  tableAreaList?: InputMaybe<Array<InputHqbrandStoreStoreTableAreaReq>>
}

export type InputHqbrandStoreCreateStoreTableReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  seatNum?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeTableAreaNo?: InputMaybe<Scalars['String']['input']>
  tableName?: InputMaybe<Scalars['String']['input']>
}

export type InputHqbrandStoreDeleteStoreTableAreaReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeTableAreaNo?: InputMaybe<Scalars['String']['input']>
}

export type InputHqbrandStoreDeleteStoreTableReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeTableNo?: InputMaybe<Scalars['String']['input']>
}

export type InputHqbrandStoreGetStoreTableListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputHqbrandStoreStoreTableAreaReq = {
  areaName?: InputMaybe<Scalars['String']['input']>
  isTableNoFront?: InputMaybe<Scalars['Boolean']['input']>
  seatNum?: InputMaybe<Scalars['Int']['input']>
  startTableNo?: InputMaybe<Scalars['Int']['input']>
  tableName?: InputMaybe<Scalars['String']['input']>
  tableNum?: InputMaybe<Scalars['Int']['input']>
}

export type InputHqbrandStoreUpdateStoreTableAreaReq = {
  areaName?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeTableAreaNo?: InputMaybe<Scalars['String']['input']>
}

export type InputHqbrandStoreUpdateStoreTableReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  seatNum?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeTableAreaNo?: InputMaybe<Scalars['String']['input']>
  storeTableNo?: InputMaybe<Scalars['String']['input']>
  tableName?: InputMaybe<Scalars['String']['input']>
}

export type InputKitchenworkstationChangeTableTicket = {
  count?: InputMaybe<Scalars['Int']['input']>
  enablePrint?: InputMaybe<Scalars['Boolean']['input']>
}

export type InputKitchenworkstationCountKitchenReceiptPrinterRuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputKitchenworkstationCreateKitchenReceiptPrinterRuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  diningStyles?: InputMaybe<Array<Scalars['String']['input']>>
  printerName: Scalars['String']['input']
  receipt: InputKitchenworkstationReceipt
  receiptType: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeTableAreaNo?: InputMaybe<Array<Scalars['String']['input']>>
  workstationNo: Scalars['String']['input']
}

export type InputKitchenworkstationCreateKitchenRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  printerList?: InputMaybe<
    Array<InputKitchenworkstationCreateRequestPrinterData>
  >
  storeId?: InputMaybe<Scalars['Int']['input']>
  suList?: InputMaybe<Array<InputKitchenworkstationSu>>
  workstationName: Scalars['String']['input']
}

export type InputKitchenworkstationCreateRequestPrinterData = {
  diningStyles?: InputMaybe<Array<Scalars['String']['input']>>
  printerName: Scalars['String']['input']
  receipt: InputKitchenworkstationReceipt
  receiptType: Scalars['String']['input']
  storeTableAreaNo?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputKitchenworkstationDeleteKitchenReceiptPrinterRuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  printerId: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
  workstationNo: Scalars['String']['input']
}

export type InputKitchenworkstationDeleteKitchenRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  targetWorkstationNo: Scalars['String']['input']
  workstationNo: Scalars['String']['input']
}

export type InputKitchenworkstationDetailKitchenReceiptPrinterRuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  printerId: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
  workstationNo: Scalars['String']['input']
}

export type InputKitchenworkstationDetailKitchenRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  workstationNo: Scalars['String']['input']
}

export type InputKitchenworkstationImportSuRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  needServed: Scalars['Boolean']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNos: Array<Scalars['String']['input']>
  workstations?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputKitchenworkstationKitchenTicket = {
  count?: InputMaybe<Scalars['Int']['input']>
  enablePrint?: InputMaybe<Scalars['Boolean']['input']>
  packagesArePrintedTogether?: InputMaybe<Scalars['Boolean']['input']>
  printingMode?: InputMaybe<Scalars['String']['input']>
  sameMealIsPrintedTogether?: InputMaybe<Scalars['Boolean']['input']>
}

export type InputKitchenworkstationListKitchenBySuRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputKitchenworkstationListKitchenRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputKitchenworkstationReceipt = {
  changeTableTicket?: InputMaybe<InputKitchenworkstationChangeTableTicket>
  kitchenTicket?: InputMaybe<InputKitchenworkstationKitchenTicket>
  voidItemTicket?: InputMaybe<InputKitchenworkstationVoidItemTicket>
}

export type InputKitchenworkstationSetTakeoutRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  workstationNo?: InputMaybe<Scalars['String']['input']>
}

export type InputKitchenworkstationSu = {
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputKitchenworkstationUpdateKitchenReceiptPrinterRuleRequest = {
  payload: InputKitchenworkstationUpdateKitchenReceiptPrinterRuleRequestPayload
  typ?: InputMaybe<Scalars['Int']['input']>
}

export type InputKitchenworkstationUpdateKitchenReceiptPrinterRuleRequestPayload =
  {
    brandId?: InputMaybe<Scalars['Int']['input']>
    diningStyles?: InputMaybe<Array<Scalars['String']['input']>>
    printerId: Scalars['String']['input']
    printerName: Scalars['String']['input']
    receipt: InputKitchenworkstationReceipt
    receiptType: Scalars['String']['input']
    storeId?: InputMaybe<Scalars['Int']['input']>
    storeTableAreaNo?: InputMaybe<Array<Scalars['String']['input']>>
    workstationNo: Scalars['String']['input']
  }

export type InputKitchenworkstationUpdateKitchenRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suList?: InputMaybe<Array<InputKitchenworkstationSu>>
  workstationName: Scalars['String']['input']
  workstationNo: Scalars['String']['input']
}

export type InputKitchenworkstationVoidItemTicket = {
  count?: InputMaybe<Scalars['Int']['input']>
  enablePrint?: InputMaybe<Scalars['Boolean']['input']>
}

export type InputLimitSaleModelConfirmCapacityRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  items?: InputMaybe<Array<InputLimitSaleModelOrdersCapacityItem>>
  orderId?: InputMaybe<Scalars['String']['input']>
  requestId?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputLimitSaleModelLimitRuleDto = {
  frequency?: InputMaybe<Scalars['String']['input']>
  monthDays?: InputMaybe<Scalars['Int']['input']>
  quantity?: InputMaybe<Scalars['Int']['input']>
  weekDays?: InputMaybe<Scalars['Int']['input']>
}

export type InputLimitSaleModelLimitSaleModel = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  dishName?: InputMaybe<Scalars['String']['input']>
  dishType?: InputMaybe<Scalars['String']['input']>
  id?: InputMaybe<Scalars['String']['input']>
  isLong?: InputMaybe<Scalars['String']['input']>
  limitQuantity?: InputMaybe<Scalars['Int']['input']>
  limitRuleList?: InputMaybe<Array<InputLimitSaleModelLimitRuleDto>>
  lockQuantity?: InputMaybe<Scalars['Int']['input']>
  scaleName?: InputMaybe<Scalars['String']['input']>
  skuNo?: InputMaybe<Scalars['String']['input']>
  soldQuantity?: InputMaybe<Scalars['Int']['input']>
  spuNo?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputLimitSaleModelLockCapacityRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  items?: InputMaybe<Array<InputLimitSaleModelOrdersCapacityItem>>
  orderId?: InputMaybe<Scalars['String']['input']>
  requestId?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputLimitSaleModelOrdersCapacityItem = {
  cnt?: InputMaybe<Scalars['Int']['input']>
  dishType?: InputMaybe<Scalars['String']['input']>
  skuNo?: InputMaybe<Scalars['String']['input']>
  spuNo?: InputMaybe<Scalars['String']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputLimitSaleModelQueryLimitSaleRuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputLimitSaleModelQueryLimitSalesRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputLimitSaleModelQuitLimitSalesRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  id?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputLimitSaleModelReleaseCapacityRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  items?: InputMaybe<Array<InputLimitSaleModelOrdersCapacityItem>>
  orderId?: InputMaybe<Scalars['String']['input']>
  requestId?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputLimitSaleModelReturnCapacityRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  items?: InputMaybe<Array<InputLimitSaleModelOrdersCapacityItem>>
  orderId?: InputMaybe<Scalars['String']['input']>
  requestId?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputLimitSaleModelUpdateLimitRuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  dishManualCapacityId?: InputMaybe<Scalars['String']['input']>
  isLong?: InputMaybe<Scalars['String']['input']>
  limitQuantity?: InputMaybe<Scalars['Int']['input']>
  limitRuleList?: InputMaybe<Array<InputLimitSaleModelLimitRuleDto>>
  storeId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputNotificationCenterBaseEventRequest = {
  bizType?: InputMaybe<Scalars['String']['input']>
  messageId?: InputMaybe<Scalars['String']['input']>
  payload?: InputMaybe<Scalars['String']['input']>
  ruleId?: InputMaybe<Scalars['String']['input']>
}

export type InputNotificationCenterCenterGetCategoryMessagesRequest = {
  _empty?: InputMaybe<Scalars['String']['input']>
}

export type InputNotificationCenterCenterGetMessageAllRequest = {
  isRead?: InputMaybe<Scalars['Boolean']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputNotificationCenterCenterMarkAllAsReadRequest = {
  notificationId?: InputMaybe<Array<Scalars['String']['input']>>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputNotificationCenterCenterMarkCategoryAsReadRequest = {
  categoryId?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputNotificationCenterCenterMessageStatusChangeRequest = {
  messageIds?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputNotificationCenterCenterSingleUnreadCategoryRequest = {
  categoryId?: InputMaybe<Scalars['String']['input']>
  deviceId?: InputMaybe<Scalars['String']['input']>
  isRead?: InputMaybe<Scalars['Boolean']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  pushPlatform?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputNotificationCenterEvent = {
  bizType?: InputMaybe<Scalars['String']['input']>
  messageId?: InputMaybe<Scalars['String']['input']>
  payload?: InputMaybe<Scalars['String']['input']>
  ruleId?: InputMaybe<Scalars['String']['input']>
}

export type InputNotificationCenterQueryMessageReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputOnlinesalesGetGiveAuthRequest = {
  bizId: Scalars['String']['input']
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOnlinesalesGetStoreAuthRequest = {
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOnlinesalesGetStoreStoreModuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderGetOrderDetailReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  orderNo?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderconfigCountOrderReceiptReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderconfigCreateOrderReceiptReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  enableBeep?: InputMaybe<Scalars['Boolean']['input']>
  enableGraphicPrint?: InputMaybe<Scalars['Boolean']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  receiptList?: InputMaybe<Array<InputOrderconfigReceipt>>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeTableAll?: InputMaybe<Scalars['Boolean']['input']>
  storeTableAreaNo?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputOrderconfigDelOrderReceiptReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  printerId?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderconfigDeleteRefundReasonRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  name?: InputMaybe<Scalars['String']['input']>
}

export type InputOrderconfigGetDiscountReasonRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderconfigGetOrderNoRuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderconfigGetOrderNonoReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderconfigGetOrderReceiptListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderconfigGetRefundReasonRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputOrderconfigReceipt = {
  channel?: InputMaybe<Array<Scalars['String']['input']>>
  count?: InputMaybe<Scalars['Int']['input']>
  eatType?: InputMaybe<Array<Scalars['String']['input']>>
  receipt?: InputMaybe<Scalars['String']['input']>
}

export type InputOrderconfigSaveDiscountReasonRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  names: Array<Scalars['String']['input']>
}

export type InputOrderconfigSaveOrderNoRuleRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  startNo?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  type?: InputMaybe<Scalars['String']['input']>
}

export type InputOrderconfigSaveRefundReasonRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  isMust: Scalars['Boolean']['input']
  name?: InputMaybe<Scalars['String']['input']>
  names: Array<Scalars['String']['input']>
}

export type InputOrderconfigUpdateOrderReceiptReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  enableBeep?: InputMaybe<Scalars['Boolean']['input']>
  enableGraphicPrint?: InputMaybe<Scalars['Boolean']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  printerId?: InputMaybe<Scalars['String']['input']>
  receiptList?: InputMaybe<Array<InputOrderconfigReceipt>>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeTableAll?: InputMaybe<Scalars['Boolean']['input']>
  storeTableAreaNo?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputPayBrandIdChannelDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channel?: InputMaybe<Scalars['String']['input']>
}

export type InputPayBrandIdDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputPayConfigPlanByStoreIdDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  payTypesList?: InputMaybe<Array<InputPayPayTypeVo>>
  source: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputPayCopyStorePaySettingDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  fromStoreId: Scalars['Int']['input']
  toStoreId: Scalars['Int']['input']
}

export type InputPayCreateAccountChannelStoreDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  level: Scalars['String']['input']
  paymentAccountId: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
  useType: Scalars['String']['input']
}

export type InputPayCreateBrandPayTypeDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  icon: Scalars['String']['input']
  isInvoice: Scalars['Int']['input']
  name: Scalars['String']['input']
  payType?: InputMaybe<Scalars['String']['input']>
}

export type InputPayGetStoreAccountDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  useTypes?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputPayParseBusinessDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  imageUrl: Scalars['String']['input']
}

export type InputPayPayByStoreRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  desc?: InputMaybe<Scalars['Boolean']['input']>
  endTime?: InputMaybe<Scalars['String']['input']>
  orderBy?: InputMaybe<Scalars['String']['input']>
  pageNo?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  payChannels?: InputMaybe<Array<Scalars['String']['input']>>
  paymentAccountId?: InputMaybe<Scalars['String']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputPayPayIntoSaveDto = {
  accountName?: InputMaybe<Scalars['String']['input']>
  accountShortName?: InputMaybe<Scalars['String']['input']>
  accountType?: InputMaybe<Scalars['String']['input']>
  addTime?: InputMaybe<Scalars['String']['input']>
  alipayEmail?: InputMaybe<Scalars['String']['input']>
  areaCode?: InputMaybe<Scalars['String']['input']>
  areaName?: InputMaybe<Scalars['String']['input']>
  authUrl?: InputMaybe<Scalars['String']['input']>
  bankAccountName?: InputMaybe<Scalars['String']['input']>
  bankAccountNumber?: InputMaybe<Scalars['String']['input']>
  bankAccountNumberRepeat?: InputMaybe<Scalars['String']['input']>
  bankName?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  brandName?: InputMaybe<Scalars['String']['input']>
  brandPhone?: InputMaybe<Scalars['String']['input']>
  channel?: InputMaybe<Scalars['String']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  cityBankName?: InputMaybe<Scalars['String']['input']>
  cityCode?: InputMaybe<Scalars['String']['input']>
  cityName?: InputMaybe<Scalars['String']['input']>
  contactName?: InputMaybe<Scalars['String']['input']>
  contractEmail?: InputMaybe<Scalars['String']['input']>
  contractTel?: InputMaybe<Scalars['String']['input']>
  mchId?: InputMaybe<Scalars['String']['input']>
  paymentIncomingDataId?: InputMaybe<Scalars['Int']['input']>
  picBusinessLicence?: InputMaybe<Scalars['String']['input']>
  picIdCardBack?: InputMaybe<Scalars['String']['input']>
  picIdCardFront?: InputMaybe<Scalars['String']['input']>
  picStoreBrand?: InputMaybe<Scalars['String']['input']>
  picStoreSceneOne?: InputMaybe<Scalars['String']['input']>
  picStoreSceneThree?: InputMaybe<Scalars['String']['input']>
  picStoreSceneTwo?: InputMaybe<Scalars['String']['input']>
  province?: InputMaybe<Scalars['String']['input']>
  provinceCode?: InputMaybe<Scalars['String']['input']>
  reason?: InputMaybe<Scalars['String']['input']>
  remark?: InputMaybe<Scalars['String']['input']>
  signUrl?: InputMaybe<Scalars['String']['input']>
  status?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeStreet?: InputMaybe<Scalars['String']['input']>
}

export type InputPayPayRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  desc?: InputMaybe<Scalars['Boolean']['input']>
  endTime?: InputMaybe<Scalars['String']['input']>
  orderBy?: InputMaybe<Scalars['String']['input']>
  pageNo?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  payChannels?: InputMaybe<Array<Scalars['String']['input']>>
  startTime?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputPayPayTypeVo = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  icon?: InputMaybe<Scalars['String']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  payType: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputPayRemoveAccountChannelStoreDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channel: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
  useType: Scalars['String']['input']
}

export type InputPayRemoveBrandPayTypeDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  payType: Scalars['String']['input']
  source: Scalars['String']['input']
}

export type InputPayStoreIdDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputPayStoreIdSouceDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  source: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputPayUpdatePayIntoRemarkDto = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  paymentIncomingDataId: Scalars['Int']['input']
  remark: Scalars['String']['input']
}

export type InputPrintEmpty = {
  _empty?: InputMaybe<Scalars['String']['input']>
}

export type InputPrintReceiptStyleListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  templateKey?: InputMaybe<Scalars['String']['input']>
}

export type InputPrintReceiptStyleSaveReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  content?: InputMaybe<Scalars['String']['input']>
  isSelected?: InputMaybe<Scalars['Boolean']['input']>
  receiptStyleNo?: InputMaybe<Scalars['String']['input']>
  sections?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  styleId?: InputMaybe<Scalars['Int']['input']>
  styleName?: InputMaybe<Scalars['String']['input']>
  templateKey?: InputMaybe<Scalars['String']['input']>
}

export type InputProductBrandIdReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputProductBrandStoreIdReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputProductCapacityData = {
  affectedAutoCnt?: InputMaybe<Scalars['Int']['input']>
  affectedCnt?: InputMaybe<Scalars['Int']['input']>
  autoCnt?: InputMaybe<Scalars['Int']['input']>
  bindDishSkuId?: InputMaybe<Scalars['String']['input']>
  bindDishSpuId?: InputMaybe<Scalars['String']['input']>
  cnt?: InputMaybe<Scalars['Int']['input']>
  dishComboId?: InputMaybe<Scalars['String']['input']>
  dishSkuId?: InputMaybe<Scalars['String']['input']>
  dishSpuId?: InputMaybe<Scalars['String']['input']>
  dishType?: InputMaybe<Scalars['String']['input']>
}

export type InputProductManageSuCategoryPayload = {
  action?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  categoryNameOrigin?: InputMaybe<Scalars['String']['input']>
  categoryNo?: InputMaybe<Scalars['String']['input']>
}

export type InputProductManageSuPayload = {
  action?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suList?: InputMaybe<Array<InputProductSuItem>>
}

export type InputProductSuItem = {
  suNo?: InputMaybe<Scalars['String']['input']>
  suType?: InputMaybe<Scalars['String']['input']>
}

export type InputProductSupplyCallbackSaveCapacityReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  data?: InputMaybe<Array<InputProductCapacityData>>
  storeId?: InputMaybe<Scalars['Int']['input']>
  traceId?: InputMaybe<Scalars['String']['input']>
  version?: InputMaybe<Scalars['Int']['input']>
}

export type InputRevenueClientComparisonRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  clients?: InputMaybe<Array<Scalars['String']['input']>>
  desc?: InputMaybe<Scalars['Boolean']['input']>
  endTime?: InputMaybe<Scalars['String']['input']>
  orderBy?: InputMaybe<Scalars['String']['input']>
  pageNo?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputRevenueExportToEmailRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  brandName?: InputMaybe<Scalars['String']['input']>
  email?: InputMaybe<Scalars['String']['input']>
  endDate?: InputMaybe<Scalars['String']['input']>
  reportType?: InputMaybe<Scalars['String']['input']>
  startDate?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputRevenueOrderSummaryRequest = {
  actualAmtGT?: InputMaybe<Scalars['Float']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  clients?: InputMaybe<Array<Scalars['String']['input']>>
  desc?: InputMaybe<Scalars['Boolean']['input']>
  discountAmtGT?: InputMaybe<Scalars['Float']['input']>
  endTime?: InputMaybe<Scalars['String']['input']>
  orderBy?: InputMaybe<Scalars['String']['input']>
  orderStatus?: InputMaybe<Array<Scalars['String']['input']>>
  originAmtGT?: InputMaybe<Scalars['Float']['input']>
  pageNo?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  payEndTime?: InputMaybe<Scalars['String']['input']>
  payStartTime?: InputMaybe<Scalars['String']['input']>
  refundAmtGT?: InputMaybe<Scalars['Float']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputRevenueOverviewRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  clients?: InputMaybe<Array<Scalars['String']['input']>>
  desc?: InputMaybe<Scalars['Boolean']['input']>
  endTime?: InputMaybe<Scalars['String']['input']>
  orderBy?: InputMaybe<Scalars['String']['input']>
  pageNo?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputRevenueStoreSummaryRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  clients?: InputMaybe<Array<Scalars['String']['input']>>
  desc?: InputMaybe<Scalars['Boolean']['input']>
  endTime?: InputMaybe<Scalars['String']['input']>
  orderBy?: InputMaybe<Scalars['String']['input']>
  pageNo?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
}

export type InputRolePermUserCenterAddEmployeeReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  brandName?: InputMaybe<Scalars['String']['input']>
  email?: InputMaybe<Scalars['String']['input']>
  futureStore?: InputMaybe<Scalars['Boolean']['input']>
  operatorStoreId: Scalars['Int']['input']
  passcode: Scalars['String']['input']
  phone?: InputMaybe<Scalars['String']['input']>
  roleIds: Array<Scalars['String']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
  username: Scalars['String']['input']
}

export type InputRolePermUserCenterAddRoleReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  description?: InputMaybe<Scalars['String']['input']>
  icon: Scalars['String']['input']
  maximumDiscountPerItem?: InputMaybe<Scalars['Int']['input']>
  maximumDiscountWholeOrder?: InputMaybe<Scalars['Int']['input']>
  name: Scalars['String']['input']
  permission?: InputMaybe<InputRolePermUserCenterPermission>
  roleType: Scalars['Int']['input']
}

export type InputRolePermUserCenterCurrentUserBrandStoresReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  isDel?: InputMaybe<Scalars['Boolean']['input']>
  token?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterCurrentUserPermReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  token?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterDeleteEmployeeReq = {
  employeeId: Scalars['String']['input']
}

export type InputRolePermUserCenterDeleteRoleReq = {
  NewRoleName: Scalars['String']['input']
  RoleId: Scalars['String']['input']
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputRolePermUserCenterGeneratePassCodeReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputRolePermUserCenterGetEmployeeListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterGetEmployeeReq = {
  employeeId: Scalars['String']['input']
}

export type InputRolePermUserCenterGetPermListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputRolePermUserCenterGetRoleReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  roleId: Scalars['String']['input']
}

export type InputRolePermUserCenterGetRolesPermsReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  roleIds?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputRolePermUserCenterGetStoreListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputRolePermUserCenterGetSuperAdminBrandsForUserReq = {
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterGetSuperAdminInfoReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputRolePermUserCenterGetUserBrandStoreSelectionReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterGivenSuperRoleReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  newRoleId?: InputMaybe<Scalars['String']['input']>
  removeCurrentAdmin?: InputMaybe<Scalars['Boolean']['input']>
  targetUserID?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterInitUserBrandReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  token?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterInitUserStoreReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  token?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterInviteEmployeeReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  invitation?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterListRoleReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputRolePermUserCenterOpenPlatformBrandStoreEmployeesReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterPermission = {
  hqPermIds?: InputMaybe<Array<Scalars['String']['input']>>
  posPermIds?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputRolePermUserCenterUpdateEmployeeReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  brandName?: InputMaybe<Scalars['String']['input']>
  email?: InputMaybe<Scalars['String']['input']>
  employeeId: Scalars['String']['input']
  futureStore?: InputMaybe<Scalars['Boolean']['input']>
  inviteCode?: InputMaybe<Scalars['String']['input']>
  passcode?: InputMaybe<Scalars['String']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
  roleIds?: InputMaybe<Array<Scalars['String']['input']>>
  storeIds?: InputMaybe<Array<Scalars['Int']['input']>>
  userId?: InputMaybe<Scalars['String']['input']>
  username?: InputMaybe<Scalars['String']['input']>
}

export type InputRolePermUserCenterUpdateRoleReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  description?: InputMaybe<Scalars['String']['input']>
  icon?: InputMaybe<Scalars['String']['input']>
  maximumDiscountPerItem?: InputMaybe<Scalars['Int']['input']>
  maximumDiscountWholeOrder?: InputMaybe<Scalars['Int']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  permission?: InputMaybe<InputRolePermUserCenterPermission>
  roleId: Scalars['String']['input']
  roleType?: InputMaybe<Scalars['Int']['input']>
}

export type InputRolePermUserCenterUserBrandStoreSelectionReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitAdditionalSkuList = {
  additionalItemNo?: InputMaybe<Scalars['String']['input']>
  isDefault?: InputMaybe<Scalars['Boolean']['input']>
  selectMax?: InputMaybe<Scalars['Int']['input']>
  sort?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitBrandStoreIdReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitBulkSuDeleteReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  suNos?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputSaleunitBulkSuShelfReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  saleScene?: InputMaybe<Array<Scalars['String']['input']>>
  shelfStatus?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suList?: InputMaybe<Array<InputSaleunitRelationSuList>>
}

export type InputSaleunitBulkSuUpdateReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  data: InputSaleunitBulkSuUpdateReqData
  needUpdate: Array<Scalars['String']['input']>
  suNos: Array<Scalars['String']['input']>
}

export type InputSaleunitBulkSuUpdateReqData = {
  isPack?: InputMaybe<Scalars['Boolean']['input']>
  packSkuNo?: InputMaybe<Scalars['String']['input']>
  statTagNo?: InputMaybe<Scalars['String']['input']>
  suCategoryNos?: InputMaybe<Array<Scalars['String']['input']>>
  suTagNos?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputSaleunitBulkSuUploadPicReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  suNo: Scalars['String']['input']
  urls?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputSaleunitCopySuReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  fromStoreId?: InputMaybe<Scalars['Int']['input']>
  toStoreId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitCreateAdditionalGroupList = {
  additionalGroupNo?: InputMaybe<Scalars['String']['input']>
  additionalItemNoList?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputSaleunitCreateBrandSkuList = {
  createAdditionalGroupList?: InputMaybe<
    Array<InputSaleunitCreateAdditionalGroupList>
  >
  createSceneSkuDetailList?: InputMaybe<
    Array<InputSaleunitCreateSceneSkuDetailList>
  >
  img?: InputMaybe<Scalars['String']['input']>
  isDefault?: InputMaybe<Scalars['Boolean']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  packSkuNo?: InputMaybe<Scalars['String']['input']>
  price?: InputMaybe<Scalars['Float']['input']>
  priceType?: InputMaybe<Scalars['String']['input']>
  skuNo?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitCreateComboSkuGroupList = {
  comboSkuList?: InputMaybe<Array<InputSaleunitCreateComboSkuList>>
  groupName?: InputMaybe<Scalars['String']['input']>
  groupSort?: InputMaybe<Scalars['Int']['input']>
  minSelectNum?: InputMaybe<Scalars['Int']['input']>
  suGroupNo?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitCreateComboSkuList = {
  addPrice?: InputMaybe<Scalars['Float']['input']>
  fixedNum?: InputMaybe<Scalars['Int']['input']>
  isDefault?: InputMaybe<Scalars['Boolean']['input']>
  maxNum?: InputMaybe<Scalars['Int']['input']>
  skuNo: Scalars['String']['input']
  sort?: InputMaybe<Scalars['Int']['input']>
  suNo: Scalars['String']['input']
}

export type InputSaleunitCreateSceneSkuDetailList = {
  price?: InputMaybe<Scalars['Float']['input']>
  priceType?: InputMaybe<Scalars['String']['input']>
  saleScene?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitCreateSuCategoryReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  name: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
  suList?: InputMaybe<Array<InputSaleunitRelationSuList>>
}

export type InputSaleunitDeleteAdditionalGroupReq = {
  additionalGroupNo: Scalars['String']['input']
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitDeleteAdditionalItemReq = {
  additionalItemNo: Scalars['String']['input']
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitDeleteComboSuReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitDeletePackReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  packNo: Scalars['String']['input']
}

export type InputSaleunitDeleteSaleTimeReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  saleTimeNo?: InputMaybe<Scalars['String']['input']>
  toSaleTimeNo?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitDeleteSingleSuReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo: Scalars['String']['input']
}

export type InputSaleunitDeleteSuCategoryReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  categoryNo: Scalars['String']['input']
}

export type InputSaleunitDeleteSuTagReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  tagNo: Scalars['String']['input']
}

export type InputSaleunitGetAdditionalGroupItemListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetAdditionalGroupListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetAdditionalItemListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetBasicPriceListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetBasicSingleSuListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  needServed?: InputMaybe<Scalars['Boolean']['input']>
}

export type InputSaleunitGetCategoryListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetCategorySceneListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  saleScene: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetComboSuListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetComboSuReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo: Scalars['String']['input']
}

export type InputSaleunitGetPackFeeListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetPackListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetSaleInfoListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetSaleTimeListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  isRelationSu?: InputMaybe<Scalars['Boolean']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetSingleSuListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetSingleSuReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo: Scalars['String']['input']
}

export type InputSaleunitGetSuCategoryListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  saleScene?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetSuScenePriceListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  saleScene?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitGetSuTagListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitImportSuExcelReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  url: Scalars['String']['input']
}

export type InputSaleunitManageSaleSceneSaleInfo = {
  saleScene?: InputMaybe<Scalars['String']['input']>
  saleTimeNoList?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputSaleunitQueryComboSuReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitRelationSuList = {
  skuNoList?: InputMaybe<Array<Scalars['String']['input']>>
  suName?: InputMaybe<Scalars['String']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
  suType?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitSaleScenePriceList = {
  price?: InputMaybe<Scalars['Float']['input']>
  saleScene?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitSaleTimeItems = {
  endTime?: InputMaybe<Scalars['String']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitSaveAdditionalGroupReq = {
  additionalGroupNo?: InputMaybe<Scalars['String']['input']>
  additionalSkuList: Array<InputSaleunitAdditionalSkuList>
  bizRemark?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  name: Scalars['String']['input']
  selectMax?: InputMaybe<Scalars['Int']['input']>
  selectMin?: InputMaybe<Scalars['Int']['input']>
  suList?: InputMaybe<Array<InputSaleunitRelationSuList>>
}

export type InputSaleunitSaveAdditionalItemReq = {
  additionalItemNo?: InputMaybe<Scalars['String']['input']>
  basicPrice: Scalars['Float']['input']
  brandId?: InputMaybe<Scalars['Int']['input']>
  isSetScenePrice?: InputMaybe<Scalars['Boolean']['input']>
  name: Scalars['String']['input']
  salePriceList?: InputMaybe<
    Array<InputSaleunitSaveAdditionalItemSalePriceList>
  >
}

export type InputSaleunitSaveAdditionalItemSalePriceList = {
  salePrice?: InputMaybe<Scalars['Float']['input']>
  saleScene?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitSaveComboSuReq = {
  basicPrice: Scalars['Float']['input']
  brandId?: InputMaybe<Scalars['Int']['input']>
  categoryNoList: Array<Scalars['String']['input']>
  comboGroupSkuList: Array<InputSaleunitCreateComboSkuGroupList>
  comboType: Scalars['String']['input']
  desc?: InputMaybe<Scalars['String']['input']>
  imgList?: InputMaybe<Array<InputSaleunitSuImageInfo>>
  isAlonePrice?: InputMaybe<Scalars['Boolean']['input']>
  name: Scalars['String']['input']
  salePriceStoreIdList?: InputMaybe<Array<Scalars['Int']['input']>>
  saleSceneList?: InputMaybe<Array<Scalars['String']['input']>>
  saleScenePriceList?: InputMaybe<Array<InputSaleunitSaleScenePriceList>>
  saleTimeNoList?: InputMaybe<Array<Scalars['String']['input']>>
  saleTimeStoreIdList?: InputMaybe<Array<Scalars['Int']['input']>>
  sceneInfoList?: InputMaybe<Array<InputSaleunitManageSaleSceneSaleInfo>>
  shelfStatus: Scalars['String']['input']
  shelfStoreIdList?: InputMaybe<Array<Scalars['Int']['input']>>
  statTagNo?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
  suTagNoList?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputSaleunitSavePackReq = {
  basicPrice: Scalars['Float']['input']
  brandId?: InputMaybe<Scalars['Int']['input']>
  name: Scalars['String']['input']
  packNo?: InputMaybe<Scalars['String']['input']>
  suList?: InputMaybe<Array<InputSaleunitRelationSuList>>
}

export type InputSaleunitSaveSaleTimeReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  configMethod: Scalars['String']['input']
  friday?: InputMaybe<Array<InputSaleunitSaleTimeItems>>
  monday?: InputMaybe<Array<InputSaleunitSaleTimeItems>>
  name: Scalars['String']['input']
  saleTimeNo?: InputMaybe<Scalars['String']['input']>
  saturday?: InputMaybe<Array<InputSaleunitSaleTimeItems>>
  sunday?: InputMaybe<Array<InputSaleunitSaleTimeItems>>
  thursday?: InputMaybe<Array<InputSaleunitSaleTimeItems>>
  tuesday?: InputMaybe<Array<InputSaleunitSaleTimeItems>>
  wednesday?: InputMaybe<Array<InputSaleunitSaleTimeItems>>
}

export type InputSaleunitSaveSingleSuReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  brandSkuList: Array<InputSaleunitCreateBrandSkuList>
  categoryNoList?: InputMaybe<Array<Scalars['String']['input']>>
  desc?: InputMaybe<Scalars['String']['input']>
  imgList?: InputMaybe<Array<InputSaleunitSuImageInfo>>
  isAlonePrice: Scalars['Boolean']['input']
  isManySpec?: InputMaybe<Scalars['Boolean']['input']>
  isMixed?: InputMaybe<Scalars['Boolean']['input']>
  isPack: Scalars['Boolean']['input']
  isSetScenePrice?: InputMaybe<Scalars['Boolean']['input']>
  isSetSpecAg?: InputMaybe<Scalars['Boolean']['input']>
  isSetSpecPack?: InputMaybe<Scalars['Boolean']['input']>
  name: Scalars['String']['input']
  needServed?: InputMaybe<Scalars['Boolean']['input']>
  salePriceStoreIdList?: InputMaybe<Array<Scalars['Int']['input']>>
  saleSceneList?: InputMaybe<Array<Scalars['String']['input']>>
  saleTimeNoList?: InputMaybe<Array<Scalars['String']['input']>>
  saleTimeStoreIdList?: InputMaybe<Array<Scalars['Int']['input']>>
  sceneInfoList?: InputMaybe<Array<InputSaleunitManageSaleSceneSaleInfo>>
  shelfStatus?: InputMaybe<Scalars['String']['input']>
  shelfStoreIdList?: InputMaybe<Array<Scalars['Int']['input']>>
  spuNo?: InputMaybe<Scalars['String']['input']>
  statTagNo?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
  suTagNoList?: InputMaybe<Array<Scalars['String']['input']>>
  workstationNos?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputSaleunitSaveSuTagReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  color?: InputMaybe<Scalars['String']['input']>
  name: Scalars['String']['input']
  status?: InputMaybe<Scalars['String']['input']>
  suList?: InputMaybe<Array<InputSaleunitRelationSuList>>
  tagNo?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitSetSortSuCategoryReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  items: Array<InputSaleunitSortSuCategoryList>
  saleScene: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitSetSortSuListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  categoryNo: Scalars['String']['input']
  items: Array<InputSaleunitSortSuList>
  saleScene: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitSetSortSuTagReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  items: Array<InputSaleunitSortSuTagList>
}

export type InputSaleunitSortSuCategoryList = {
  categoryNo?: InputMaybe<Scalars['String']['input']>
  sort?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitSortSuList = {
  sort?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
  suType?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitSortSuTagList = {
  sort?: InputMaybe<Scalars['Int']['input']>
  tagNo?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitSuImageInfo = {
  type?: InputMaybe<Scalars['String']['input']>
  url?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitUpdateSuCategoryReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  categoryNo: Scalars['String']['input']
  name: Scalars['String']['input']
  suList?: InputMaybe<Array<InputSaleunitRelationSuList>>
}

export type InputSaleunitValidateAdditionalItem = {
  additionalGroupNo?: InputMaybe<Scalars['String']['input']>
  additionalItemNo?: InputMaybe<Scalars['String']['input']>
  count?: InputMaybe<Scalars['Int']['input']>
}

export type InputSaleunitValidateSuItem = {
  additionalItems?: InputMaybe<Array<InputSaleunitValidateAdditionalItem>>
  count?: InputMaybe<Scalars['Int']['input']>
  isPack?: InputMaybe<Scalars['Boolean']['input']>
  packNo?: InputMaybe<Scalars['String']['input']>
  singleItems?: InputMaybe<Array<InputSaleunitValidateSuItem>>
  skuNo?: InputMaybe<Scalars['String']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
  suType?: InputMaybe<Scalars['String']['input']>
}

export type InputSaleunitValidateSuListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  client: Scalars['String']['input']
  items: Array<InputSaleunitValidateSuItem>
  scene: Scalars['String']['input']
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputSpuDeleteStatTagReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  statNo: Scalars['String']['input']
}

export type InputSpuGetStatTagPageListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
}

export type InputSpuSaveStatTagReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  name: Scalars['String']['input']
  statTagNo?: InputMaybe<Scalars['String']['input']>
  suList?: InputMaybe<Array<InputSpuStatTagSuList>>
}

export type InputSpuSkuGroupIdReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  skuGroupNo: Scalars['String']['input']
}

export type InputSpuStatTagSuList = {
  suName?: InputMaybe<Scalars['String']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
  suType?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreBusinessBusinessReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  businessType?: InputMaybe<Scalars['String']['input']>
  configMethod?: InputMaybe<Scalars['String']['input']>
  friday?: InputMaybe<Array<InputStoreBusinessTime>>
  id?: InputMaybe<Scalars['String']['input']>
  loopMethod?: InputMaybe<Scalars['String']['input']>
  monday?: InputMaybe<Array<InputStoreBusinessTime>>
  saturday?: InputMaybe<Array<InputStoreBusinessTime>>
  storeId?: InputMaybe<Scalars['Int']['input']>
  sunday?: InputMaybe<Array<InputStoreBusinessTime>>
  thursday?: InputMaybe<Array<InputStoreBusinessTime>>
  tuesday?: InputMaybe<Array<InputStoreBusinessTime>>
  wednesday?: InputMaybe<Array<InputStoreBusinessTime>>
}

export type InputStoreBusinessCreatStore = {
  address?: InputMaybe<Scalars['String']['input']>
  addressDetail?: InputMaybe<Scalars['String']['input']>
  autoSoldOut?: InputMaybe<Scalars['Int']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  city?: InputMaybe<Scalars['String']['input']>
  cityCode?: InputMaybe<Scalars['String']['input']>
  county?: InputMaybe<Scalars['String']['input']>
  isPlate?: InputMaybe<Scalars['Boolean']['input']>
  isPlateRequired?: InputMaybe<Scalars['Boolean']['input']>
  isPosAll?: InputMaybe<Scalars['Boolean']['input']>
  lbsLat?: InputMaybe<Scalars['String']['input']>
  lbsLng?: InputMaybe<Scalars['String']['input']>
  logo?: InputMaybe<Scalars['String']['input']>
  mobile?: InputMaybe<Scalars['String']['input']>
  remark?: InputMaybe<Scalars['String']['input']>
  state?: InputMaybe<Scalars['String']['input']>
  status?: InputMaybe<Scalars['String']['input']>
  storeName?: InputMaybe<Scalars['String']['input']>
  storeNumber?: InputMaybe<Scalars['String']['input']>
  tel?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreBusinessDeleteBusinessReq = {
  id?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreBusinessDeleteStoreRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreBusinessFindBusinessReq = {
  businessType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreBusinessFindStoreOrderMethodReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreBusinessFindStoreRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreBusinessGetStoreRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreBusinessOpenStore = {
  address?: InputMaybe<Scalars['String']['input']>
  addressDetail?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  city?: InputMaybe<Scalars['String']['input']>
  county?: InputMaybe<Scalars['String']['input']>
  logo?: InputMaybe<Scalars['String']['input']>
  mobile?: InputMaybe<Scalars['String']['input']>
  remark?: InputMaybe<Scalars['String']['input']>
  state?: InputMaybe<Scalars['String']['input']>
  status?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeName?: InputMaybe<Scalars['String']['input']>
  tel?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreBusinessStore = {
  address?: InputMaybe<Scalars['String']['input']>
  addressDetail?: InputMaybe<Scalars['String']['input']>
  autoSoldOut?: InputMaybe<Scalars['Int']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  city?: InputMaybe<Scalars['String']['input']>
  cityCode?: InputMaybe<Scalars['String']['input']>
  county?: InputMaybe<Scalars['String']['input']>
  dataSource?: InputMaybe<Scalars['String']['input']>
  isDelete?: InputMaybe<Scalars['Boolean']['input']>
  isDinersNumRequired?: InputMaybe<Scalars['Boolean']['input']>
  isPlate?: InputMaybe<Scalars['Boolean']['input']>
  isPlateRequired?: InputMaybe<Scalars['Boolean']['input']>
  isPosAll?: InputMaybe<Scalars['Boolean']['input']>
  lbsLat?: InputMaybe<Scalars['String']['input']>
  lbsLng?: InputMaybe<Scalars['String']['input']>
  logo?: InputMaybe<Scalars['String']['input']>
  migration?: InputMaybe<Scalars['String']['input']>
  mobile?: InputMaybe<Scalars['String']['input']>
  remark?: InputMaybe<Scalars['String']['input']>
  state?: InputMaybe<Scalars['String']['input']>
  status?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  storeName?: InputMaybe<Scalars['String']['input']>
  storeNumber?: InputMaybe<Scalars['String']['input']>
  tel?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreBusinessStoreAllRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreBusinessStoreListByBrandIdsReq = {
  brandIds?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreBusinessStoreOrderMethod = {
  client?: InputMaybe<Scalars['String']['input']>
  diningMode?: InputMaybe<Scalars['String']['input']>
  payModel?: InputMaybe<Scalars['String']['input']>
  scene?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreBusinessStorePlateReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  isDinersNumRequired?: InputMaybe<Scalars['Boolean']['input']>
  isPlate?: InputMaybe<Scalars['Boolean']['input']>
  isPlateRequired?: InputMaybe<Scalars['Boolean']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreBusinessTime = {
  endTime?: InputMaybe<Scalars['String']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreBusinessUpdateBusinessReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  businessType?: InputMaybe<Scalars['String']['input']>
  configMethod?: InputMaybe<Scalars['String']['input']>
  friday?: InputMaybe<Array<InputStoreBusinessTime>>
  id?: InputMaybe<Scalars['String']['input']>
  loopMethod?: InputMaybe<Scalars['String']['input']>
  monday?: InputMaybe<Array<InputStoreBusinessTime>>
  saturday?: InputMaybe<Array<InputStoreBusinessTime>>
  storeId?: InputMaybe<Scalars['Int']['input']>
  sunday?: InputMaybe<Array<InputStoreBusinessTime>>
  thursday?: InputMaybe<Array<InputStoreBusinessTime>>
  tuesday?: InputMaybe<Array<InputStoreBusinessTime>>
  wednesday?: InputMaybe<Array<InputStoreBusinessTime>>
}

export type InputStoreBusinessUpdateStoreOrderMethodReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  orderMethod?: InputMaybe<InputStoreBusinessStoreOrderMethod>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreDeviceBindHqPublicDeviceReq = {
  deviceId?: InputMaybe<Scalars['String']['input']>
  deviceNo?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreDeviceDeleteDeviceReq = {
  storeDeviceId: Scalars['String']['input']
}

export type InputStoreDeviceDeviceBindReq = {
  deviceId: Scalars['String']['input']
  storeDeviceId: Scalars['String']['input']
}

export type InputStoreDeviceDeviceDetailReq = {
  deviceId: Scalars['String']['input']
}

export type InputStoreDeviceDeviceListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  deviceType?: InputMaybe<Scalars['String']['input']>
  page?: InputMaybe<Scalars['Int']['input']>
  pageSize?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreDeviceDeviceReq = {
  deviceId: Scalars['String']['input']
  deviceNo?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreDeviceGetDeviceCountReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreDeviceGetDeviceVoiceReq = {
  deviceId?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreDeviceQueryAllDevicesStoreIdReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreDeviceRefreshDeviceNoReq = {
  storeDeviceId: Scalars['String']['input']
}

export type InputStoreDeviceSettingDeviceVoiceReq = {
  EleMe?: InputMaybe<InputStoreDeviceVoice>
  MeiTuanTakeout?: InputMaybe<InputStoreDeviceVoice>
  NetWorkError?: InputMaybe<InputStoreDeviceVoice>
  PosOrder?: InputMaybe<InputStoreDeviceVoice>
  PrintError?: InputMaybe<InputStoreDeviceVoice>
  PrinterVoice?: InputMaybe<Scalars['Boolean']['input']>
  deviceId?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreDeviceUnbindDeviceReq = {
  storeDeviceId: Scalars['String']['input']
}

export type InputStoreDeviceUnbindStoreEquipmentReq = {
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreDeviceUpsetDeviceReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  deviceType?: InputMaybe<Scalars['String']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  status?: InputMaybe<Scalars['String']['input']>
  storeDeviceId?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputStoreDeviceVoice = {
  IsEnable?: InputMaybe<Scalars['Boolean']['input']>
  PlayNum?: InputMaybe<Scalars['Int']['input']>
  VoiceId?: InputMaybe<Scalars['String']['input']>
  VoiceType?: InputMaybe<Scalars['String']['input']>
  VoiceUrl?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreTaskStoreTaskCompleteReq = {
  basicTaskNo?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  isCancel?: InputMaybe<Scalars['Boolean']['input']>
  isPosOrderFinished?: InputMaybe<Scalars['Boolean']['input']>
  isReverse?: InputMaybe<Scalars['Boolean']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  taskType?: InputMaybe<Scalars['String']['input']>
}

export type InputStoreTaskStoreTaskListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutAuthBrandIdRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutAuthElemeStoreMap = {
  elemeId?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutAuthElemeStoreMapRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeMaps?: InputMaybe<Array<InputTakeoutAuthElemeStoreMap>>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutAuthGetElemeStoresRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutAuthStoreIdRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutPrinterTimeConfigReceipt = {
  deliverTime?: InputMaybe<Scalars['Int']['input']>
  makeTime?: InputMaybe<Scalars['Int']['input']>
  printType?: InputMaybe<Scalars['String']['input']>
  receiptType?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigCopyReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  fromStoreId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigSaveReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  receipts?: InputMaybe<Array<InputTakeoutPrinterTimeConfigReceipt>>
  storeId?: InputMaybe<Scalars['Int']['input']>
  takeoutPrinterTimeConfigNo?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutProductAdditionalGroup = {
  additionalGroupNo?: InputMaybe<Scalars['String']['input']>
  additionalItems?: InputMaybe<Array<InputTakeoutProductAdditionalItem>>
  name?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutProductAdditionalItem = {
  additionalItemNo?: InputMaybe<Scalars['String']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  price?: InputMaybe<Scalars['Float']['input']>
}

export type InputTakeoutProductBackCategory = {
  children?: InputMaybe<Array<InputTakeoutProductBackCategory>>
  id?: InputMaybe<Scalars['Int']['input']>
  leaf?: InputMaybe<Scalars['Boolean']['input']>
  lev?: InputMaybe<Scalars['Int']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  parentId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductCancelRelationProductRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  outerBizNo?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductComboGroup = {
  minMultiSelected?: InputMaybe<Scalars['Int']['input']>
  multiSelected?: InputMaybe<Scalars['Boolean']['input']>
  outName?: InputMaybe<Scalars['String']['input']>
  outProductType?: InputMaybe<Scalars['String']['input']>
  scales?: InputMaybe<Array<InputTakeoutProductComboScale>>
}

export type InputTakeoutProductComboScale = {
  defaultSelectNum?: InputMaybe<Scalars['Int']['input']>
  outId?: InputMaybe<Scalars['String']['input']>
  outProductType?: InputMaybe<Scalars['String']['input']>
  quantity?: InputMaybe<Scalars['Int']['input']>
  required?: InputMaybe<Scalars['Boolean']['input']>
}

export type InputTakeoutProductCountRelationProductRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductCreateCategoryRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  categoryName?: InputMaybe<Scalars['String']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  description?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductCreateIngredientGroupsRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  ingredientGroups?: InputMaybe<InputTakeoutProductOutsideIngredientsGroupData>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductCreateIngredientsRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  skus?: InputMaybe<Array<InputTakeoutProductInnerIngredientsSku>>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductCreateTripartiteComboRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  categoryId?: InputMaybe<Scalars['String']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  imgList?: InputMaybe<Array<InputTakeoutProductProductPic>>
  name?: InputMaybe<Scalars['String']['input']>
  onShelf?: InputMaybe<Scalars['Boolean']['input']>
  skuList?: InputMaybe<Array<InputTakeoutProductInnerComboSku>>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductCreateTripartiteProductRequest = {
  backCategory?: InputMaybe<InputTakeoutProductBackCategory>
  brandId?: InputMaybe<Scalars['Int']['input']>
  categoryId?: InputMaybe<Scalars['String']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  desc?: InputMaybe<Scalars['String']['input']>
  img?: InputMaybe<Scalars['String']['input']>
  materials?: InputMaybe<Array<InputTakeoutProductElemeMaterial>>
  name?: InputMaybe<Scalars['String']['input']>
  onShelf?: InputMaybe<Scalars['String']['input']>
  price?: InputMaybe<Scalars['Float']['input']>
  skuList?: InputMaybe<Array<InputTakeoutProductInnerSku>>
  storeId?: InputMaybe<Scalars['Int']['input']>
  suNo?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutProductElemeMaterial = {
  id?: InputMaybe<Scalars['Int']['input']>
  name?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutProductGetBackCategoryRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductGetCategoryRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductGetIngredientsRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductGetMaterialRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductGetTripartiteAdditionalListRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductGetTripartiteProductListRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductInnerComboSku = {
  boxNum?: InputMaybe<Scalars['Int']['input']>
  boxPrice?: InputMaybe<Scalars['String']['input']>
  groups?: InputMaybe<Array<InputTakeoutProductComboGroup>>
  outProductType?: InputMaybe<Scalars['String']['input']>
  price?: InputMaybe<Scalars['Float']['input']>
}

export type InputTakeoutProductInnerIngredientsSku = {
  maxStock?: InputMaybe<Scalars['Int']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  price?: InputMaybe<Scalars['Float']['input']>
  stock?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductInnerSku = {
  additionalGroups?: InputMaybe<Array<InputTakeoutProductAdditionalGroup>>
  basicPrice?: InputMaybe<Scalars['Float']['input']>
  boxPrice?: InputMaybe<Scalars['Float']['input']>
  imgUrl?: InputMaybe<Scalars['String']['input']>
  name?: InputMaybe<Scalars['String']['input']>
  skuNo?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutProductOutsideIngredientsGroupData = {
  outId?: InputMaybe<Scalars['String']['input']>
  outName?: InputMaybe<Scalars['String']['input']>
  outProductType?: InputMaybe<Scalars['String']['input']>
  subItems?: InputMaybe<Array<InputTakeoutProductOutsideIngredientsProduct>>
}

export type InputTakeoutProductOutsideIngredientsProduct = {
  outId?: InputMaybe<Scalars['String']['input']>
  outName?: InputMaybe<Scalars['String']['input']>
  outProductType?: InputMaybe<Scalars['String']['input']>
  sequence?: InputMaybe<Scalars['Int']['input']>
  subItems?: InputMaybe<
    Array<InputTakeoutProductOutsideIngredientsProductScale>
  >
}

export type InputTakeoutProductOutsideIngredientsProductScale = {
  autoRefresh?: InputMaybe<Scalars['Int']['input']>
  maxStock?: InputMaybe<Scalars['String']['input']>
  outId?: InputMaybe<Scalars['String']['input']>
  outName?: InputMaybe<Scalars['String']['input']>
  outProductType?: InputMaybe<Scalars['String']['input']>
  price?: InputMaybe<Scalars['String']['input']>
  sequence?: InputMaybe<Scalars['Int']['input']>
  stock?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutProductProductPic = {
  picUrl?: InputMaybe<Scalars['String']['input']>
  sequence?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductQueryRelationProductRequest = {
  bizType?: InputMaybe<Scalars['String']['input']>
  brandId?: InputMaybe<Scalars['Int']['input']>
  innerBizNo?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutProductRelationProduct = {
  bizType?: InputMaybe<Scalars['String']['input']>
  innerBizNo?: InputMaybe<Scalars['String']['input']>
  innerBizParentNo?: InputMaybe<Scalars['String']['input']>
  outerBizNo?: InputMaybe<Scalars['String']['input']>
  outerBizParentNo?: InputMaybe<Scalars['String']['input']>
}

export type InputTakeoutProductRelationProductRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  relationProducts?: InputMaybe<InputTakeoutProductRelationProduct>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutStoreGetAllTakeoutStoreInfoRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutStoreGetTakeoutStoreInfoRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutStoreTakeoutGetStoreBusinessStatusRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTakeoutStoreTakeoutSetStoreBusinessStatusRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  channelType?: InputMaybe<Scalars['String']['input']>
  endTime?: InputMaybe<Scalars['String']['input']>
  startTime?: InputMaybe<Scalars['String']['input']>
  status?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputTodoTodoDeleteReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  todoNo?: InputMaybe<Scalars['String']['input']>
}

export type InputTodoTodoExtentUpdateReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  subType?: InputMaybe<Scalars['Int']['input']>
  todoNo?: InputMaybe<Scalars['String']['input']>
  updateType?: InputMaybe<Scalars['String']['input']>
}

export type InputTodoTodoFinishedReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
  subType?: InputMaybe<Scalars['Int']['input']>
  todoType?: InputMaybe<Scalars['Int']['input']>
}

export type InputTodoTodoListReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputUserCheckCodeReq = {
  code?: InputMaybe<Scalars['String']['input']>
  email?: InputMaybe<Scalars['String']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
  type?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterCurrentUserHomeCardReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  cards?: InputMaybe<Array<Scalars['String']['input']>>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterCurrentUserReportCardReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  cards?: InputMaybe<Array<Scalars['String']['input']>>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterGetCurrentBrandByPhonesAndEmailsReq = {
  emails?: InputMaybe<Array<Scalars['String']['input']>>
  phones?: InputMaybe<Array<Scalars['String']['input']>>
}

export type InputUserUserCenterGetCurrentBrandUserInfoReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
}

export type InputUserUserCenterGetCurrentUserHomeCardReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterGetPasscodeByUserIdReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterGetUserByPhoneReq = {
  phone?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterGetUserReportCardReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqSelectBrandReq = {
  newBrandId: Scalars['Int']['input']
  token?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqCreateUserRequest = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  code?: InputMaybe<Scalars['String']['input']>
  email?: InputMaybe<Scalars['String']['input']>
  employeeId?: InputMaybe<Scalars['String']['input']>
  password1: Scalars['String']['input']
  password2: Scalars['String']['input']
  phone?: InputMaybe<Scalars['String']['input']>
  type?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
  userName?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqLoginByCodeReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  deviceId?: InputMaybe<Scalars['String']['input']>
  passcode?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputUserUserCenterHqLoginByPasswordRequest = {
  email?: InputMaybe<Scalars['String']['input']>
  jPushId?: InputMaybe<Scalars['String']['input']>
  password?: InputMaybe<Scalars['String']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
  type: Scalars['String']['input']
}

export type InputUserUserCenterHqLoginRequest = {
  code?: InputMaybe<Scalars['String']['input']>
  email?: InputMaybe<Scalars['String']['input']>
  jPushId?: InputMaybe<Scalars['String']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
  type: Scalars['String']['input']
}

export type InputUserUserCenterHqLogoutRequest = {
  token: Scalars['String']['input']
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqModifyEmailReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  code: Scalars['String']['input']
  email?: InputMaybe<Scalars['String']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
  type: Scalars['String']['input']
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqModifyEmailV2Req = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  newCode: Scalars['String']['input']
  newEmail?: InputMaybe<Scalars['String']['input']>
  oldCode: Scalars['String']['input']
  oldEmail?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqModifyPasswordReq = {
  code: Scalars['String']['input']
  email?: InputMaybe<Scalars['String']['input']>
  newPassword?: InputMaybe<Scalars['String']['input']>
  oldPassword?: InputMaybe<Scalars['String']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
  type: Scalars['String']['input']
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqModifyPhoneReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  code: Scalars['String']['input']
  email?: InputMaybe<Scalars['String']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
  type: Scalars['String']['input']
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqModifyPhoneV2Req = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  newCode: Scalars['String']['input']
  newPhone?: InputMaybe<Scalars['String']['input']>
  oldCode: Scalars['String']['input']
  oldPhone?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterHqModifyUserNameReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
  userName: Scalars['String']['input']
}

export type InputUserUserCenterHqRetrievePasswordRequest = {
  code: Scalars['String']['input']
  email?: InputMaybe<Scalars['String']['input']>
  password1: Scalars['String']['input']
  password2: Scalars['String']['input']
  phone?: InputMaybe<Scalars['String']['input']>
  type: Scalars['String']['input']
}

export type InputUserUserCenterHqUserInfoReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  token?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterLoginByJverificationRequest = {
  jPushId?: InputMaybe<Scalars['String']['input']>
  loginToken?: InputMaybe<Scalars['String']['input']>
  optionalExID?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterLoginOutReq = {
  jPushId?: InputMaybe<Scalars['String']['input']>
  token: Scalars['String']['input']
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterNewAndOldUsersReq = {
  email?: InputMaybe<Scalars['String']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterPosLoginReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  deviceId?: InputMaybe<Scalars['String']['input']>
  passcode?: InputMaybe<Scalars['String']['input']>
  storeId?: InputMaybe<Scalars['Int']['input']>
}

export type InputUserUserCenterRefreshJwtReq = {
  token: Scalars['String']['input']
}

export type InputUserUserCenterSaveUserIdAndJPushIdReq = {
  jPushId?: InputMaybe<Scalars['String']['input']>
  platform?: InputMaybe<Scalars['String']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterSendCodeReq = {
  email?: InputMaybe<Scalars['String']['input']>
  msgType?: InputMaybe<Scalars['Int']['input']>
  phone?: InputMaybe<Scalars['String']['input']>
  type?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterSendNotificationReq = {
  brandName: Scalars['String']['input']
  email?: InputMaybe<Scalars['String']['input']>
  inviteCode: Scalars['String']['input']
  phone?: InputMaybe<Scalars['String']['input']>
  type: Scalars['String']['input']
  userName?: InputMaybe<Scalars['String']['input']>
}

export type InputUserUserCenterTokenGeneratorReq = {
  brandId?: InputMaybe<Scalars['Int']['input']>
  brandIds?: InputMaybe<Array<Scalars['Int']['input']>>
  employeeRoleId?: InputMaybe<Scalars['Int']['input']>
  userId?: InputMaybe<Scalars['String']['input']>
}

export type KitchenworkstationChangeTableTicket = {
  __typename?: 'KitchenworkstationChangeTableTicket'
  count: Maybe<Scalars['Int']['output']>
  enablePrint: Maybe<Scalars['Boolean']['output']>
}

export type KitchenworkstationCountKitchenReceiptPrinterRuleResponseData = {
  __typename?: 'KitchenworkstationCountKitchenReceiptPrinterRuleResponseData'
  count: Maybe<Scalars['Int']['output']>
  status: Maybe<Scalars['String']['output']>
}

export type KitchenworkstationCreateResponseData = {
  __typename?: 'KitchenworkstationCreateResponseData'
  workstationNo: Maybe<Scalars['String']['output']>
}

export type KitchenworkstationKitchenReceiptPrinterRuleRspData = {
  __typename?: 'KitchenworkstationKitchenReceiptPrinterRuleRspData'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  deviceId: Maybe<Scalars['String']['output']>
  diningStyles: Maybe<Array<Scalars['String']['output']>>
  physicalPrinterId: Maybe<Scalars['String']['output']>
  printer: Maybe<KitchenworkstationPrinter>
  printerId: Maybe<Scalars['String']['output']>
  printerName: Maybe<Scalars['String']['output']>
  receipt: Maybe<KitchenworkstationReceipt>
  receiptType: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeTableAreaNo: Maybe<Array<Scalars['String']['output']>>
  workstationNo: Maybe<Scalars['String']['output']>
}

export type KitchenworkstationKitchenResponseData = {
  __typename?: 'KitchenworkstationKitchenResponseData'
  brandId: Maybe<Scalars['Int']['output']>
  isDefault: Maybe<Scalars['Boolean']['output']>
  isTakeoutStation: Maybe<Scalars['Boolean']['output']>
  printerList: Maybe<Array<KitchenworkstationKitchenReceiptPrinterRuleRspData>>
  storeId: Maybe<Scalars['Int']['output']>
  suList: Maybe<Array<KitchenworkstationSu>>
  workstationName: Maybe<Scalars['String']['output']>
  workstationNo: Maybe<Scalars['String']['output']>
}

export type KitchenworkstationKitchenTicket = {
  __typename?: 'KitchenworkstationKitchenTicket'
  count: Maybe<Scalars['Int']['output']>
  enablePrint: Maybe<Scalars['Boolean']['output']>
  packagesArePrintedTogether: Maybe<Scalars['Boolean']['output']>
  printingMode: Maybe<Scalars['String']['output']>
  sameMealIsPrintedTogether: Maybe<Scalars['Boolean']['output']>
}

export type KitchenworkstationListResponsePagination = {
  __typename?: 'KitchenworkstationListResponsePagination'
  list: Maybe<Array<KitchenworkstationKitchenResponseData>>
  total: Maybe<Scalars['Int']['output']>
}

export type KitchenworkstationPrinter = {
  __typename?: 'KitchenworkstationPrinter'
  ackLevel: Maybe<Scalars['Int']['output']>
  address: Maybe<Scalars['String']['output']>
  connectType: Maybe<Scalars['String']['output']>
  direction: Maybe<Scalars['Int']['output']>
  encoding: Maybe<Scalars['String']['output']>
  errorCode: Maybe<Scalars['String']['output']>
  id: Maybe<Scalars['String']['output']>
  margin: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  paperSize: Maybe<Scalars['String']['output']>
  printNodeId: Maybe<Scalars['String']['output']>
  space: Maybe<Scalars['Int']['output']>
  type: Maybe<Scalars['String']['output']>
}

export type KitchenworkstationReceipt = {
  __typename?: 'KitchenworkstationReceipt'
  changeTableTicket: Maybe<KitchenworkstationChangeTableTicket>
  kitchenTicket: Maybe<KitchenworkstationKitchenTicket>
  voidItemTicket: Maybe<KitchenworkstationVoidItemTicket>
}

export type KitchenworkstationSu = {
  __typename?: 'KitchenworkstationSu'
  suNo: Maybe<Scalars['String']['output']>
}

export type KitchenworkstationVoidItemTicket = {
  __typename?: 'KitchenworkstationVoidItemTicket'
  count: Maybe<Scalars['Int']['output']>
  enablePrint: Maybe<Scalars['Boolean']['output']>
}

export type LimitSaleModelDishLimitRulesModel = {
  __typename?: 'LimitSaleModelDishLimitRulesModel'
  DishManualCapacityId: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  dishName: Maybe<Scalars['String']['output']>
  dishType: Maybe<Scalars['String']['output']>
  frequency: Maybe<Scalars['String']['output']>
  id: Maybe<Scalars['String']['output']>
  month_days: Maybe<Scalars['Int']['output']>
  quantity: Maybe<Scalars['Int']['output']>
  scaleName: Maybe<Scalars['String']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  suNo: Maybe<Scalars['String']['output']>
  week_days: Maybe<Scalars['Int']['output']>
}

export type LimitSaleModelLimitRuleDto = {
  __typename?: 'LimitSaleModelLimitRuleDTO'
  frequency: Maybe<Scalars['String']['output']>
  monthDays: Maybe<Scalars['Int']['output']>
  quantity: Maybe<Scalars['Int']['output']>
  weekDays: Maybe<Scalars['Int']['output']>
}

export type LimitSaleModelLimitSaleModel = {
  __typename?: 'LimitSaleModelLimitSaleModel'
  brandId: Maybe<Scalars['Int']['output']>
  dishName: Maybe<Scalars['String']['output']>
  dishType: Maybe<Scalars['String']['output']>
  id: Maybe<Scalars['String']['output']>
  isLong: Maybe<Scalars['String']['output']>
  limitQuantity: Maybe<Scalars['Int']['output']>
  limitRuleList: Maybe<Array<LimitSaleModelLimitRuleDto>>
  lockQuantity: Maybe<Scalars['Int']['output']>
  scaleName: Maybe<Scalars['String']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  soldQuantity: Maybe<Scalars['Int']['output']>
  spuNo: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  suNo: Maybe<Scalars['String']['output']>
  userId: Maybe<Scalars['String']['output']>
}

export type Mutation = {
  __typename?: 'Mutation'
  AddEmployee: RolePermUserCenterEmployeeRes
  AddInviteEmployee: UserUserCenterHqCreateUserData
  AddRole: Scalars['String']['output']
  AddStoreBusiness: Array<StoreBusinessStoreBusiness>
  AppVersionPublish: AppVersionAppVersionPublishRspData
  BaseStoreDevice: StoreDeviceDeviceRespData
  BindHqPublicDevice: StoreDeviceDeviceRespData
  BulkSuDelete: Scalars['String']['output']
  BulkSuShelf: Scalars['String']['output']
  BulkSuUpdate: Scalars['String']['output']
  BulkSuUploadPic: Scalars['String']['output']
  ConfigPlanByStoreId: PayConfigPlanByStoreIdDto
  CopyStorePaySetting: Scalars['String']['output']
  CreateAccountChannelStore: Scalars['String']['output']
  CreateBrand: BrandBrand
  CreateBrandPayType: PayCreateBrandPayTypeDto
  CreateComboSu: SaleunitGetComboSuDataResp
  CreateKitchen: KitchenworkstationCreateResponseData
  CreateKitchenReceiptPrinterRule: Scalars['String']['output']
  CreateOrderReceipt: OrderconfigCreateOrderReceiptRespData
  CreateSingleSu: SaleunitGetSingleSuDataResp
  CreateStore: StoreBusinessStore
  CreateSuCategory: SaleunitSuCategory
  CurrentUserHomeCard: Scalars['String']['output']
  CurrentUserReportCard: Scalars['String']['output']
  DelOrderReceipt: Scalars['String']['output']
  DeleteAdditionalGroup: Scalars['String']['output']
  DeleteAdditionalItem: Scalars['String']['output']
  DeleteBrand: BrandBrand
  DeleteComboSu: Scalars['String']['output']
  DeleteDevice: Scalars['String']['output']
  DeleteDiscountTag: Scalars['String']['output']
  DeleteEmployee: Scalars['String']['output']
  DeleteKitchen: Scalars['String']['output']
  DeleteKitchenReceiptPrinterRule: Scalars['String']['output']
  DeletePack: Scalars['String']['output']
  DeleteRole: Scalars['String']['output']
  DeleteSaleTime: Scalars['String']['output']
  DeleteSingleSu: Scalars['String']['output']
  DeleteStatTag: Scalars['String']['output']
  DeleteStore: StoreBusinessStore
  DeleteStoreBusiness: Array<StoreBusinessStoreBusiness>
  DeleteSuCategory: Scalars['String']['output']
  DeleteSuTag: Scalars['String']['output']
  DeviceBind: Scalars['String']['output']
  GeneratePassCode: RolePermUserCenterPassCode
  GivenSuperRole: Scalars['String']['output']
  HQSelectBrand: UserUserCenterToken
  HqLogin: UserUserCenterToken
  HqLoginByCode: UserUserCenterToken
  HqLoginByJverification: UserUserCenterToken
  HqLoginByPassword: UserUserCenterToken
  HqLogout: Scalars['String']['output']
  HqModifyEmail: Scalars['String']['output']
  HqModifyEmailV2: Scalars['String']['output']
  HqModifyPassword: Scalars['String']['output']
  HqModifyPhone: Scalars['String']['output']
  HqModifyPhoneV2: Scalars['String']['output']
  HqModifyUserName: Scalars['String']['output']
  HqRetrievePassword: Scalars['String']['output']
  ImportSuExcel: SaleunitImportSuExcelRespData
  InitUserBrand: Scalars['String']['output']
  InitUserStore: Scalars['String']['output']
  LoginOut: Scalars['String']['output']
  NewAndOldUsers: UserUserCenterNewAndOldUsersData
  OpenCreatBrands: BrandBrand
  OpenCreateStore: StoreBusinessStore
  ParseBusiness: PayParseBusinessData
  PayIntoSave: PayPayIntoSaveDto
  PayIntoUpdate: PayPayIntoSaveDto
  PosLogin: UserUserCenterToken
  ReceiptStyleSave: PrintReceiptStyleSaveRespData
  RefreshDeviceNo: Scalars['String']['output']
  RefreshJWT: UserUserCenterToken
  RemoveAccountChannelStore: Scalars['String']['output']
  RemoveBrandPayType: Scalars['String']['output']
  SaveAdditionalGroup: SaleunitAdditionalGroupResp
  SaveAdditionalItem: SaleunitAdditionalItemResp
  SaveDeviceInfo: Scalars['String']['output']
  SaveDiscountTag: Scalars['String']['output']
  SavePack: SaleunitPackItemResp
  SaveSaleTime: SaleunitSaleTime
  SaveStatTag: SpuStatTagResp
  SaveSuTag: SaleunitSuTag
  SaveUserIdAndJPushId: Scalars['String']['output']
  SendCode: Scalars['String']['output']
  SendNotification: Scalars['String']['output']
  SetDefaultPayType: Scalars['String']['output']
  SetSortSuCategory: Scalars['String']['output']
  SetSortSuList: Scalars['String']['output']
  SetSortSuTag: Scalars['String']['output']
  TakeoutPrinterTimeConfigCopy: Scalars['String']['output']
  TakeoutPrinterTimeConfigSave: Scalars['String']['output']
  TakeoutSetStoreBusinessStatus: Scalars['String']['output']
  TodoFinished: TodoTodoFinishedRspData
  TokenGenerator: UserUserCenterToken
  UnbindDevice: StoreDeviceUnbindDevice
  UnbindStoreEquipment: Scalars['String']['output']
  UpdateBrand: BrandBrand
  UpdateBrandPayType: Scalars['String']['output']
  UpdateComboSu: SaleunitGetComboSuDataResp
  UpdateEmployee: RolePermUserCenterNoticeData
  UpdateKitchen: Scalars['String']['output']
  UpdateKitchenReceiptPrinterRule: Scalars['String']['output']
  UpdateOrderReceipt: OrderconfigUpdateOrderReceiptRespData
  UpdatePayIntoRemark: Scalars['String']['output']
  UpdateRole: RolePermUserCenterNoticeData
  UpdateSingleSu: SaleunitGetSingleSuDataResp
  UpdateStore: StoreBusinessStore
  UpdateStoreBusiness: Array<StoreBusinessStoreBusiness>
  UpdateStoreOrderMethod: StoreBusinessStoreOrderMethod
  UpdateStorePlate: StoreBusinessStore
  UpdateSuCategory: SaleunitSuCategory
  UpsetDevice: StoreDeviceUpsetDeviceRespData
  UseDiscountTag: Scalars['String']['output']
}

export type MutationAddEmployeeArgs = {
  input: InputRolePermUserCenterAddEmployeeReq
}

export type MutationAddInviteEmployeeArgs = {
  input: InputUserUserCenterHqCreateUserRequest
}

export type MutationAddRoleArgs = {
  input: InputRolePermUserCenterAddRoleReq
}

export type MutationAddStoreBusinessArgs = {
  input: InputStoreBusinessBusinessReq
}

export type MutationAppVersionPublishArgs = {
  input: InputAppVersionAppVersionPublishReq
}

export type MutationBaseStoreDeviceArgs = {
  input: InputStoreDeviceDeviceReq
}

export type MutationBindHqPublicDeviceArgs = {
  input: InputStoreDeviceBindHqPublicDeviceReq
}

export type MutationBulkSuDeleteArgs = {
  input: InputSaleunitBulkSuDeleteReq
}

export type MutationBulkSuShelfArgs = {
  input: InputSaleunitBulkSuShelfReq
}

export type MutationBulkSuUpdateArgs = {
  input: InputSaleunitBulkSuUpdateReq
}

export type MutationBulkSuUploadPicArgs = {
  input: InputSaleunitBulkSuUploadPicReq
}

export type MutationConfigPlanByStoreIdArgs = {
  input: InputPayConfigPlanByStoreIdDto
}

export type MutationCopyStorePaySettingArgs = {
  input: InputPayCopyStorePaySettingDto
}

export type MutationCreateAccountChannelStoreArgs = {
  input: InputPayCreateAccountChannelStoreDto
}

export type MutationCreateBrandArgs = {
  input: InputBrandBrandCreateRequest
}

export type MutationCreateBrandPayTypeArgs = {
  input: InputPayCreateBrandPayTypeDto
}

export type MutationCreateComboSuArgs = {
  input: InputSaleunitSaveComboSuReq
}

export type MutationCreateKitchenArgs = {
  input: InputKitchenworkstationCreateKitchenRequest
}

export type MutationCreateKitchenReceiptPrinterRuleArgs = {
  input: InputKitchenworkstationCreateKitchenReceiptPrinterRuleRequest
}

export type MutationCreateOrderReceiptArgs = {
  input: InputOrderconfigCreateOrderReceiptReq
}

export type MutationCreateSingleSuArgs = {
  input: InputSaleunitSaveSingleSuReq
}

export type MutationCreateStoreArgs = {
  input: InputStoreBusinessCreatStore
}

export type MutationCreateSuCategoryArgs = {
  input: InputSaleunitCreateSuCategoryReq
}

export type MutationCurrentUserHomeCardArgs = {
  input: InputUserUserCenterCurrentUserHomeCardReq
}

export type MutationCurrentUserReportCardArgs = {
  input: InputUserUserCenterCurrentUserReportCardReq
}

export type MutationDelOrderReceiptArgs = {
  input: InputOrderconfigDelOrderReceiptReq
}

export type MutationDeleteAdditionalGroupArgs = {
  input: InputSaleunitDeleteAdditionalGroupReq
}

export type MutationDeleteAdditionalItemArgs = {
  input: InputSaleunitDeleteAdditionalItemReq
}

export type MutationDeleteBrandArgs = {
  input: InputBrandBrandDeleteRequest
}

export type MutationDeleteComboSuArgs = {
  input: InputSaleunitDeleteComboSuReq
}

export type MutationDeleteDeviceArgs = {
  input: InputStoreDeviceDeleteDeviceReq
}

export type MutationDeleteDiscountTagArgs = {
  input: InputCostRecordDeleteDiscountTagReq
}

export type MutationDeleteEmployeeArgs = {
  input: InputRolePermUserCenterDeleteEmployeeReq
}

export type MutationDeleteKitchenArgs = {
  input: InputKitchenworkstationDeleteKitchenRequest
}

export type MutationDeleteKitchenReceiptPrinterRuleArgs = {
  input: InputKitchenworkstationDeleteKitchenReceiptPrinterRuleRequest
}

export type MutationDeletePackArgs = {
  input: InputSaleunitDeletePackReq
}

export type MutationDeleteRoleArgs = {
  input: InputRolePermUserCenterDeleteRoleReq
}

export type MutationDeleteSaleTimeArgs = {
  input: InputSaleunitDeleteSaleTimeReq
}

export type MutationDeleteSingleSuArgs = {
  input: InputSaleunitDeleteSingleSuReq
}

export type MutationDeleteStatTagArgs = {
  input: InputSpuDeleteStatTagReq
}

export type MutationDeleteStoreArgs = {
  input: InputStoreBusinessDeleteStoreRequest
}

export type MutationDeleteStoreBusinessArgs = {
  input: InputStoreBusinessDeleteBusinessReq
}

export type MutationDeleteSuCategoryArgs = {
  input: InputSaleunitDeleteSuCategoryReq
}

export type MutationDeleteSuTagArgs = {
  input: InputSaleunitDeleteSuTagReq
}

export type MutationDeviceBindArgs = {
  input: InputStoreDeviceDeviceBindReq
}

export type MutationGeneratePassCodeArgs = {
  input: InputRolePermUserCenterGeneratePassCodeReq
}

export type MutationGivenSuperRoleArgs = {
  input: InputRolePermUserCenterGivenSuperRoleReq
}

export type MutationHqSelectBrandArgs = {
  input: InputUserUserCenterHqSelectBrandReq
}

export type MutationHqLoginArgs = {
  input: InputUserUserCenterHqLoginRequest
}

export type MutationHqLoginByCodeArgs = {
  input: InputUserUserCenterHqLoginByCodeReq
}

export type MutationHqLoginByJverificationArgs = {
  input: InputUserUserCenterLoginByJverificationRequest
}

export type MutationHqLoginByPasswordArgs = {
  input: InputUserUserCenterHqLoginByPasswordRequest
}

export type MutationHqLogoutArgs = {
  input: InputUserUserCenterHqLogoutRequest
}

export type MutationHqModifyEmailArgs = {
  input: InputUserUserCenterHqModifyEmailReq
}

export type MutationHqModifyEmailV2Args = {
  input: InputUserUserCenterHqModifyEmailV2Req
}

export type MutationHqModifyPasswordArgs = {
  input: InputUserUserCenterHqModifyPasswordReq
}

export type MutationHqModifyPhoneArgs = {
  input: InputUserUserCenterHqModifyPhoneReq
}

export type MutationHqModifyPhoneV2Args = {
  input: InputUserUserCenterHqModifyPhoneV2Req
}

export type MutationHqModifyUserNameArgs = {
  input: InputUserUserCenterHqModifyUserNameReq
}

export type MutationHqRetrievePasswordArgs = {
  input: InputUserUserCenterHqRetrievePasswordRequest
}

export type MutationImportSuExcelArgs = {
  input: InputSaleunitImportSuExcelReq
}

export type MutationInitUserBrandArgs = {
  input: InputRolePermUserCenterInitUserBrandReq
}

export type MutationInitUserStoreArgs = {
  input: InputRolePermUserCenterInitUserStoreReq
}

export type MutationLoginOutArgs = {
  input: InputUserUserCenterLoginOutReq
}

export type MutationNewAndOldUsersArgs = {
  input: InputUserUserCenterNewAndOldUsersReq
}

export type MutationOpenCreatBrandsArgs = {
  input: InputBrandOpenCreateBrandRequest
}

export type MutationOpenCreateStoreArgs = {
  input: InputStoreBusinessOpenStore
}

export type MutationParseBusinessArgs = {
  input: InputPayParseBusinessDto
}

export type MutationPayIntoSaveArgs = {
  input: InputPayPayIntoSaveDto
}

export type MutationPayIntoUpdateArgs = {
  input: InputPayPayIntoSaveDto
}

export type MutationPosLoginArgs = {
  input: InputUserUserCenterPosLoginReq
}

export type MutationReceiptStyleSaveArgs = {
  input: InputPrintReceiptStyleSaveReq
}

export type MutationRefreshDeviceNoArgs = {
  input: InputStoreDeviceRefreshDeviceNoReq
}

export type MutationRefreshJwtArgs = {
  input: InputUserUserCenterRefreshJwtReq
}

export type MutationRemoveAccountChannelStoreArgs = {
  input: InputPayRemoveAccountChannelStoreDto
}

export type MutationRemoveBrandPayTypeArgs = {
  input: InputPayRemoveBrandPayTypeDto
}

export type MutationSaveAdditionalGroupArgs = {
  input: InputSaleunitSaveAdditionalGroupReq
}

export type MutationSaveAdditionalItemArgs = {
  input: InputSaleunitSaveAdditionalItemReq
}

export type MutationSaveDeviceInfoArgs = {
  input: InputDevicemonitorSaveDeviceInfoReq
}

export type MutationSaveDiscountTagArgs = {
  input: InputCostRecordSaveDiscountTagReq
}

export type MutationSavePackArgs = {
  input: InputSaleunitSavePackReq
}

export type MutationSaveSaleTimeArgs = {
  input: InputSaleunitSaveSaleTimeReq
}

export type MutationSaveStatTagArgs = {
  input: InputSpuSaveStatTagReq
}

export type MutationSaveSuTagArgs = {
  input: InputSaleunitSaveSuTagReq
}

export type MutationSaveUserIdAndJPushIdArgs = {
  input: InputUserUserCenterSaveUserIdAndJPushIdReq
}

export type MutationSendCodeArgs = {
  input: InputUserUserCenterSendCodeReq
}

export type MutationSendNotificationArgs = {
  input: InputUserUserCenterSendNotificationReq
}

export type MutationSetDefaultPayTypeArgs = {
  input: InputPayStoreIdDto
}

export type MutationSetSortSuCategoryArgs = {
  input: InputSaleunitSetSortSuCategoryReq
}

export type MutationSetSortSuListArgs = {
  input: InputSaleunitSetSortSuListReq
}

export type MutationSetSortSuTagArgs = {
  input: InputSaleunitSetSortSuTagReq
}

export type MutationTakeoutPrinterTimeConfigCopyArgs = {
  input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigCopyReq
}

export type MutationTakeoutPrinterTimeConfigSaveArgs = {
  input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigSaveReq
}

export type MutationTakeoutSetStoreBusinessStatusArgs = {
  input: InputTakeoutStoreTakeoutSetStoreBusinessStatusRequest
}

export type MutationTodoFinishedArgs = {
  input: InputTodoTodoFinishedReq
}

export type MutationTokenGeneratorArgs = {
  input: InputUserUserCenterTokenGeneratorReq
}

export type MutationUnbindDeviceArgs = {
  input: InputStoreDeviceUnbindDeviceReq
}

export type MutationUnbindStoreEquipmentArgs = {
  input: InputStoreDeviceUnbindStoreEquipmentReq
}

export type MutationUpdateBrandArgs = {
  input: InputBrandBrandUpdateRequest
}

export type MutationUpdateBrandPayTypeArgs = {
  input: InputPayCreateBrandPayTypeDto
}

export type MutationUpdateComboSuArgs = {
  input: InputSaleunitSaveComboSuReq
}

export type MutationUpdateEmployeeArgs = {
  input: InputRolePermUserCenterUpdateEmployeeReq
}

export type MutationUpdateKitchenArgs = {
  input: InputKitchenworkstationUpdateKitchenRequest
}

export type MutationUpdateKitchenReceiptPrinterRuleArgs = {
  input: InputKitchenworkstationUpdateKitchenReceiptPrinterRuleRequest
}

export type MutationUpdateOrderReceiptArgs = {
  input: InputOrderconfigUpdateOrderReceiptReq
}

export type MutationUpdatePayIntoRemarkArgs = {
  input: InputPayUpdatePayIntoRemarkDto
}

export type MutationUpdateRoleArgs = {
  input: InputRolePermUserCenterUpdateRoleReq
}

export type MutationUpdateSingleSuArgs = {
  input: InputSaleunitSaveSingleSuReq
}

export type MutationUpdateStoreArgs = {
  input: InputStoreBusinessStore
}

export type MutationUpdateStoreBusinessArgs = {
  input: InputStoreBusinessUpdateBusinessReq
}

export type MutationUpdateStoreOrderMethodArgs = {
  input: InputStoreBusinessUpdateStoreOrderMethodReq
}

export type MutationUpdateStorePlateArgs = {
  input: InputStoreBusinessStorePlateReq
}

export type MutationUpdateSuCategoryArgs = {
  input: InputSaleunitUpdateSuCategoryReq
}

export type MutationUpsetDeviceArgs = {
  input: InputStoreDeviceUpsetDeviceReq
}

export type MutationUseDiscountTagArgs = {
  input: InputCostRecordUseDiscountTagReq
}

export type NotificationCenterBaseEventRequest = {
  __typename?: 'NotificationCenterBaseEventRequest'
  bizType: Maybe<Scalars['String']['output']>
  messageId: Maybe<Scalars['String']['output']>
  payload: Maybe<Scalars['String']['output']>
  ruleId: Maybe<Scalars['String']['output']>
}

export type NotificationCenterCenterCategoryList = {
  __typename?: 'NotificationCenterCenterCategoryList'
  id: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
}

export type NotificationCenterCenterCategoryMessage = {
  __typename?: 'NotificationCenterCenterCategoryMessage'
  singleCategory: Maybe<Array<NotificationCenterCenterSingleCategory>>
  totalCount: Maybe<Scalars['Int']['output']>
}

export type NotificationCenterCenterMessageStatusChangeRequest = {
  __typename?: 'NotificationCenterCenterMessageStatusChangeRequest'
  messageIds: Maybe<Array<Scalars['String']['output']>>
}

export type NotificationCenterCenterNotificationV2 = {
  __typename?: 'NotificationCenterCenterNotificationV2'
  SendTime: Maybe<Scalars['String']['output']>
  categoryId: Maybe<Scalars['String']['output']>
  code: Maybe<Scalars['String']['output']>
  content: Maybe<Scalars['String']['output']>
  eventId: Maybe<Scalars['String']['output']>
  isRead: Maybe<Scalars['Boolean']['output']>
  msgPushMode: Maybe<Scalars['Int']['output']>
  msgType: Maybe<Scalars['Int']['output']>
  notificationId: Maybe<Scalars['String']['output']>
  payload: Maybe<Scalars['String']['output']>
  templateId: Maybe<Scalars['String']['output']>
  title: Maybe<Scalars['String']['output']>
}

export type NotificationCenterCenterNotifications = {
  __typename?: 'NotificationCenterCenterNotifications'
  notifications: Maybe<Array<NotificationCenterCenterNotificationV2>>
  totalCount: Maybe<Scalars['Int']['output']>
}

export type NotificationCenterCenterSingleCategory = {
  __typename?: 'NotificationCenterCenterSingleCategory'
  NotificationList: Maybe<Array<NotificationCenterCenterNotificationV2>>
  categoryCount: Maybe<Scalars['Int']['output']>
  categoryId: Maybe<Scalars['String']['output']>
  categoryName: Maybe<Scalars['String']['output']>
}

export type NotificationCenterEvent = {
  __typename?: 'NotificationCenterEvent'
  bizType: Maybe<Scalars['String']['output']>
  messageId: Maybe<Scalars['String']['output']>
  payload: Maybe<Scalars['String']['output']>
  ruleId: Maybe<Scalars['String']['output']>
}

export type NotificationCenterMessageIds = {
  __typename?: 'NotificationCenterMessageIds'
  messageIds: Maybe<Array<Scalars['String']['output']>>
}

export type OnlinesalesGetGiveAuthStatus = {
  __typename?: 'OnlinesalesGetGiveAuthStatus'
  bizId: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  giveStatus: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeModule: Maybe<Array<OnlinesalesGiveAuthModule>>
}

export type OnlinesalesGiveAuthModule = {
  __typename?: 'OnlinesalesGiveAuthModule'
  days: Maybe<Scalars['Int']['output']>
  giveStatus: Maybe<Scalars['String']['output']>
  saleModuleKey: Maybe<Scalars['String']['output']>
  saleModuleType: Maybe<Scalars['String']['output']>
}

export type OnlinesalesStoreAuth = {
  __typename?: 'OnlinesalesStoreAuth'
  brandId: Maybe<Scalars['Int']['output']>
  comboName: Maybe<Scalars['String']['output']>
  comboNo: Maybe<Scalars['String']['output']>
  detailNo: Maybe<Scalars['String']['output']>
  expireDate: Maybe<Scalars['String']['output']>
  moduleName: Maybe<Scalars['String']['output']>
  moduleNo: Maybe<Scalars['String']['output']>
  moduleType: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  ordersId: Maybe<Scalars['String']['output']>
  parentNo: Maybe<Scalars['String']['output']>
  priceName: Maybe<Scalars['String']['output']>
  saleResourceLabel: Maybe<Scalars['String']['output']>
  startDate: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type OnlinesalesStoreAuthList = {
  __typename?: 'OnlinesalesStoreAuthList'
  authList: Maybe<Array<OnlinesalesStoreAuth>>
  storeId: Maybe<Scalars['Int']['output']>
  storeName: Maybe<Scalars['String']['output']>
}

export type OnlinesalesStoreModuleItem = {
  __typename?: 'OnlinesalesStoreModuleItem'
  saleModuleKey: Maybe<Scalars['String']['output']>
  valid: Maybe<Scalars['Boolean']['output']>
}

export type OrderActivities = {
  __typename?: 'OrderActivities'
  cnt: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  type: Maybe<Scalars['Int']['output']>
}

export type OrderAdditionalItem = {
  __typename?: 'OrderAdditionalItem'
  amount: Maybe<Scalars['Float']['output']>
  count: Maybe<Scalars['Int']['output']>
  discountAmount: Maybe<Scalars['Float']['output']>
  itemNo: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  price: Maybe<Scalars['Float']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
}

export type OrderCustomerInfo = {
  __typename?: 'OrderCustomerInfo'
  address: Maybe<Scalars['String']['output']>
  mobile: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
}

export type OrderDiscountDetail = {
  __typename?: 'OrderDiscountDetail'
  additionalEnable: Maybe<Scalars['Boolean']['output']>
  amount: Maybe<Scalars['Float']['output']>
  discountValue: Maybe<Scalars['Float']['output']>
  method: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
}

export type OrderOrder = {
  __typename?: 'OrderOrder'
  addTime: Maybe<Scalars['String']['output']>
  addUser: Maybe<Scalars['String']['output']>
  bizRemark: Maybe<Scalars['String']['output']>
  bo: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  cancelTime: Maybe<Scalars['String']['output']>
  client: Maybe<Scalars['String']['output']>
  customerInfo: Maybe<OrderCustomerInfo>
  deviceNo: Maybe<Scalars['String']['output']>
  dineChildNum: Maybe<Scalars['Int']['output']>
  dineNum: Maybe<Scalars['Int']['output']>
  discountAmount: Maybe<Scalars['Float']['output']>
  discountDetail: Maybe<OrderDiscountDetail>
  incomeAmount: Maybe<Scalars['Float']['output']>
  isBuyingGroup: Maybe<Scalars['Boolean']['output']>
  makeMethod: Maybe<Scalars['String']['output']>
  mealNum: Maybe<Scalars['String']['output']>
  mealStatus: Maybe<Scalars['String']['output']>
  memberCardId: Maybe<Scalars['Int']['output']>
  memberId: Maybe<Scalars['Int']['output']>
  nono: Maybe<Scalars['String']['output']>
  orderNo: Maybe<Scalars['String']['output']>
  originAmount: Maybe<Scalars['Float']['output']>
  outOrderNo: Maybe<Scalars['String']['output']>
  outOrderNono: Maybe<Scalars['String']['output']>
  outerExtInfo: Maybe<OrderOuterExtInfo>
  paidInfoList: Maybe<Array<OrderPaidInfo>>
  payModel: Maybe<Scalars['String']['output']>
  payTime: Maybe<Scalars['String']['output']>
  realAmount: Maybe<Scalars['Float']['output']>
  refundInfoList: Maybe<Array<OrderRefundInfo>>
  reserveTime: Maybe<Scalars['String']['output']>
  scene: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  tableId: Maybe<Scalars['Int']['output']>
  tableNo: Maybe<Scalars['String']['output']>
  useType: Maybe<Scalars['String']['output']>
}

export type OrderOrderDetailRespData = {
  __typename?: 'OrderOrderDetailRespData'
  order: Maybe<OrderOrder>
  orderItemList: Maybe<Array<OrderOrderItem>>
}

export type OrderOrderItem = {
  __typename?: 'OrderOrderItem'
  addPrice: Maybe<Scalars['Float']['output']>
  additionalItems: Maybe<Array<OrderAdditionalItem>>
  bizRemark: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  comboType: Maybe<Scalars['String']['output']>
  count: Maybe<Scalars['Int']['output']>
  discountAmount: Maybe<Scalars['Float']['output']>
  discountDetail: Maybe<OrderDiscountDetail>
  itemPk: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  orderItemNo: Maybe<Scalars['String']['output']>
  orderNo: Maybe<Scalars['String']['output']>
  originAmount: Maybe<Scalars['Float']['output']>
  originPrice: Maybe<Scalars['Float']['output']>
  outSkuName: Maybe<Scalars['String']['output']>
  outSpuName: Maybe<Scalars['String']['output']>
  packDetail: Maybe<OrderOrderItemPackDetail>
  parentItemNo: Maybe<Scalars['String']['output']>
  realAmount: Maybe<Scalars['Float']['output']>
  reserveTime: Maybe<Scalars['String']['output']>
  skuName: Maybe<Scalars['String']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  suNo: Maybe<Scalars['String']['output']>
  suType: Maybe<Scalars['String']['output']>
}

export type OrderOrderItemPackDetail = {
  __typename?: 'OrderOrderItemPackDetail'
  amount: Maybe<Scalars['Float']['output']>
  count: Maybe<Scalars['Int']['output']>
  discountAmount: Maybe<Scalars['Float']['output']>
  name: Maybe<Scalars['String']['output']>
  packNo: Maybe<Scalars['String']['output']>
  price: Maybe<Scalars['Float']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
}

export type OrderOuterExtInfo = {
  __typename?: 'OrderOuterExtInfo'
  activities: Maybe<Array<OrderActivities>>
  downgraded: Maybe<Scalars['Boolean']['output']>
  isDelay: Maybe<Scalars['Boolean']['output']>
  isFavorites: Maybe<Scalars['Boolean']['output']>
  isFirstOrder: Maybe<Scalars['Boolean']['output']>
}

export type OrderPaidInfo = {
  __typename?: 'OrderPaidInfo'
  paidAmount: Maybe<Scalars['Float']['output']>
  paidName: Maybe<Scalars['String']['output']>
  paidTime: Maybe<Scalars['String']['output']>
  paidType: Maybe<Scalars['String']['output']>
}

export type OrderRefundInfo = {
  __typename?: 'OrderRefundInfo'
  refundAmount: Maybe<Scalars['Float']['output']>
  refundTime: Maybe<Scalars['String']['output']>
  refundType: Maybe<Array<OrderRefundType>>
}

export type OrderRefundType = {
  __typename?: 'OrderRefundType'
  paidAmount: Maybe<Scalars['Float']['output']>
  payChannel: Maybe<Scalars['String']['output']>
  payName: Maybe<Scalars['String']['output']>
  payType: Maybe<Scalars['String']['output']>
}

export type OrderconfigCountOrderReceiptRespData = {
  __typename?: 'OrderconfigCountOrderReceiptRespData'
  count: Maybe<Scalars['Int']['output']>
  status: Maybe<Scalars['String']['output']>
}

export type OrderconfigCreateOrderReceiptRespData = {
  __typename?: 'OrderconfigCreateOrderReceiptRespData'
  printerId: Maybe<Scalars['String']['output']>
}

export type OrderconfigGetDiscountReasonResponseItems = {
  __typename?: 'OrderconfigGetDiscountReasonResponseItems'
  name: Maybe<Scalars['String']['output']>
}

export type OrderconfigGetOrderNonoRespData = {
  __typename?: 'OrderconfigGetOrderNonoRespData'
  nono: Maybe<Scalars['String']['output']>
}

export type OrderconfigOrderNoRule = {
  __typename?: 'OrderconfigOrderNoRule'
  brandId: Maybe<Scalars['Int']['output']>
  ruleNo: Maybe<Scalars['String']['output']>
  startNo: Maybe<Scalars['Int']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  type: Maybe<Scalars['String']['output']>
}

export type OrderconfigOrderReceipt = {
  __typename?: 'OrderconfigOrderReceipt'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  deviceId: Maybe<Scalars['String']['output']>
  enableBeep: Maybe<Scalars['Boolean']['output']>
  enableGraphicPrint: Maybe<Scalars['Boolean']['output']>
  name: Maybe<Scalars['String']['output']>
  physicalPrinterId: Maybe<Scalars['String']['output']>
  printer: Maybe<OrderconfigPrinter>
  printerId: Maybe<Scalars['String']['output']>
  receiptList: Maybe<Array<OrderconfigReceipt>>
  storeId: Maybe<Scalars['Int']['output']>
  storeTableAll: Maybe<Scalars['Boolean']['output']>
  storeTableAreaNo: Maybe<Array<Scalars['String']['output']>>
}

export type OrderconfigPrinter = {
  __typename?: 'OrderconfigPrinter'
  ackLevel: Maybe<Scalars['Int']['output']>
  address: Maybe<Scalars['String']['output']>
  connectType: Maybe<Scalars['String']['output']>
  direction: Maybe<Scalars['Int']['output']>
  encoding: Maybe<Scalars['String']['output']>
  errorCode: Maybe<Scalars['String']['output']>
  id: Maybe<Scalars['String']['output']>
  margin: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  paperSize: Maybe<Scalars['String']['output']>
  printNodeId: Maybe<Scalars['String']['output']>
  space: Maybe<Scalars['Int']['output']>
  type: Maybe<Scalars['String']['output']>
}

export type OrderconfigReceipt = {
  __typename?: 'OrderconfigReceipt'
  channel: Maybe<Array<Scalars['String']['output']>>
  count: Maybe<Scalars['Int']['output']>
  eatType: Maybe<Array<Scalars['String']['output']>>
  receipt: Maybe<Scalars['String']['output']>
}

export type OrderconfigRefundReason = {
  __typename?: 'OrderconfigRefundReason'
  isMust: Maybe<Scalars['Boolean']['output']>
  items: Maybe<Array<OrderconfigRefundReasonRefundReasonItem>>
}

export type OrderconfigRefundReasonRefundReasonItem = {
  __typename?: 'OrderconfigRefundReasonRefundReasonItem'
  name: Maybe<Scalars['String']['output']>
}

export type OrderconfigUpdateOrderReceiptRespData = {
  __typename?: 'OrderconfigUpdateOrderReceiptRespData'
  printerId: Maybe<Scalars['String']['output']>
}

export type PayBrandPayTypeVo = {
  __typename?: 'PayBrandPayTypeVo'
  brandId: Maybe<Scalars['Int']['output']>
  icon: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  payType: Maybe<Scalars['String']['output']>
  paymentTypeBrandId: Maybe<Scalars['Int']['output']>
}

export type PayBrandPaymentAccountData = {
  __typename?: 'PayBrandPaymentAccountData'
  paymentAccountId: Maybe<Scalars['String']['output']>
  paymentAccountName: Maybe<Scalars['String']['output']>
  paymentAccountNo: Maybe<Scalars['String']['output']>
  paymentAccountRemark: Maybe<Scalars['String']['output']>
  paymentProviderName: Maybe<Scalars['String']['output']>
  useType: Maybe<Scalars['String']['output']>
}

export type PayConfigPlanByStoreIdDto = {
  __typename?: 'PayConfigPlanByStoreIdDto'
  brandId: Maybe<Scalars['Int']['output']>
  payTypesList: Maybe<Array<PayPayTypeVo>>
  source: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type PayCreateBrandPayTypeDto = {
  __typename?: 'PayCreateBrandPayTypeDto'
  brandId: Maybe<Scalars['Int']['output']>
  icon: Maybe<Scalars['String']['output']>
  isInvoice: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  payType: Maybe<Scalars['String']['output']>
}

export type PayGetBrandAllPayTypeData = {
  __typename?: 'PayGetBrandAllPayTypeData'
  mobile: Maybe<Array<PayBrandPayTypeVo>>
  pos: Maybe<Array<PayBrandPayTypeVo>>
}

export type PayParseBusinessData = {
  __typename?: 'PayParseBusinessData'
  address: Maybe<Scalars['String']['output']>
  businessScope: Maybe<Scalars['String']['output']>
  composition: Maybe<Scalars['String']['output']>
  managerName: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  registrationNumber: Maybe<Scalars['String']['output']>
  type: Maybe<Scalars['String']['output']>
}

export type PayPay = {
  __typename?: 'PayPay'
  list: Maybe<Array<PayPayData>>
  stats: Maybe<PayPayTotal>
  total: Maybe<Scalars['Int']['output']>
}

export type PayPayByStore = {
  __typename?: 'PayPayByStore'
  actualAmt: Maybe<Scalars['Float']['output']>
  originAmt: Maybe<Scalars['Float']['output']>
  refundAmt: Maybe<Scalars['Float']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeName: Maybe<Scalars['String']['output']>
}

export type PayPayByStoreList = {
  __typename?: 'PayPayByStoreList'
  list: Maybe<Array<PayPayByStore>>
  total: Maybe<Scalars['Int']['output']>
}

export type PayPayData = {
  __typename?: 'PayPayData'
  actualAmt: Maybe<Scalars['Float']['output']>
  originAmt: Maybe<Scalars['Float']['output']>
  payChannel: Maybe<Scalars['String']['output']>
  paymentAccountId: Maybe<Scalars['String']['output']>
  refundAmt: Maybe<Scalars['Float']['output']>
}

export type PayPayIntoSaveDto = {
  __typename?: 'PayPayIntoSaveDto'
  accountName: Maybe<Scalars['String']['output']>
  accountShortName: Maybe<Scalars['String']['output']>
  accountType: Maybe<Scalars['String']['output']>
  addTime: Maybe<Scalars['String']['output']>
  alipayEmail: Maybe<Scalars['String']['output']>
  areaCode: Maybe<Scalars['String']['output']>
  areaName: Maybe<Scalars['String']['output']>
  authUrl: Maybe<Scalars['String']['output']>
  bankAccountName: Maybe<Scalars['String']['output']>
  bankAccountNumber: Maybe<Scalars['String']['output']>
  bankAccountNumberRepeat: Maybe<Scalars['String']['output']>
  bankName: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  brandName: Maybe<Scalars['String']['output']>
  brandPhone: Maybe<Scalars['String']['output']>
  channel: Maybe<Scalars['String']['output']>
  channelType: Maybe<Scalars['String']['output']>
  cityBankName: Maybe<Scalars['String']['output']>
  cityCode: Maybe<Scalars['String']['output']>
  cityName: Maybe<Scalars['String']['output']>
  contactName: Maybe<Scalars['String']['output']>
  contractEmail: Maybe<Scalars['String']['output']>
  contractTel: Maybe<Scalars['String']['output']>
  mchId: Maybe<Scalars['String']['output']>
  paymentIncomingDataId: Maybe<Scalars['Int']['output']>
  picBusinessLicence: Maybe<Scalars['String']['output']>
  picIdCardBack: Maybe<Scalars['String']['output']>
  picIdCardFront: Maybe<Scalars['String']['output']>
  picStoreBrand: Maybe<Scalars['String']['output']>
  picStoreSceneOne: Maybe<Scalars['String']['output']>
  picStoreSceneThree: Maybe<Scalars['String']['output']>
  picStoreSceneTwo: Maybe<Scalars['String']['output']>
  province: Maybe<Scalars['String']['output']>
  provinceCode: Maybe<Scalars['String']['output']>
  reason: Maybe<Scalars['String']['output']>
  remark: Maybe<Scalars['String']['output']>
  signUrl: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeStreet: Maybe<Scalars['String']['output']>
}

export type PayPayTotal = {
  __typename?: 'PayPayTotal'
  actualAmt: Maybe<Scalars['Float']['output']>
  originAmt: Maybe<Scalars['Float']['output']>
  refundAmt: Maybe<Scalars['Float']['output']>
}

export type PayPayTypeVo = {
  __typename?: 'PayPayTypeVo'
  brandId: Maybe<Scalars['Int']['output']>
  icon: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  payType: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type PrintReceiptStyleListRespData = {
  __typename?: 'PrintReceiptStyleListRespData'
  brandId: Maybe<Scalars['Int']['output']>
  content: Maybe<Scalars['String']['output']>
  isSelected: Maybe<Scalars['Boolean']['output']>
  receiptStyleNo: Maybe<Scalars['String']['output']>
  sections: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  styleId: Maybe<Scalars['Int']['output']>
  styleName: Maybe<Scalars['String']['output']>
  templateKey: Maybe<Scalars['String']['output']>
}

export type PrintReceiptStyleSaveRespData = {
  __typename?: 'PrintReceiptStyleSaveRespData'
  receiptStyleNo: Maybe<Scalars['String']['output']>
  styleId: Maybe<Scalars['Int']['output']>
}

export type PrintTemplate = {
  __typename?: 'PrintTemplate'
  content: Maybe<Scalars['String']['output']>
  defaultStyle: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  previewData: Maybe<Scalars['String']['output']>
  sections: Maybe<Scalars['String']['output']>
}

export type PrintTemplateTicket = {
  __typename?: 'PrintTemplateTicket'
  sections: Maybe<Array<PrintTemplate>>
  templates: Maybe<Array<PrintTemplate>>
  tickets: Maybe<Array<PrintTemplate>>
}

export type ProductSupplySyncParam = {
  __typename?: 'ProductSupplySyncParam'
  list: Maybe<Array<ProductSupplySyncParamData>>
}

export type ProductSupplySyncParamData = {
  __typename?: 'ProductSupplySyncParamData'
  eventType: Maybe<Scalars['String']['output']>
  payload: Maybe<Scalars['String']['output']>
}

export type Query = {
  __typename?: 'Query'
  AppVersionLatest: AppVersionAppVersionLatestRspData
  BuildSupplySyncParam: ProductSupplySyncParam
  BuildSupplySyncSuCategoryParam: ProductSupplySyncParam
  BulkSaveSkuList: Scalars['String']['output']
  BulkSupplyCallbackSaveCapacity: Scalars['String']['output']
  CancelRelationProduct: Scalars['String']['output']
  CheckCode: Scalars['String']['output']
  CopySu: Scalars['String']['output']
  CountKitchenReceiptPrinterRule: Array<KitchenworkstationCountKitchenReceiptPrinterRuleResponseData>
  CountOrderReceipt: Array<OrderconfigCountOrderReceiptRespData>
  CountRelationProduct: TakeoutProductCountRelationProductResponseData
  CreateCategory: TakeoutProductCategory
  CreateIngredientGroups: TakeoutProductOutsideIngredientsGroupData
  CreateIngredients: TakeoutProductIngredients
  CreateStoreTable: Scalars['String']['output']
  CreateStoreTableArea: Scalars['String']['output']
  CreateTripartiteCombo: Scalars['String']['output']
  CreateTripartiteProduct: Scalars['String']['output']
  CurrentUserBrandStores: Array<RolePermUserCenterBrandStores>
  CurrentUserPerm: Array<RolePermUserCenterPerm>
  DeleteDiscountReason: Scalars['String']['output']
  DeleteRefundReason: Scalars['String']['output']
  DeleteSkuGroup: Scalars['String']['output']
  DeleteStoreTable: Scalars['String']['output']
  DeleteStoreTableArea: Scalars['String']['output']
  DetailKitchen: KitchenworkstationKitchenResponseData
  DetailKitchenReceiptPrinterRule: KitchenworkstationKitchenReceiptPrinterRuleRspData
  DeviceDetail: StoreDeviceDevice
  DeviceInfo: StoreDeviceDevice
  DeviceListV2: StoreDeviceDeviceData
  ElemeStoreMap: Scalars['String']['output']
  ElemeStoreUnMap: Scalars['String']['output']
  ExportToEmail: Scalars['String']['output']
  FindBrand: Array<BrandBrand>
  FindStore: Array<StoreBusinessStore>
  FindStoreOrderMethod: Array<StoreBusinessStoreOrderMethod>
  GetAdditionalGroupItemList: SaleunitAdditionalGroupItemListRespData
  GetAdditionalGroupList: SaleunitAdditionalGroupListRespData
  GetAdditionalItemList: SaleunitAdditionalItemListRespData
  GetAllTakeoutStoreInfo: Array<TakeoutStoreTakeoutStore>
  GetBackCategory: Array<TakeoutProductBackCategory>
  GetBasicPriceList: SaleunitBasicPriceListRespData
  GetBasicSingleSuList: SaleunitGetBasicSingleSuListRspData
  GetBrandAllPayType: PayGetBrandAllPayTypeData
  GetBrandSkuGroupList: SpuGetSkuGroupListData
  GetCategory: Array<TakeoutProductCategory>
  GetCategoryList: SaleunitCategoryListRespData
  GetCategoryMessages: Array<NotificationCenterCenterCategoryList>
  GetCategorySceneList: SaleunitCategorySceneListRespData
  GetClientComparison: RevenueClientComparisonList
  GetColorMode: DeviceGetColorModeData
  GetComboSu: SaleunitGetComboSuDataResp
  GetComboSuList: SaleunitComboSuListData
  GetCurrentBrandByPhonesAndEmails: Array<UserUserCenterCurrentUserInfo>
  GetCurrentBrandUserInfo: Array<UserUserCenterHqUserInfo>
  GetCurrentUserHomeCard: UserUserCenterCards
  GetCurrentUserReportCard: UserUserCenterCards
  GetDeviceCount: Array<StoreDeviceGetDeviceCountRespData>
  GetDeviceVoice: StoreDeviceSettingDeviceVoiceReq
  GetDiscountOverview: DiscountDiscountData
  GetDiscountOverviewByStore: DiscountDiscountByStoreData
  GetDiscountReason: Array<OrderconfigGetDiscountReasonResponseItems>
  GetDiscountTagPage: CostRecordGetDiscountTagPageData
  GetElemeStores: Array<TakeoutAuthElemeShopInfo>
  GetElemeTakeoutAuth: TakeoutAuthStoreMapUrl
  GetElemeUser: Array<TakeoutAuthUserData>
  GetEmployee: RolePermUserCenterEmployeeData
  GetEmployeeList: RolePermUserCenterEmployeeDatas
  GetGiveAuthStatus: OnlinesalesGetGiveAuthStatus
  GetIngredients: Array<TakeoutProductIngredients>
  GetMaterial: Array<TakeoutProductMaterial>
  GetMeituanStoreReleaseUrl: TakeoutAuthStoreData
  GetMeituanTakeoutAuth: TakeoutAuthStoreMapUrl
  GetMessageAll: NotificationCenterCenterNotifications
  GetOrderDetail: OrderOrderDetailRespData
  GetOrderNoRule: OrderconfigOrderNoRule
  GetOrderNono: OrderconfigGetOrderNonoRespData
  GetOrderReceiptList: Array<OrderconfigOrderReceipt>
  GetOrderSummary: RevenueOrderSummaryData
  GetOverview: RevenueResult
  GetPackFeeList: SaleunitPackFeeListRespData
  GetPackList: SaleunitPackListRespData
  GetPasscodeByUserId: UserUserCenterPasscodeData
  GetPayOverview: PayPay
  GetPayOverviewByStore: PayPayByStoreList
  GetPermList: RolePermUserCenterPermsData
  GetRefundReason: OrderconfigRefundReason
  GetRole: RolePermUserCenterRole
  GetRolesPerms: Array<RolePermUserCenterRolePermList>
  GetSaleInfoList: SaleunitSaleInfoListRespData
  GetSaleTimeList: SaleunitSaleTimeListRespData
  GetShelfSuCount: SaleunitShelfSuCountData
  GetSingleCategoryMessages: NotificationCenterCenterCategoryMessage
  GetSingleSu: SaleunitGetSingleSuDataResp
  GetSingleSuList: SaleunitSingleSuListRespData
  GetStatTagPageList: SpuStatTagListRespData
  GetStore: Array<StoreBusinessStore>
  GetStoreAccount: Array<PayBrandPaymentAccountData>
  GetStoreAll: Array<StoreBusinessStore>
  GetStoreAuth: OnlinesalesStoreAuthList
  GetStoreBusinessByStoreId: Array<StoreBusinessStoreBusiness>
  GetStoreList: Array<RolePermUserCenterStoreInfo>
  GetStoreSourcePayType: Array<PayPayTypeVo>
  GetStoreStoreModule: Array<OnlinesalesStoreModuleItem>
  GetStoreSummary: RevenueStoreSummaryList
  GetStoreTableList: HqbrandStoreStoreTableAreaResp
  GetSuCategoryList: SaleunitSuCategoryListRespData
  GetSuScenePriceList: SaleunitSuScenePriceListRespData
  GetSuShelfStoreList: HqWorkflowSuShelfStoreListRespData
  GetSuTagList: SaleunitGetSuTagListRespData
  GetSuperAdminInfo: RolePermUserCenterSuperAdminInfo
  GetTakeoutStoreInfo: TakeoutStoreTakeoutStore
  GetTripartiteAdditionalList: Array<TakeoutProductConvertIngredientsData>
  GetTripartiteProductList: TakeoutProductGetTripartiteProductListResponseData
  GetUserBrandStoreSelection: RolePermUserCenterGetUserBrandStoreSelectionData
  GetUserByPhone: UserUserCenterUserInfoData
  HqUserInfo: UserUserCenterHqUserInfo
  ImportSu: Scalars['String']['output']
  InitSupplySync: Scalars['String']['output']
  InviteEmployee: RolePermUserCenterInviteEmployeeInfo
  ListBrands: Array<BrandBrand>
  ListBrandsByBrandIds: Array<BrandBrand>
  ListKitchen: KitchenworkstationListResponsePagination
  ListKitchenBySu: Array<KitchenworkstationKitchenResponseData>
  ListPaymentAccount: Array<PayBrandPaymentAccountData>
  ListRole: RolePermUserCenterRoleData
  MarkAllAsRead: Scalars['String']['output']
  MarkCategoryAsRead: Scalars['String']['output']
  MessageStatusChange: NotificationCenterCenterMessageStatusChangeRequest
  OpenFindStore: Array<StoreBusinessStore>
  OpenGetSuperAdminBrandsForUser: Array<RolePermUserCenterGetSuperAdminBrandsForUserData>
  OpenListBrands: Array<BrandBrand>
  OpenPlatformBrandStoreEmployees: RolePermUserCenterBrandStores
  PayIntoList: Array<PayPayIntoSaveDto>
  PublishEvent: NotificationCenterEvent
  PublishEventBase: NotificationCenterBaseEventRequest
  QueryAllDevicesStoreId: Array<StoreDeviceDevice>
  QueryComboSu: Array<SaleunitQueryComboSuRespData>
  QueryDeviceInfo: Array<DevicemonitorDeviceInfo>
  QueryMessage: NotificationCenterMessageIds
  QueryRelationProduct: Array<TakeoutProductQueryRelationProductResponseData>
  QueryTemplate: PrintTemplateTicket
  ReceiptStyleList: Array<PrintReceiptStyleListRespData>
  RelationProduct: Scalars['String']['output']
  SaveDiscountReason: Scalars['String']['output']
  SaveOrderNoRule: Scalars['String']['output']
  SaveRefundReason: Scalars['String']['output']
  SendCreateStoreTaskBizMessage: Scalars['String']['output']
  SetColorMode: Scalars['String']['output']
  SetTakeout: Scalars['String']['output']
  SettingDeviceVoice: Scalars['String']['output']
  StoreAll: StoreBusinessStoreAll
  StoreListByBrandIds: Array<StoreBusinessBrands>
  StoreTaskComplete: Scalars['String']['output']
  StoreTaskList: Array<StoreTaskStoreTaskListRspData>
  TakeoutGetStoreBusinessStatus: Array<TakeoutStoreTakeoutGetStoreBusinessStatusResponseData>
  TakeoutPrinterTimeConfigDetail: TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData
  TodoDelete: Scalars['String']['output']
  TodoExtentUpdate: Scalars['String']['output']
  TodoList: Array<TodoTodoListRspData>
  UpdateStoreTable: Scalars['String']['output']
  UpdateStoreTableArea: Scalars['String']['output']
  UserBrandStoreSelection: Scalars['String']['output']
  ValidateSuList: SaleunitValidateOrderSuListRespData
  addLimitSale: Scalars['String']['output']
  confirmCapacity: Scalars['String']['output']
  initStoreCapacity: Scalars['String']['output']
  lockCapacity: Scalars['String']['output']
  queryLimitSaleRule: Array<LimitSaleModelDishLimitRulesModel>
  queryLimitSales: Array<LimitSaleModelLimitSaleModel>
  queryStoreCapacity: Array<CapacityModelQueryStoreCapacityDto>
  quitLimitSale: Scalars['String']['output']
  releaseCapacity: Scalars['String']['output']
  returnCapacity: Scalars['String']['output']
  updateLimitSaleRule: Scalars['String']['output']
}

export type QueryAppVersionLatestArgs = {
  input: InputAppVersionAppVersionLatestReq
}

export type QueryBuildSupplySyncParamArgs = {
  input: InputProductManageSuPayload
}

export type QueryBuildSupplySyncSuCategoryParamArgs = {
  input: InputProductManageSuCategoryPayload
}

export type QueryBulkSaveSkuListArgs = {
  input: InputProductManageSuPayload
}

export type QueryBulkSupplyCallbackSaveCapacityArgs = {
  input: InputProductSupplyCallbackSaveCapacityReq
}

export type QueryCancelRelationProductArgs = {
  input: InputTakeoutProductCancelRelationProductRequest
}

export type QueryCheckCodeArgs = {
  input: InputUserCheckCodeReq
}

export type QueryCopySuArgs = {
  input: InputSaleunitCopySuReq
}

export type QueryCountKitchenReceiptPrinterRuleArgs = {
  input: InputKitchenworkstationCountKitchenReceiptPrinterRuleRequest
}

export type QueryCountOrderReceiptArgs = {
  input: InputOrderconfigCountOrderReceiptReq
}

export type QueryCountRelationProductArgs = {
  input: InputTakeoutProductCountRelationProductRequest
}

export type QueryCreateCategoryArgs = {
  input: InputTakeoutProductCreateCategoryRequest
}

export type QueryCreateIngredientGroupsArgs = {
  input: InputTakeoutProductCreateIngredientGroupsRequest
}

export type QueryCreateIngredientsArgs = {
  input: InputTakeoutProductCreateIngredientsRequest
}

export type QueryCreateStoreTableArgs = {
  input: InputHqbrandStoreCreateStoreTableReq
}

export type QueryCreateStoreTableAreaArgs = {
  input: InputHqbrandStoreCreateStoreTableAreaReq
}

export type QueryCreateTripartiteComboArgs = {
  input: InputTakeoutProductCreateTripartiteComboRequest
}

export type QueryCreateTripartiteProductArgs = {
  input: InputTakeoutProductCreateTripartiteProductRequest
}

export type QueryCurrentUserBrandStoresArgs = {
  input: InputRolePermUserCenterCurrentUserBrandStoresReq
}

export type QueryCurrentUserPermArgs = {
  input: InputRolePermUserCenterCurrentUserPermReq
}

export type QueryDeleteDiscountReasonArgs = {
  input: InputOrderconfigSaveDiscountReasonRequest
}

export type QueryDeleteRefundReasonArgs = {
  input: InputOrderconfigDeleteRefundReasonRequest
}

export type QueryDeleteSkuGroupArgs = {
  input: InputSpuSkuGroupIdReq
}

export type QueryDeleteStoreTableArgs = {
  input: InputHqbrandStoreDeleteStoreTableReq
}

export type QueryDeleteStoreTableAreaArgs = {
  input: InputHqbrandStoreDeleteStoreTableAreaReq
}

export type QueryDetailKitchenArgs = {
  input: InputKitchenworkstationDetailKitchenRequest
}

export type QueryDetailKitchenReceiptPrinterRuleArgs = {
  input: InputKitchenworkstationDetailKitchenReceiptPrinterRuleRequest
}

export type QueryDeviceDetailArgs = {
  input: InputStoreDeviceDeviceDetailReq
}

export type QueryDeviceInfoArgs = {
  input: InputStoreDeviceDeviceDetailReq
}

export type QueryDeviceListV2Args = {
  input: InputStoreDeviceDeviceListReq
}

export type QueryElemeStoreMapArgs = {
  input: InputTakeoutAuthElemeStoreMapRequest
}

export type QueryElemeStoreUnMapArgs = {
  input: InputTakeoutAuthStoreIdRequest
}

export type QueryExportToEmailArgs = {
  input: InputRevenueExportToEmailRequest
}

export type QueryFindBrandArgs = {
  input: InputBrandBrandFindRequest
}

export type QueryFindStoreArgs = {
  input: InputStoreBusinessFindStoreRequest
}

export type QueryFindStoreOrderMethodArgs = {
  input: InputStoreBusinessFindStoreOrderMethodReq
}

export type QueryGetAdditionalGroupItemListArgs = {
  input: InputSaleunitGetAdditionalGroupItemListReq
}

export type QueryGetAdditionalGroupListArgs = {
  input: InputSaleunitGetAdditionalGroupListReq
}

export type QueryGetAdditionalItemListArgs = {
  input: InputSaleunitGetAdditionalItemListReq
}

export type QueryGetAllTakeoutStoreInfoArgs = {
  input: InputTakeoutStoreGetAllTakeoutStoreInfoRequest
}

export type QueryGetBackCategoryArgs = {
  input: InputTakeoutProductGetBackCategoryRequest
}

export type QueryGetBasicPriceListArgs = {
  input: InputSaleunitGetBasicPriceListReq
}

export type QueryGetBasicSingleSuListArgs = {
  input: InputSaleunitGetBasicSingleSuListReq
}

export type QueryGetBrandAllPayTypeArgs = {
  input: InputPayBrandIdDto
}

export type QueryGetBrandSkuGroupListArgs = {
  input: InputProductBrandIdReq
}

export type QueryGetCategoryArgs = {
  input: InputTakeoutProductGetCategoryRequest
}

export type QueryGetCategoryListArgs = {
  input: InputSaleunitGetCategoryListReq
}

export type QueryGetCategoryMessagesArgs = {
  input: InputNotificationCenterCenterGetCategoryMessagesRequest
}

export type QueryGetCategorySceneListArgs = {
  input: InputSaleunitGetCategorySceneListReq
}

export type QueryGetClientComparisonArgs = {
  input: InputRevenueClientComparisonRequest
}

export type QueryGetColorModeArgs = {
  input: InputDeviceGetColorModeReq
}

export type QueryGetComboSuArgs = {
  input: InputSaleunitGetComboSuReq
}

export type QueryGetComboSuListArgs = {
  input: InputSaleunitGetComboSuListReq
}

export type QueryGetCurrentBrandByPhonesAndEmailsArgs = {
  input: InputUserUserCenterGetCurrentBrandByPhonesAndEmailsReq
}

export type QueryGetCurrentBrandUserInfoArgs = {
  input: InputUserUserCenterGetCurrentBrandUserInfoReq
}

export type QueryGetCurrentUserHomeCardArgs = {
  input: InputUserUserCenterGetCurrentUserHomeCardReq
}

export type QueryGetCurrentUserReportCardArgs = {
  input: InputUserUserCenterGetUserReportCardReq
}

export type QueryGetDeviceCountArgs = {
  input: InputStoreDeviceGetDeviceCountReq
}

export type QueryGetDeviceVoiceArgs = {
  input: InputStoreDeviceGetDeviceVoiceReq
}

export type QueryGetDiscountOverviewArgs = {
  input: InputDiscountDiscountRequest
}

export type QueryGetDiscountOverviewByStoreArgs = {
  input: InputDiscountDiscountByStoreRequest
}

export type QueryGetDiscountReasonArgs = {
  input: InputOrderconfigGetDiscountReasonRequest
}

export type QueryGetDiscountTagPageArgs = {
  input: InputCostRecordGetDiscountTagPageReq
}

export type QueryGetElemeStoresArgs = {
  input: InputTakeoutAuthGetElemeStoresRequest
}

export type QueryGetElemeTakeoutAuthArgs = {
  input: InputTakeoutAuthStoreIdRequest
}

export type QueryGetElemeUserArgs = {
  input: InputTakeoutAuthBrandIdRequest
}

export type QueryGetEmployeeArgs = {
  input: InputRolePermUserCenterGetEmployeeReq
}

export type QueryGetEmployeeListArgs = {
  input: InputRolePermUserCenterGetEmployeeListReq
}

export type QueryGetGiveAuthStatusArgs = {
  input: InputOnlinesalesGetGiveAuthRequest
}

export type QueryGetIngredientsArgs = {
  input: InputTakeoutProductGetIngredientsRequest
}

export type QueryGetMaterialArgs = {
  input: InputTakeoutProductGetMaterialRequest
}

export type QueryGetMeituanStoreReleaseUrlArgs = {
  input: InputTakeoutAuthStoreIdRequest
}

export type QueryGetMeituanTakeoutAuthArgs = {
  input: InputTakeoutAuthStoreIdRequest
}

export type QueryGetMessageAllArgs = {
  input: InputNotificationCenterCenterGetMessageAllRequest
}

export type QueryGetOrderDetailArgs = {
  input: InputOrderGetOrderDetailReq
}

export type QueryGetOrderNoRuleArgs = {
  input: InputOrderconfigGetOrderNoRuleRequest
}

export type QueryGetOrderNonoArgs = {
  input: InputOrderconfigGetOrderNonoReq
}

export type QueryGetOrderReceiptListArgs = {
  input: InputOrderconfigGetOrderReceiptListReq
}

export type QueryGetOrderSummaryArgs = {
  input: InputRevenueOrderSummaryRequest
}

export type QueryGetOverviewArgs = {
  input: InputRevenueOverviewRequest
}

export type QueryGetPackFeeListArgs = {
  input: InputSaleunitGetPackFeeListReq
}

export type QueryGetPackListArgs = {
  input: InputSaleunitGetPackListReq
}

export type QueryGetPasscodeByUserIdArgs = {
  input: InputUserUserCenterGetPasscodeByUserIdReq
}

export type QueryGetPayOverviewArgs = {
  input: InputPayPayRequest
}

export type QueryGetPayOverviewByStoreArgs = {
  input: InputPayPayByStoreRequest
}

export type QueryGetPermListArgs = {
  input: InputRolePermUserCenterGetPermListReq
}

export type QueryGetRefundReasonArgs = {
  input: InputOrderconfigGetRefundReasonRequest
}

export type QueryGetRoleArgs = {
  input: InputRolePermUserCenterGetRoleReq
}

export type QueryGetRolesPermsArgs = {
  input: InputRolePermUserCenterGetRolesPermsReq
}

export type QueryGetSaleInfoListArgs = {
  input: InputSaleunitGetSaleInfoListReq
}

export type QueryGetSaleTimeListArgs = {
  input: InputSaleunitGetSaleTimeListReq
}

export type QueryGetShelfSuCountArgs = {
  input: InputSaleunitBrandStoreIdReq
}

export type QueryGetSingleCategoryMessagesArgs = {
  input: InputNotificationCenterCenterSingleUnreadCategoryRequest
}

export type QueryGetSingleSuArgs = {
  input: InputSaleunitGetSingleSuReq
}

export type QueryGetSingleSuListArgs = {
  input: InputSaleunitGetSingleSuListReq
}

export type QueryGetStatTagPageListArgs = {
  input: InputSpuGetStatTagPageListReq
}

export type QueryGetStoreArgs = {
  input: InputStoreBusinessGetStoreRequest
}

export type QueryGetStoreAccountArgs = {
  input: InputPayGetStoreAccountDto
}

export type QueryGetStoreAllArgs = {
  input: InputStoreBusinessGetStoreRequest
}

export type QueryGetStoreAuthArgs = {
  input: InputOnlinesalesGetStoreAuthRequest
}

export type QueryGetStoreBusinessByStoreIdArgs = {
  input: InputStoreBusinessFindBusinessReq
}

export type QueryGetStoreListArgs = {
  input: InputRolePermUserCenterGetStoreListReq
}

export type QueryGetStoreSourcePayTypeArgs = {
  input: InputPayStoreIdSouceDto
}

export type QueryGetStoreStoreModuleArgs = {
  input: InputOnlinesalesGetStoreStoreModuleRequest
}

export type QueryGetStoreSummaryArgs = {
  input: InputRevenueStoreSummaryRequest
}

export type QueryGetStoreTableListArgs = {
  input: InputHqbrandStoreGetStoreTableListReq
}

export type QueryGetSuCategoryListArgs = {
  input: InputSaleunitGetSuCategoryListReq
}

export type QueryGetSuScenePriceListArgs = {
  input: InputSaleunitGetSuScenePriceListReq
}

export type QueryGetSuShelfStoreListArgs = {
  input: InputHqWorkflowSuShelfStoreListReq
}

export type QueryGetSuTagListArgs = {
  input: InputSaleunitGetSuTagListReq
}

export type QueryGetSuperAdminInfoArgs = {
  input: InputRolePermUserCenterGetSuperAdminInfoReq
}

export type QueryGetTakeoutStoreInfoArgs = {
  input: InputTakeoutStoreGetTakeoutStoreInfoRequest
}

export type QueryGetTripartiteAdditionalListArgs = {
  input: InputTakeoutProductGetTripartiteAdditionalListRequest
}

export type QueryGetTripartiteProductListArgs = {
  input: InputTakeoutProductGetTripartiteProductListRequest
}

export type QueryGetUserBrandStoreSelectionArgs = {
  input: InputRolePermUserCenterGetUserBrandStoreSelectionReq
}

export type QueryGetUserByPhoneArgs = {
  input: InputUserUserCenterGetUserByPhoneReq
}

export type QueryHqUserInfoArgs = {
  input: InputUserUserCenterHqUserInfoReq
}

export type QueryImportSuArgs = {
  input: InputKitchenworkstationImportSuRequest
}

export type QueryInitSupplySyncArgs = {
  input: InputProductBrandStoreIdReq
}

export type QueryInviteEmployeeArgs = {
  input: InputRolePermUserCenterInviteEmployeeReq
}

export type QueryListBrandsArgs = {
  input: InputBrandBrandIdRequest
}

export type QueryListBrandsByBrandIdsArgs = {
  input: InputBrandListBrandsByBrandIdsReq
}

export type QueryListKitchenArgs = {
  input: InputKitchenworkstationListKitchenRequest
}

export type QueryListKitchenBySuArgs = {
  input: InputKitchenworkstationListKitchenBySuRequest
}

export type QueryListPaymentAccountArgs = {
  input: InputPayBrandIdChannelDto
}

export type QueryListRoleArgs = {
  input: InputRolePermUserCenterListRoleReq
}

export type QueryMarkAllAsReadArgs = {
  input: InputNotificationCenterCenterMarkAllAsReadRequest
}

export type QueryMarkCategoryAsReadArgs = {
  input: InputNotificationCenterCenterMarkCategoryAsReadRequest
}

export type QueryMessageStatusChangeArgs = {
  input: InputNotificationCenterCenterMessageStatusChangeRequest
}

export type QueryOpenFindStoreArgs = {
  input: InputStoreBusinessFindStoreRequest
}

export type QueryOpenGetSuperAdminBrandsForUserArgs = {
  input: InputRolePermUserCenterGetSuperAdminBrandsForUserReq
}

export type QueryOpenListBrandsArgs = {
  input: InputBrandOpenListBrandRequest
}

export type QueryOpenPlatformBrandStoreEmployeesArgs = {
  input: InputRolePermUserCenterOpenPlatformBrandStoreEmployeesReq
}

export type QueryPayIntoListArgs = {
  input: InputPayBrandIdChannelDto
}

export type QueryPublishEventArgs = {
  input: InputNotificationCenterEvent
}

export type QueryPublishEventBaseArgs = {
  input: InputNotificationCenterBaseEventRequest
}

export type QueryQueryAllDevicesStoreIdArgs = {
  input: InputStoreDeviceQueryAllDevicesStoreIdReq
}

export type QueryQueryComboSuArgs = {
  input: InputSaleunitQueryComboSuReq
}

export type QueryQueryDeviceInfoArgs = {
  input: InputDevicemonitorQueryDeviceInfoReq
}

export type QueryQueryMessageArgs = {
  input: InputNotificationCenterQueryMessageReq
}

export type QueryQueryRelationProductArgs = {
  input: InputTakeoutProductQueryRelationProductRequest
}

export type QueryQueryTemplateArgs = {
  input: InputPrintEmpty
}

export type QueryReceiptStyleListArgs = {
  input: InputPrintReceiptStyleListReq
}

export type QueryRelationProductArgs = {
  input: InputTakeoutProductRelationProductRequest
}

export type QuerySaveDiscountReasonArgs = {
  input: InputOrderconfigSaveDiscountReasonRequest
}

export type QuerySaveOrderNoRuleArgs = {
  input: InputOrderconfigSaveOrderNoRuleRequest
}

export type QuerySaveRefundReasonArgs = {
  input: InputOrderconfigSaveRefundReasonRequest
}

export type QuerySendCreateStoreTaskBizMessageArgs = {
  input: InputHqWorkflowSendCreateStoreTaskBizMessageReq
}

export type QuerySetColorModeArgs = {
  input: InputDeviceSetColorModeReq
}

export type QuerySetTakeoutArgs = {
  input: InputKitchenworkstationSetTakeoutRequest
}

export type QuerySettingDeviceVoiceArgs = {
  input: InputStoreDeviceSettingDeviceVoiceReq
}

export type QueryStoreAllArgs = {
  input: InputStoreBusinessStoreAllRequest
}

export type QueryStoreListByBrandIdsArgs = {
  input: InputStoreBusinessStoreListByBrandIdsReq
}

export type QueryStoreTaskCompleteArgs = {
  input: InputStoreTaskStoreTaskCompleteReq
}

export type QueryStoreTaskListArgs = {
  input: InputStoreTaskStoreTaskListReq
}

export type QueryTakeoutGetStoreBusinessStatusArgs = {
  input: InputTakeoutStoreTakeoutGetStoreBusinessStatusRequest
}

export type QueryTakeoutPrinterTimeConfigDetailArgs = {
  input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailReq
}

export type QueryTodoDeleteArgs = {
  input: InputTodoTodoDeleteReq
}

export type QueryTodoExtentUpdateArgs = {
  input: InputTodoTodoExtentUpdateReq
}

export type QueryTodoListArgs = {
  input: InputTodoTodoListReq
}

export type QueryUpdateStoreTableArgs = {
  input: InputHqbrandStoreUpdateStoreTableReq
}

export type QueryUpdateStoreTableAreaArgs = {
  input: InputHqbrandStoreUpdateStoreTableAreaReq
}

export type QueryUserBrandStoreSelectionArgs = {
  input: InputRolePermUserCenterUserBrandStoreSelectionReq
}

export type QueryValidateSuListArgs = {
  input: InputSaleunitValidateSuListReq
}

export type QueryAddLimitSaleArgs = {
  input: InputLimitSaleModelLimitSaleModel
}

export type QueryConfirmCapacityArgs = {
  input: InputLimitSaleModelConfirmCapacityRequest
}

export type QueryInitStoreCapacityArgs = {
  input: InputLimitSaleModelQueryLimitSaleRuleRequest
}

export type QueryLockCapacityArgs = {
  input: InputLimitSaleModelLockCapacityRequest
}

export type QueryQueryLimitSaleRuleArgs = {
  input: InputLimitSaleModelQueryLimitSaleRuleRequest
}

export type QueryQueryLimitSalesArgs = {
  input: InputLimitSaleModelQueryLimitSalesRequest
}

export type QueryQueryStoreCapacityArgs = {
  input: InputCapacityModelQueryStoreCapacityRequest
}

export type QueryQuitLimitSaleArgs = {
  input: InputLimitSaleModelQuitLimitSalesRequest
}

export type QueryReleaseCapacityArgs = {
  input: InputLimitSaleModelReleaseCapacityRequest
}

export type QueryReturnCapacityArgs = {
  input: InputLimitSaleModelReturnCapacityRequest
}

export type QueryUpdateLimitSaleRuleArgs = {
  input: InputLimitSaleModelUpdateLimitRuleRequest
}

export type RevenueClientComparisonItem = {
  __typename?: 'RevenueClientComparisonItem'
  actualAmt: Maybe<Scalars['Float']['output']>
  client: Maybe<Scalars['String']['output']>
  discountAmt: Maybe<Scalars['Float']['output']>
  orderCnt: Maybe<Scalars['Int']['output']>
  refundAmt: Maybe<Scalars['Float']['output']>
}

export type RevenueClientComparisonList = {
  __typename?: 'RevenueClientComparisonList'
  list: Maybe<Array<RevenueClientComparisonItem>>
  total: Maybe<Scalars['Int']['output']>
}

export type RevenueOrderSummary = {
  __typename?: 'RevenueOrderSummary'
  actualAmt: Maybe<Scalars['Float']['output']>
  discountAmt: Maybe<Scalars['Float']['output']>
  nono: Maybe<Scalars['String']['output']>
  orderDate: Maybe<Scalars['String']['output']>
  orderNo: Maybe<Scalars['String']['output']>
  originAmt: Maybe<Scalars['Float']['output']>
  refundAmt: Maybe<Scalars['Float']['output']>
}

export type RevenueOrderSummaryData = {
  __typename?: 'RevenueOrderSummaryData'
  list: Maybe<Array<RevenueOrderSummary>>
  stats: Maybe<RevenueOrderTotal>
  total: Maybe<Scalars['Int']['output']>
}

export type RevenueOrderTotal = {
  __typename?: 'RevenueOrderTotal'
  actualAmt: Maybe<Scalars['Float']['output']>
  discountAmt: Maybe<Scalars['Float']['output']>
  originAmt: Maybe<Scalars['Float']['output']>
  refundAmt: Maybe<Scalars['Float']['output']>
}

export type RevenueResult = {
  __typename?: 'RevenueResult'
  actualAmt: Maybe<Scalars['Float']['output']>
  actualList: Maybe<Array<RevenueTimeDetail>>
  discountAmt: Maybe<Scalars['Float']['output']>
  discountList: Maybe<Array<RevenueTimeDetail>>
  originAmt: Maybe<Scalars['Float']['output']>
  originList: Maybe<Array<RevenueTimeDetail>>
  paidOrderCnt: Maybe<Scalars['Int']['output']>
  paidOrderList: Maybe<Array<RevenueTimeDetail>>
  refundAmt: Maybe<Scalars['Float']['output']>
  refundList: Maybe<Array<RevenueTimeDetail>>
  refundOrderCnt: Maybe<Scalars['Int']['output']>
  refundOrderList: Maybe<Array<RevenueTimeDetail>>
}

export type RevenueStoreSummary = {
  __typename?: 'RevenueStoreSummary'
  actualAmt: Maybe<Scalars['Float']['output']>
  discountAmt: Maybe<Scalars['Float']['output']>
  originAmt: Maybe<Scalars['Float']['output']>
  refundAmt: Maybe<Scalars['Float']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeName: Maybe<Scalars['String']['output']>
}

export type RevenueStoreSummaryList = {
  __typename?: 'RevenueStoreSummaryList'
  list: Maybe<Array<RevenueStoreSummary>>
  total: Maybe<Scalars['Int']['output']>
}

export type RevenueTimeDetail = {
  __typename?: 'RevenueTimeDetail'
  amt: Maybe<Scalars['Float']['output']>
  timeDim: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterBrandStores = {
  __typename?: 'RolePermUserCenterBrandStores'
  brandId: Maybe<Scalars['Int']['output']>
  storeInfo: Maybe<Array<RolePermUserCenterStoreInfo>>
  superAdminInfo: Maybe<RolePermUserCenterSuperAdminInfo>
}

export type RolePermUserCenterEmployeeData = {
  __typename?: 'RolePermUserCenterEmployeeData'
  BrandName: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  email: Maybe<Scalars['String']['output']>
  employeeId: Maybe<Scalars['String']['output']>
  futureStore: Maybe<Scalars['Boolean']['output']>
  inviteCode: Maybe<Scalars['String']['output']>
  passcode: Maybe<Scalars['String']['output']>
  phone: Maybe<Scalars['String']['output']>
  roles: Maybe<Array<RolePermUserCenterRole>>
  storeInfo: Maybe<Array<RolePermUserCenterStoreInfo>>
  userId: Maybe<Scalars['String']['output']>
  username: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterEmployeeDatas = {
  __typename?: 'RolePermUserCenterEmployeeDatas'
  data: Maybe<Array<RolePermUserCenterEmployeeList>>
  total: Maybe<Scalars['Int']['output']>
}

export type RolePermUserCenterEmployeeInfo = {
  __typename?: 'RolePermUserCenterEmployeeInfo'
  dataSource: Maybe<Scalars['String']['output']>
  icon: Maybe<Scalars['String']['output']>
  roleCount: Maybe<Scalars['Int']['output']>
  roleId: Maybe<Scalars['String']['output']>
  roleKey: Maybe<Scalars['String']['output']>
  roleName: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterEmployeeList = {
  __typename?: 'RolePermUserCenterEmployeeList'
  Email: Maybe<Scalars['String']['output']>
  addTime: Maybe<Scalars['String']['output']>
  brandName: Maybe<Scalars['String']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  employeeId: Maybe<Scalars['String']['output']>
  employeeInfo: Maybe<RolePermUserCenterEmployeeInfo>
  futureStore: Maybe<Scalars['Boolean']['output']>
  inviteCode: Maybe<Scalars['String']['output']>
  isInvite: Maybe<Scalars['String']['output']>
  isSuper: Maybe<Scalars['String']['output']>
  letter: Maybe<Scalars['String']['output']>
  phone: Maybe<Scalars['String']['output']>
  userId: Maybe<Scalars['String']['output']>
  username: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterEmployeeRes = {
  __typename?: 'RolePermUserCenterEmployeeRes'
  MessageRule: Maybe<Array<RolePermUserCenterMessageRule>>
  brandName: Maybe<Scalars['String']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  inviteCode: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterGetSuperAdminBrandsForUserData = {
  __typename?: 'RolePermUserCenterGetSuperAdminBrandsForUserData'
  brandId: Maybe<Scalars['Int']['output']>
  brandLogo: Maybe<Scalars['String']['output']>
  brandName: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterGetUserBrandStoreSelectionData = {
  __typename?: 'RolePermUserCenterGetUserBrandStoreSelectionData'
  brandId: Maybe<Scalars['Int']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type RolePermUserCenterInviteEmployeeInfo = {
  __typename?: 'RolePermUserCenterInviteEmployeeInfo'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  brandName: Maybe<Scalars['String']['output']>
  email: Maybe<Scalars['String']['output']>
  employeeId: Maybe<Scalars['String']['output']>
  employeeName: Maybe<Scalars['String']['output']>
  futureStore: Maybe<Scalars['Boolean']['output']>
  phone: Maybe<Scalars['String']['output']>
  role: Maybe<Array<RolePermUserCenterRole>>
  storeCount: Maybe<Scalars['Int']['output']>
  storeInfo: Maybe<Array<RolePermUserCenterStoreInfo>>
  userId: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterMessageRule = {
  __typename?: 'RolePermUserCenterMessageRule'
  bizType: Maybe<Scalars['String']['output']>
  payload: Maybe<Scalars['String']['output']>
  ruleId: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterNoticeData = {
  __typename?: 'RolePermUserCenterNoticeData'
  userIds: Maybe<Array<Scalars['String']['output']>>
}

export type RolePermUserCenterPassCode = {
  __typename?: 'RolePermUserCenterPassCode'
  passcode: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterPerm = {
  __typename?: 'RolePermUserCenterPerm'
  brandId: Maybe<Scalars['Int']['output']>
  isSuper: Maybe<Scalars['Boolean']['output']>
  roleKey: Maybe<Scalars['String']['output']>
  roleName: Maybe<Scalars['String']['output']>
  rolePermList: Maybe<Array<RolePermUserCenterRolePermList>>
  roleType: Maybe<Scalars['Int']['output']>
  storeIds: Maybe<Array<Scalars['Int']['output']>>
  userId: Maybe<Scalars['String']['output']>
  username: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterPermsData = {
  __typename?: 'RolePermUserCenterPermsData'
  hq: Maybe<Array<RolePermUserCenterRolePermList>>
  pos: Maybe<Array<RolePermUserCenterRolePermList>>
}

export type RolePermUserCenterRole = {
  __typename?: 'RolePermUserCenterRole'
  brandId: Maybe<Scalars['Int']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  description: Maybe<Scalars['String']['output']>
  icon: Maybe<Scalars['String']['output']>
  maximumDiscountPerItem: Maybe<Scalars['Int']['output']>
  maximumDiscountWholeOrder: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  roleId: Maybe<Scalars['String']['output']>
  roleKey: Maybe<Scalars['String']['output']>
  rolePermList: Maybe<Array<RolePermUserCenterRolePermList>>
  roleType: Maybe<Scalars['Int']['output']>
  userCount: Maybe<Scalars['Int']['output']>
}

export type RolePermUserCenterRoleData = {
  __typename?: 'RolePermUserCenterRoleData'
  data: Maybe<Array<RolePermUserCenterRole>>
  total: Maybe<Scalars['Int']['output']>
}

export type RolePermUserCenterRolePermList = {
  __typename?: 'RolePermUserCenterRolePermList'
  children: Maybe<Array<RolePermUserCenterRolePermList>>
  id: Maybe<Scalars['String']['output']>
  label: Maybe<Scalars['String']['output']>
  level: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  order: Maybe<Scalars['Int']['output']>
  parentKey: Maybe<Scalars['String']['output']>
  routerVersion: Maybe<Scalars['String']['output']>
  serverKey: Maybe<Scalars['String']['output']>
  serverType: Maybe<Scalars['String']['output']>
  url: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterStoreInfo = {
  __typename?: 'RolePermUserCenterStoreInfo'
  EmployeeList: Maybe<Array<RolePermUserCenterEmployeeList>>
  city: Maybe<Scalars['String']['output']>
  storeAddress: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeName: Maybe<Scalars['String']['output']>
}

export type RolePermUserCenterSuperAdminInfo = {
  __typename?: 'RolePermUserCenterSuperAdminInfo'
  email: Maybe<Scalars['String']['output']>
  employeeId: Maybe<Scalars['String']['output']>
  employeeName: Maybe<Scalars['String']['output']>
  mobile: Maybe<Scalars['String']['output']>
  userId: Maybe<Scalars['String']['output']>
  userName: Maybe<Scalars['String']['output']>
}

export type SaleunitAdditionalGroupItemListRespData = {
  __typename?: 'SaleunitAdditionalGroupItemListRespData'
  additionalGroupList: Maybe<Array<SaleunitAdditionalGroupResp>>
}

export type SaleunitAdditionalGroupItemResp = {
  __typename?: 'SaleunitAdditionalGroupItemResp'
  additionalItemNo: Maybe<Scalars['String']['output']>
  basicPrice: Maybe<Scalars['Float']['output']>
  isDefault: Maybe<Scalars['Boolean']['output']>
  salePriceList: Maybe<Array<SaleunitSaveAdditionalItemSalePriceList>>
  selectMax: Maybe<Scalars['Int']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  sort: Maybe<Scalars['Int']['output']>
  spuName: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
}

export type SaleunitAdditionalGroupListRespData = {
  __typename?: 'SaleunitAdditionalGroupListRespData'
  list: Maybe<Array<SaleunitAdditionalGroupResp>>
  total: Maybe<Scalars['Int']['output']>
}

export type SaleunitAdditionalGroupResp = {
  __typename?: 'SaleunitAdditionalGroupResp'
  additionalGroupNo: Maybe<Scalars['String']['output']>
  additionalSkuList: Maybe<Array<SaleunitAdditionalGroupItemResp>>
  bizRemark: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  selectMax: Maybe<Scalars['Int']['output']>
  selectMin: Maybe<Scalars['Int']['output']>
  suList: Maybe<Array<SaleunitRelationSuList>>
}

export type SaleunitAdditionalItemListRespData = {
  __typename?: 'SaleunitAdditionalItemListRespData'
  list: Maybe<Array<SaleunitAdditionalItemResp>>
  total: Maybe<Scalars['Int']['output']>
}

export type SaleunitAdditionalItemResp = {
  __typename?: 'SaleunitAdditionalItemResp'
  addTime: Maybe<Scalars['String']['output']>
  additionalGroupList: Maybe<Array<SaleunitRelationAdditionalGroupList>>
  additionalItemNo: Maybe<Scalars['String']['output']>
  basicPrice: Maybe<Scalars['Float']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  relationSuNum: Maybe<Scalars['Int']['output']>
  salePriceList: Maybe<Array<SaleunitSaveAdditionalItemSalePriceList>>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
}

export type SaleunitAllDayTimeInfo = {
  __typename?: 'SaleunitAllDayTimeInfo'
  suList: Maybe<Array<SaleunitSaleTimeSuInfo>>
  suShelfStoreNum: Maybe<Scalars['Int']['output']>
}

export type SaleunitBasicPrice = {
  __typename?: 'SaleunitBasicPrice'
  addTime: Maybe<Scalars['String']['output']>
  basicPriceNo: Maybe<Scalars['String']['output']>
  bizNo: Maybe<Scalars['String']['output']>
  bizType: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  price: Maybe<Scalars['Float']['output']>
  priceType: Maybe<Scalars['String']['output']>
  skuAddPriceList: Maybe<Array<SaleunitSkuAddPriceList>>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
}

export type SaleunitBasicPriceListRespData = {
  __typename?: 'SaleunitBasicPriceListRespData'
  basicPriceList: Maybe<Array<SaleunitBasicPrice>>
}

export type SaleunitBasicSingleSu = {
  __typename?: 'SaleunitBasicSingleSu'
  suNo: Maybe<Scalars['String']['output']>
}

export type SaleunitCategoryListRespData = {
  __typename?: 'SaleunitCategoryListRespData'
  suCategoryList: Maybe<Array<SaleunitSuCategory>>
}

export type SaleunitCategorySceneListRespData = {
  __typename?: 'SaleunitCategorySceneListRespData'
  suCategorySceneList: Maybe<Array<SaleunitSuCategoryScene>>
}

export type SaleunitCategorySuList = {
  __typename?: 'SaleunitCategorySuList'
  addTime: Maybe<Scalars['String']['output']>
  img: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  suNo: Maybe<Scalars['String']['output']>
  suSort: Maybe<Scalars['Int']['output']>
  suType: Maybe<Scalars['String']['output']>
}

export type SaleunitComboBasicInfo = {
  __typename?: 'SaleunitComboBasicInfo'
  desc: Maybe<Scalars['String']['output']>
  imgs: Maybe<Array<SaleunitSuImageInfo>>
  name: Maybe<Scalars['String']['output']>
  price: Maybe<Scalars['Float']['output']>
  saleTimeNoList: Maybe<Array<Scalars['String']['output']>>
  statTagNo: Maybe<Scalars['String']['output']>
}

export type SaleunitComboSu = {
  __typename?: 'SaleunitComboSu'
  addTime: Maybe<Scalars['String']['output']>
  basicInfo: Maybe<SaleunitComboBasicInfo>
  brandId: Maybe<Scalars['Int']['output']>
  comboType: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  suCategoryNoList: Maybe<Array<Scalars['String']['output']>>
  suGroupList: Maybe<Array<SaleunitSuGroup>>
  suNo: Maybe<Scalars['String']['output']>
}

export type SaleunitComboSuListData = {
  __typename?: 'SaleunitComboSuListData'
  comboSuList: Maybe<Array<SaleunitComboSu>>
}

export type SaleunitGetBasicSingleSuListRspData = {
  __typename?: 'SaleunitGetBasicSingleSuListRspData'
  singleSuList: Maybe<Array<SaleunitBasicSingleSu>>
}

export type SaleunitGetComboSuDataResp = {
  __typename?: 'SaleunitGetComboSuDataResp'
  comboSu: Maybe<SaleunitComboSu>
}

export type SaleunitGetSingleSuDataResp = {
  __typename?: 'SaleunitGetSingleSuDataResp'
  singleSu: Maybe<SaleunitSingleSu>
}

export type SaleunitGetSuTagListRespData = {
  __typename?: 'SaleunitGetSuTagListRespData'
  list: Maybe<Array<SaleunitSuTag>>
  total: Maybe<Scalars['Int']['output']>
}

export type SaleunitImportSuExcelRespData = {
  __typename?: 'SaleunitImportSuExcelRespData'
  suList: Maybe<Array<SaleunitImportSuExcelRespDataSu>>
}

export type SaleunitImportSuExcelRespDataSu = {
  __typename?: 'SaleunitImportSuExcelRespDataSu'
  error: Maybe<Scalars['String']['output']>
  skuList: Maybe<Array<SaleunitSku>>
  suName: Maybe<Scalars['String']['output']>
  suPics: Maybe<Array<Scalars['String']['output']>>
  suPrice: Maybe<Scalars['String']['output']>
}

export type SaleunitPackFee = {
  __typename?: 'SaleunitPackFee'
  basicPrice: Maybe<Scalars['Float']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  packNo: Maybe<Scalars['String']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
}

export type SaleunitPackFeeListRespData = {
  __typename?: 'SaleunitPackFeeListRespData'
  packFeeList: Maybe<Array<SaleunitPackFee>>
}

export type SaleunitPackItemResp = {
  __typename?: 'SaleunitPackItemResp'
  addTime: Maybe<Scalars['String']['output']>
  basicPrice: Maybe<Scalars['Float']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  packNo: Maybe<Scalars['String']['output']>
  relationSuNum: Maybe<Scalars['Int']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
  suList: Maybe<Array<SaleunitRelationSuList>>
}

export type SaleunitPackListRespData = {
  __typename?: 'SaleunitPackListRespData'
  list: Maybe<Array<SaleunitPackItemResp>>
  total: Maybe<Scalars['Int']['output']>
}

export type SaleunitQueryComboSuRespData = {
  __typename?: 'SaleunitQueryComboSuRespData'
  name: Maybe<Scalars['String']['output']>
}

export type SaleunitRelationAdditionalGroupList = {
  __typename?: 'SaleunitRelationAdditionalGroupList'
  additionalBizRemark: Maybe<Scalars['String']['output']>
  additionalGroupName: Maybe<Scalars['String']['output']>
  additionalGroupNo: Maybe<Scalars['String']['output']>
}

export type SaleunitRelationSuList = {
  __typename?: 'SaleunitRelationSuList'
  skuNoList: Maybe<Array<Scalars['String']['output']>>
  suName: Maybe<Scalars['String']['output']>
  suNo: Maybe<Scalars['String']['output']>
  suType: Maybe<Scalars['String']['output']>
}

export type SaleunitSaleInfo = {
  __typename?: 'SaleunitSaleInfo'
  brandId: Maybe<Scalars['Int']['output']>
  saleInfoNo: Maybe<Scalars['String']['output']>
  saleScene: Maybe<Scalars['String']['output']>
  saleTimeNoList: Maybe<Array<Scalars['String']['output']>>
  shelfStatus: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  suNo: Maybe<Scalars['String']['output']>
  suType: Maybe<Scalars['String']['output']>
}

export type SaleunitSaleInfoListRespData = {
  __typename?: 'SaleunitSaleInfoListRespData'
  saleInfoList: Maybe<Array<SaleunitSaleInfo>>
}

export type SaleunitSaleTime = {
  __typename?: 'SaleunitSaleTime'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  configMethod: Maybe<Scalars['String']['output']>
  friday: Maybe<Array<SaleunitTimeRange>>
  monday: Maybe<Array<SaleunitTimeRange>>
  name: Maybe<Scalars['String']['output']>
  saleTimeNo: Maybe<Scalars['String']['output']>
  saturday: Maybe<Array<SaleunitTimeRange>>
  suList: Maybe<Array<SaleunitSaleTimeSuInfo>>
  suShelfStoreNum: Maybe<Scalars['Int']['output']>
  sunday: Maybe<Array<SaleunitTimeRange>>
  thursday: Maybe<Array<SaleunitTimeRange>>
  tuesday: Maybe<Array<SaleunitTimeRange>>
  wednesday: Maybe<Array<SaleunitTimeRange>>
}

export type SaleunitSaleTimeListRespData = {
  __typename?: 'SaleunitSaleTimeListRespData'
  allDayTimeInfo: Maybe<SaleunitAllDayTimeInfo>
  list: Maybe<Array<SaleunitSaleTime>>
}

export type SaleunitSaleTimeSuInfo = {
  __typename?: 'SaleunitSaleTimeSuInfo'
  suName: Maybe<Scalars['String']['output']>
  suNo: Maybe<Scalars['String']['output']>
  suType: Maybe<Scalars['String']['output']>
}

export type SaleunitSaveAdditionalItemSalePriceList = {
  __typename?: 'SaleunitSaveAdditionalItemSalePriceList'
  salePrice: Maybe<Scalars['Float']['output']>
  saleScene: Maybe<Scalars['String']['output']>
}

export type SaleunitShelfSuCountData = {
  __typename?: 'SaleunitShelfSuCountData'
  shelfSuNum: Maybe<Scalars['Int']['output']>
}

export type SaleunitSingleSu = {
  __typename?: 'SaleunitSingleSu'
  addTime: Maybe<Scalars['String']['output']>
  basicInfo: Maybe<SaleunitSpuDetail>
  brandId: Maybe<Scalars['Int']['output']>
  saleMethod: Maybe<Scalars['String']['output']>
  skuList: Maybe<Array<SaleunitSku>>
  suCategoryNoList: Maybe<Array<Scalars['String']['output']>>
  suNo: Maybe<Scalars['String']['output']>
}

export type SaleunitSingleSuListRespData = {
  __typename?: 'SaleunitSingleSuListRespData'
  singleSuList: Maybe<Array<SaleunitSingleSu>>
}

export type SaleunitSku = {
  __typename?: 'SaleunitSku'
  additionalGroupNoList: Maybe<Array<Scalars['String']['output']>>
  basicPrice: Maybe<Scalars['Float']['output']>
  isDefault: Maybe<Scalars['Boolean']['output']>
  packSkuNo: Maybe<Scalars['String']['output']>
  priceType: Maybe<Scalars['String']['output']>
  showStatus: Maybe<Scalars['String']['output']>
  skuImg: Maybe<Scalars['String']['output']>
  skuName: Maybe<Scalars['String']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
}

export type SaleunitSkuAddPriceList = {
  __typename?: 'SaleunitSkuAddPriceList'
  addPrice: Maybe<Scalars['Float']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  suGroupNo: Maybe<Scalars['String']['output']>
}

export type SaleunitSpuDetail = {
  __typename?: 'SaleunitSpuDetail'
  desc: Maybe<Scalars['String']['output']>
  imgs: Maybe<Array<SaleunitSuImageInfo>>
  isManySpec: Maybe<Scalars['Boolean']['output']>
  isMixed: Maybe<Scalars['Boolean']['output']>
  isPack: Maybe<Scalars['Boolean']['output']>
  name: Maybe<Scalars['String']['output']>
  needServed: Maybe<Scalars['Boolean']['output']>
  saleTimeNoList: Maybe<Array<Scalars['String']['output']>>
  spuNo: Maybe<Scalars['String']['output']>
  statTagNo: Maybe<Scalars['String']['output']>
  suTagNoList: Maybe<Array<Scalars['String']['output']>>
}

export type SaleunitSuCategory = {
  __typename?: 'SaleunitSuCategory'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  categoryNo: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
}

export type SaleunitSuCategoryListRespData = {
  __typename?: 'SaleunitSuCategoryListRespData'
  list: Maybe<Array<SaleunitSuCategoryResp>>
}

export type SaleunitSuCategoryResp = {
  __typename?: 'SaleunitSuCategoryResp'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  categoryNo: Maybe<Scalars['String']['output']>
  categorySuList: Maybe<Array<SaleunitCategorySuList>>
  name: Maybe<Scalars['String']['output']>
  relationSuNum: Maybe<Scalars['Int']['output']>
  sort: Maybe<Scalars['Int']['output']>
  suList: Maybe<Array<SaleunitRelationSuList>>
}

export type SaleunitSuCategoryScene = {
  __typename?: 'SaleunitSuCategoryScene'
  brandId: Maybe<Scalars['Int']['output']>
  categoryColor: Maybe<Scalars['String']['output']>
  categoryNo: Maybe<Scalars['String']['output']>
  categorySceneNo: Maybe<Scalars['String']['output']>
  categorySort: Maybe<Scalars['Int']['output']>
  saleScene: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  suSortList: Maybe<Array<SaleunitSuSortInfo>>
}

export type SaleunitSuGroup = {
  __typename?: 'SaleunitSuGroup'
  minSelectNum: Maybe<Scalars['Int']['output']>
  skuList: Maybe<Array<SaleunitSuGroupSku>>
  sort: Maybe<Scalars['Int']['output']>
  suGroupName: Maybe<Scalars['String']['output']>
  suGroupNo: Maybe<Scalars['String']['output']>
}

export type SaleunitSuGroupSku = {
  __typename?: 'SaleunitSuGroupSku'
  addPrice: Maybe<Scalars['Float']['output']>
  fixedNum: Maybe<Scalars['Int']['output']>
  isDefault: Maybe<Scalars['Boolean']['output']>
  maxNum: Maybe<Scalars['Int']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  sort: Maybe<Scalars['Int']['output']>
  suNo: Maybe<Scalars['String']['output']>
}

export type SaleunitSuImageInfo = {
  __typename?: 'SaleunitSuImageInfo'
  type: Maybe<Scalars['String']['output']>
  url: Maybe<Scalars['String']['output']>
}

export type SaleunitSuScenePrice = {
  __typename?: 'SaleunitSuScenePrice'
  brandId: Maybe<Scalars['Int']['output']>
  price: Maybe<Scalars['Float']['output']>
  priceType: Maybe<Scalars['String']['output']>
  saleScene: Maybe<Scalars['String']['output']>
  scenePriceNo: Maybe<Scalars['String']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  spuNo: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  suNo: Maybe<Scalars['String']['output']>
  suType: Maybe<Scalars['String']['output']>
}

export type SaleunitSuScenePriceListRespData = {
  __typename?: 'SaleunitSuScenePriceListRespData'
  scenePriceList: Maybe<Array<SaleunitSuScenePrice>>
}

export type SaleunitSuSortInfo = {
  __typename?: 'SaleunitSuSortInfo'
  addTime: Maybe<Scalars['String']['output']>
  suNo: Maybe<Scalars['String']['output']>
  suSort: Maybe<Scalars['Int']['output']>
  suType: Maybe<Scalars['String']['output']>
}

export type SaleunitSuTag = {
  __typename?: 'SaleunitSuTag'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  color: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  relationSuNum: Maybe<Scalars['Int']['output']>
  sort: Maybe<Scalars['Int']['output']>
  status: Maybe<Scalars['String']['output']>
  suList: Maybe<Array<SaleunitRelationSuList>>
  tagNo: Maybe<Scalars['String']['output']>
}

export type SaleunitTimeRange = {
  __typename?: 'SaleunitTimeRange'
  endTime: Maybe<Scalars['String']['output']>
  startTime: Maybe<Scalars['String']['output']>
}

export type SaleunitValidateOrderSuListRespData = {
  __typename?: 'SaleunitValidateOrderSuListRespData'
  additionalGroupList: Maybe<Array<SaleunitAdditionalGroupResp>>
  comboSuList: Maybe<Array<SaleunitComboSu>>
  packList: Maybe<Array<SaleunitPackFee>>
  saleInfoList: Maybe<Array<SaleunitSaleInfo>>
  singleSuList: Maybe<Array<SaleunitSingleSu>>
}

export type SpuGetSkuGroupListData = {
  __typename?: 'SpuGetSkuGroupListData'
  list: Maybe<Array<SpuSkuGroup>>
}

export type SpuSkuGroup = {
  __typename?: 'SpuSkuGroup'
  brandId: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  skuGroupNo: Maybe<Scalars['String']['output']>
  skuNameList: Maybe<Array<Scalars['String']['output']>>
}

export type SpuStatTagListRespData = {
  __typename?: 'SpuStatTagListRespData'
  list: Maybe<Array<SpuStatTagResp>>
  total: Maybe<Scalars['Int']['output']>
}

export type SpuStatTagResp = {
  __typename?: 'SpuStatTagResp'
  addTime: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  relationSuNum: Maybe<Scalars['Int']['output']>
  statTagNo: Maybe<Scalars['String']['output']>
  suList: Maybe<Array<SpuStatTagSuItem>>
}

export type SpuStatTagSuItem = {
  __typename?: 'SpuStatTagSuItem'
  addTime: Maybe<Scalars['String']['output']>
  suNo: Maybe<Scalars['String']['output']>
  suType: Maybe<Scalars['String']['output']>
}

export type StoreBusinessBrands = {
  __typename?: 'StoreBusinessBrands'
  addTime: Maybe<Scalars['String']['output']>
  addUser: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  brandName: Maybe<Scalars['String']['output']>
  brandNameAlias: Maybe<Scalars['String']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  isDel: Maybe<Scalars['Boolean']['output']>
  logo: Maybe<Scalars['String']['output']>
  migration: Maybe<Scalars['String']['output']>
  modifyTime: Maybe<Scalars['String']['output']>
  modifyUser: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  store: Maybe<Array<StoreBusinessStore>>
  sysAddTime: Maybe<Scalars['String']['output']>
  sysModifyTime: Maybe<Scalars['String']['output']>
  traceId: Maybe<Scalars['String']['output']>
}

export type StoreBusinessStore = {
  __typename?: 'StoreBusinessStore'
  address: Maybe<Scalars['String']['output']>
  addressDetail: Maybe<Scalars['String']['output']>
  autoSoldOut: Maybe<Scalars['Int']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  city: Maybe<Scalars['String']['output']>
  cityCode: Maybe<Scalars['String']['output']>
  county: Maybe<Scalars['String']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  isDelete: Maybe<Scalars['Boolean']['output']>
  isDinersNumRequired: Maybe<Scalars['Boolean']['output']>
  isPlate: Maybe<Scalars['Boolean']['output']>
  isPlateRequired: Maybe<Scalars['Boolean']['output']>
  isPosAll: Maybe<Scalars['Boolean']['output']>
  lbsLat: Maybe<Scalars['String']['output']>
  lbsLng: Maybe<Scalars['String']['output']>
  logo: Maybe<Scalars['String']['output']>
  migration: Maybe<Scalars['String']['output']>
  mobile: Maybe<Scalars['String']['output']>
  remark: Maybe<Scalars['String']['output']>
  state: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeName: Maybe<Scalars['String']['output']>
  storeNumber: Maybe<Scalars['String']['output']>
  tel: Maybe<Scalars['String']['output']>
}

export type StoreBusinessStoreAll = {
  __typename?: 'StoreBusinessStoreAll'
  store: Maybe<StoreBusinessStore>
  storeBusiness: Maybe<Array<StoreBusinessStoreBusiness>>
}

export type StoreBusinessStoreBusiness = {
  __typename?: 'StoreBusinessStoreBusiness'
  brandId: Maybe<Scalars['Int']['output']>
  businessType: Maybe<Scalars['String']['output']>
  configMethod: Maybe<Scalars['String']['output']>
  friday: Maybe<Array<StoreBusinessTime>>
  id: Maybe<Scalars['String']['output']>
  isPosAll: Maybe<Scalars['Boolean']['output']>
  loopMethod: Maybe<Scalars['String']['output']>
  monday: Maybe<Array<StoreBusinessTime>>
  saturday: Maybe<Array<StoreBusinessTime>>
  storeId: Maybe<Scalars['Int']['output']>
  sunday: Maybe<Array<StoreBusinessTime>>
  thursday: Maybe<Array<StoreBusinessTime>>
  tuesday: Maybe<Array<StoreBusinessTime>>
  wednesday: Maybe<Array<StoreBusinessTime>>
}

export type StoreBusinessStoreOrderMethod = {
  __typename?: 'StoreBusinessStoreOrderMethod'
  client: Maybe<Scalars['String']['output']>
  diningMode: Maybe<Scalars['String']['output']>
  payModel: Maybe<Scalars['String']['output']>
  scene: Maybe<Scalars['String']['output']>
}

export type StoreBusinessTime = {
  __typename?: 'StoreBusinessTime'
  endTime: Maybe<Scalars['String']['output']>
  startTime: Maybe<Scalars['String']['output']>
}

export type StoreDeviceBrandInfo = {
  __typename?: 'StoreDeviceBrandInfo'
  addUser: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  brandName: Maybe<Scalars['String']['output']>
  brandNameAlias: Maybe<Scalars['String']['output']>
  logo: Maybe<Scalars['String']['output']>
  modifyUser: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
}

export type StoreDeviceCenterStoreInfo = {
  __typename?: 'StoreDeviceCenterStoreInfo'
  city: Maybe<Scalars['String']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  storeAddress: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeName: Maybe<Scalars['String']['output']>
}

export type StoreDeviceDevice = {
  __typename?: 'StoreDeviceDevice'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  brandInfo: Maybe<StoreDeviceBrandInfo>
  deviceId: Maybe<Scalars['String']['output']>
  deviceNo: Maybe<Scalars['String']['output']>
  deviceType: Maybe<Scalars['String']['output']>
  expiryTime: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  storeDeviceId: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeInfo: Maybe<StoreDeviceCenterStoreInfo>
}

export type StoreDeviceDeviceData = {
  __typename?: 'StoreDeviceDeviceData'
  deviceList: Maybe<Array<StoreDeviceDevice>>
  total: Maybe<Scalars['Int']['output']>
}

export type StoreDeviceDeviceRespData = {
  __typename?: 'StoreDeviceDeviceRespData'
  Name: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  brandInfo: Maybe<StoreDeviceBrandInfo>
  deviceId: Maybe<Scalars['String']['output']>
  deviceNo: Maybe<Scalars['String']['output']>
  deviceToken: Maybe<Scalars['String']['output']>
  storeDeviceId: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeInfo: Maybe<StoreDeviceStoreInfo>
}

export type StoreDeviceGetDeviceCountRespData = {
  __typename?: 'StoreDeviceGetDeviceCountRespData'
  count: Maybe<Scalars['Int']['output']>
  deviceType: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
}

export type StoreDeviceSettingDeviceVoiceReq = {
  __typename?: 'StoreDeviceSettingDeviceVoiceReq'
  EleMe: Maybe<StoreDeviceVoice>
  MeiTuanTakeout: Maybe<StoreDeviceVoice>
  NetWorkError: Maybe<StoreDeviceVoice>
  PosOrder: Maybe<StoreDeviceVoice>
  PrintError: Maybe<StoreDeviceVoice>
  PrinterVoice: Maybe<Scalars['Boolean']['output']>
  deviceId: Maybe<Scalars['String']['output']>
}

export type StoreDeviceStoreInfo = {
  __typename?: 'StoreDeviceStoreInfo'
  address: Maybe<Scalars['String']['output']>
  addressDetail: Maybe<Scalars['String']['output']>
  autoSoldOut: Maybe<Scalars['Int']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  city: Maybe<Scalars['String']['output']>
  cityCode: Maybe<Scalars['String']['output']>
  county: Maybe<Scalars['String']['output']>
  id: Maybe<Scalars['String']['output']>
  isPlate: Maybe<Scalars['Boolean']['output']>
  isPlateRequired: Maybe<Scalars['Boolean']['output']>
  isPosAll: Maybe<Scalars['Boolean']['output']>
  lbsLat: Maybe<Scalars['String']['output']>
  lbsLng: Maybe<Scalars['String']['output']>
  logo: Maybe<Scalars['String']['output']>
  mobile: Maybe<Scalars['String']['output']>
  remark: Maybe<Scalars['String']['output']>
  state: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  storeBusiness: Maybe<Array<StoreBusinessStoreBusiness>>
  storeId: Maybe<Scalars['Int']['output']>
  storeName: Maybe<Scalars['String']['output']>
  storeNumber: Maybe<Scalars['String']['output']>
  tel: Maybe<Scalars['String']['output']>
}

export type StoreDeviceUnbindDevice = {
  __typename?: 'StoreDeviceUnbindDevice'
  brandId: Maybe<Scalars['Int']['output']>
  deviceId: Maybe<Scalars['String']['output']>
  deviceNo: Maybe<Scalars['String']['output']>
  deviceType: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type StoreDeviceUpsetDeviceRespData = {
  __typename?: 'StoreDeviceUpsetDeviceRespData'
  addTime: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  deviceId: Maybe<Scalars['String']['output']>
  deviceNo: Maybe<Scalars['String']['output']>
  deviceType: Maybe<Scalars['String']['output']>
  expiryTime: Maybe<Scalars['String']['output']>
  name: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  storeDeviceId: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type StoreDeviceVoice = {
  __typename?: 'StoreDeviceVoice'
  IsEnable: Maybe<Scalars['Boolean']['output']>
  PlayNum: Maybe<Scalars['Int']['output']>
  VoiceId: Maybe<Scalars['String']['output']>
  VoiceType: Maybe<Scalars['String']['output']>
  VoiceUrl: Maybe<Scalars['String']['output']>
}

export type StoreTaskStoreTaskListRspData = {
  __typename?: 'StoreTaskStoreTaskListRspData'
  basicTaskNo: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  completeMethod: Maybe<Scalars['String']['output']>
  desc: Maybe<Scalars['String']['output']>
  isCanCancel: Maybe<Scalars['Boolean']['output']>
  isCanComplete: Maybe<Scalars['Boolean']['output']>
  isCanReverse: Maybe<Scalars['Boolean']['output']>
  name: Maybe<Scalars['String']['output']>
  sort: Maybe<Scalars['Int']['output']>
  status: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeTaskNo: Maybe<Scalars['String']['output']>
  type: Maybe<Scalars['String']['output']>
  updatedAt: Maybe<Scalars['String']['output']>
}

export type TakeoutAuthElemeShopInfo = {
  __typename?: 'TakeoutAuthElemeShopInfo'
  brandId: Maybe<Scalars['String']['output']>
  elemeId: Maybe<Scalars['String']['output']>
  elemeName: Maybe<Scalars['String']['output']>
  isMap: Maybe<Scalars['Boolean']['output']>
  storeId: Maybe<Scalars['String']['output']>
  userId: Maybe<Scalars['String']['output']>
}

export type TakeoutAuthStoreData = {
  __typename?: 'TakeoutAuthStoreData'
  storeReleaseUrl: Maybe<Scalars['String']['output']>
}

export type TakeoutAuthStoreMapUrl = {
  __typename?: 'TakeoutAuthStoreMapUrl'
  storeMapUrl: Maybe<Scalars['String']['output']>
}

export type TakeoutAuthUserData = {
  __typename?: 'TakeoutAuthUserData'
  brandId: Maybe<Scalars['String']['output']>
  userId: Maybe<Scalars['String']['output']>
  userName: Maybe<Scalars['String']['output']>
}

export type TakeoutPrinterTimeConfigReceipt = {
  __typename?: 'TakeoutPrinterTimeConfigReceipt'
  deliverTime: Maybe<Scalars['Int']['output']>
  makeTime: Maybe<Scalars['Int']['output']>
  printType: Maybe<Scalars['String']['output']>
  receiptType: Maybe<Scalars['String']['output']>
}

export type TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData = {
  __typename?: 'TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData'
  brandId: Maybe<Scalars['Int']['output']>
  receipts: Maybe<Array<TakeoutPrinterTimeConfigReceipt>>
  storeId: Maybe<Scalars['Int']['output']>
  takeoutPrinterTimeConfigNo: Maybe<Scalars['String']['output']>
}

export type TakeoutProductBackCategory = {
  __typename?: 'TakeoutProductBackCategory'
  children: Maybe<Array<TakeoutProductBackCategory>>
  id: Maybe<Scalars['Int']['output']>
  leaf: Maybe<Scalars['Boolean']['output']>
  lev: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  parentId: Maybe<Scalars['Int']['output']>
}

export type TakeoutProductCategory = {
  __typename?: 'TakeoutProductCategory'
  categoryId: Maybe<Scalars['String']['output']>
  categoryName: Maybe<Scalars['String']['output']>
  description: Maybe<Scalars['String']['output']>
  sequence: Maybe<Scalars['Int']['output']>
}

export type TakeoutProductConvertCombo = {
  __typename?: 'TakeoutProductConvertCombo'
  innerCombo: Maybe<TakeoutProductInnerCombo>
  outId: Maybe<Scalars['String']['output']>
  outName: Maybe<Scalars['String']['output']>
  outPicList: Maybe<Array<TakeoutProductProductPic>>
  outProductType: Maybe<Scalars['String']['output']>
}

export type TakeoutProductConvertIngredientsData = {
  __typename?: 'TakeoutProductConvertIngredientsData'
  innerIngredients: Maybe<TakeoutProductInnerIngredients>
  outId: Maybe<Scalars['String']['output']>
  outName: Maybe<Scalars['String']['output']>
  outProductType: Maybe<Scalars['String']['output']>
  subItems: Maybe<Array<TakeoutProductIngredientsSubItems>>
}

export type TakeoutProductConvertProduct = {
  __typename?: 'TakeoutProductConvertProduct'
  imgUrl: Maybe<Scalars['String']['output']>
  outId: Maybe<Scalars['String']['output']>
  outName: Maybe<Scalars['String']['output']>
  outProductType: Maybe<Scalars['String']['output']>
  subItems: Maybe<Array<TakeoutProductConvertSubItem>>
}

export type TakeoutProductConvertSubItem = {
  __typename?: 'TakeoutProductConvertSubItem'
  InnerSubItem: Maybe<TakeoutProductInnerSubItem>
  outId: Maybe<Scalars['String']['output']>
  outName: Maybe<Scalars['String']['output']>
  outParentId: Maybe<Scalars['String']['output']>
  outProductType: Maybe<Scalars['String']['output']>
  price: Maybe<Scalars['Float']['output']>
}

export type TakeoutProductCountRelationProductResponseData = {
  __typename?: 'TakeoutProductCountRelationProductResponseData'
  count: Maybe<Scalars['Int']['output']>
  isAllAssociated: Maybe<Scalars['Boolean']['output']>
}

export type TakeoutProductGetTripartiteProductListResponseData = {
  __typename?: 'TakeoutProductGetTripartiteProductListResponseData'
  comboList: Maybe<Array<TakeoutProductConvertCombo>>
  productList: Maybe<Array<TakeoutProductConvertProduct>>
}

export type TakeoutProductIngredients = {
  __typename?: 'TakeoutProductIngredients'
  outName: Maybe<Scalars['String']['output']>
  outProductType: Maybe<Scalars['String']['output']>
  subItems: Maybe<Array<TakeoutProductIngredientsSubItems>>
}

export type TakeoutProductIngredientsSubItems = {
  __typename?: 'TakeoutProductIngredientsSubItems'
  autoRefresh: Maybe<Scalars['Int']['output']>
  maxStock: Maybe<Scalars['String']['output']>
  outId: Maybe<Scalars['String']['output']>
  outName: Maybe<Scalars['String']['output']>
  outProductType: Maybe<Scalars['String']['output']>
  price: Maybe<Scalars['String']['output']>
  stock: Maybe<Scalars['String']['output']>
}

export type TakeoutProductInnerCombo = {
  __typename?: 'TakeoutProductInnerCombo'
  comboSuNo: Maybe<Scalars['String']['output']>
  imgs: Maybe<Array<Scalars['String']['output']>>
  matchPrecise: Maybe<Scalars['Boolean']['output']>
  name: Maybe<Scalars['String']['output']>
}

export type TakeoutProductInnerIngredients = {
  __typename?: 'TakeoutProductInnerIngredients'
  additionalItemNo: Maybe<Scalars['String']['output']>
  matchPrecise: Maybe<Scalars['Boolean']['output']>
  name: Maybe<Scalars['String']['output']>
}

export type TakeoutProductInnerSubItem = {
  __typename?: 'TakeoutProductInnerSubItem'
  images: Maybe<Array<Scalars['String']['output']>>
  matchPrecise: Maybe<Scalars['Boolean']['output']>
  name: Maybe<Scalars['String']['output']>
  price: Maybe<Scalars['Float']['output']>
  skuNo: Maybe<Scalars['String']['output']>
  suNo: Maybe<Scalars['String']['output']>
}

export type TakeoutProductMaterial = {
  __typename?: 'TakeoutProductMaterial'
  children: Maybe<Array<TakeoutProductMaterial>>
  id: Maybe<Scalars['Int']['output']>
  leaf: Maybe<Scalars['Int']['output']>
  lev: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  parentId: Maybe<Scalars['Int']['output']>
}

export type TakeoutProductOutsideIngredientsGroupData = {
  __typename?: 'TakeoutProductOutsideIngredientsGroupData'
  outId: Maybe<Scalars['String']['output']>
  outName: Maybe<Scalars['String']['output']>
  outProductType: Maybe<Scalars['String']['output']>
  subItems: Maybe<Array<TakeoutProductOutsideIngredientsProduct>>
}

export type TakeoutProductOutsideIngredientsProduct = {
  __typename?: 'TakeoutProductOutsideIngredientsProduct'
  outId: Maybe<Scalars['String']['output']>
  outName: Maybe<Scalars['String']['output']>
  outProductType: Maybe<Scalars['String']['output']>
  sequence: Maybe<Scalars['Int']['output']>
  subItems: Maybe<Array<TakeoutProductOutsideIngredientsProductScale>>
}

export type TakeoutProductOutsideIngredientsProductScale = {
  __typename?: 'TakeoutProductOutsideIngredientsProductScale'
  autoRefresh: Maybe<Scalars['Int']['output']>
  maxStock: Maybe<Scalars['String']['output']>
  outId: Maybe<Scalars['String']['output']>
  outName: Maybe<Scalars['String']['output']>
  outProductType: Maybe<Scalars['String']['output']>
  price: Maybe<Scalars['String']['output']>
  sequence: Maybe<Scalars['Int']['output']>
  stock: Maybe<Scalars['String']['output']>
}

export type TakeoutProductProductPic = {
  __typename?: 'TakeoutProductProductPic'
  picUrl: Maybe<Scalars['String']['output']>
  sequence: Maybe<Scalars['Int']['output']>
}

export type TakeoutProductQueryRelationProductResponseData = {
  __typename?: 'TakeoutProductQueryRelationProductResponseData'
  bizType: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  channelType: Maybe<Scalars['String']['output']>
  innerBizNo: Maybe<Scalars['String']['output']>
  innerBizParentNo: Maybe<Scalars['String']['output']>
  outerBizNo: Maybe<Scalars['String']['output']>
  outerBizParentNo: Maybe<Scalars['String']['output']>
  outerProductNo: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type TakeoutStoreTakeoutGetStoreBusinessStatusResponseData = {
  __typename?: 'TakeoutStoreTakeoutGetStoreBusinessStatusResponseData'
  brandId: Maybe<Scalars['Int']['output']>
  channelType: Maybe<Scalars['String']['output']>
  endTime: Maybe<Scalars['String']['output']>
  startTime: Maybe<Scalars['String']['output']>
  status: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type TakeoutStoreTakeoutStore = {
  __typename?: 'TakeoutStoreTakeoutStore'
  brandId: Maybe<Scalars['Int']['output']>
  channelType: Maybe<Scalars['String']['output']>
  hasAuth: Maybe<Scalars['Boolean']['output']>
  outStoreId: Maybe<Scalars['String']['output']>
  storeBusinessStatus: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
}

export type TodoCheck = {
  __typename?: 'TodoCheck'
  checkPass: Maybe<Scalars['Boolean']['output']>
  extend: Maybe<TodoExtend>
  name: Maybe<Scalars['String']['output']>
  prevChecks: Maybe<Array<Scalars['Int']['output']>>
  required: Maybe<Scalars['Boolean']['output']>
  rewards: Maybe<Array<TodoReward>>
  steps: Maybe<Array<TodoStep>>
  subType: Maybe<Scalars['Int']['output']>
}

export type TodoExtend = {
  __typename?: 'TodoExtend'
  isCopyEnd: Maybe<Scalars['Boolean']['output']>
}

export type TodoReward = {
  __typename?: 'TodoReward'
  name: Maybe<Scalars['String']['output']>
  number: Maybe<Scalars['Int']['output']>
  provide: Maybe<Scalars['Boolean']['output']>
  rewardNo: Maybe<Scalars['String']['output']>
  storeTryDays: Maybe<Scalars['Int']['output']>
}

export type TodoStep = {
  __typename?: 'TodoStep'
  id: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
}

export type TodoStoreModule = {
  __typename?: 'TodoStoreModule'
  days: Maybe<Scalars['Int']['output']>
  saleModuleKey: Maybe<Scalars['String']['output']>
  saleModuleType: Maybe<Scalars['String']['output']>
}

export type TodoTodoFinishedRspData = {
  __typename?: 'TodoTodoFinishedRspData'
  bizId: Maybe<Scalars['String']['output']>
  brandId: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  storeModule: Maybe<Array<TodoStoreModule>>
}

export type TodoTodoListRspData = {
  __typename?: 'TodoTodoListRspData'
  brandId: Maybe<Scalars['Int']['output']>
  checkList: Maybe<Array<TodoCheck>>
  enable: Maybe<Scalars['Boolean']['output']>
  finished: Maybe<Scalars['Boolean']['output']>
  id: Maybe<Scalars['Int']['output']>
  name: Maybe<Scalars['String']['output']>
  required: Maybe<Scalars['Boolean']['output']>
  storeId: Maybe<Scalars['Int']['output']>
  todoNo: Maybe<Scalars['String']['output']>
  todoType: Maybe<Scalars['Int']['output']>
}

export type UserUserCenterCards = {
  __typename?: 'UserUserCenterCards'
  cards: Maybe<Array<Scalars['String']['output']>>
}

export type UserUserCenterCurrentUserInfo = {
  __typename?: 'UserUserCenterCurrentUserInfo'
  brands: Maybe<Array<UserUserCenterGetCurrentBrandByPhonesAndEmailsData>>
  email: Maybe<Scalars['String']['output']>
  mobile: Maybe<Scalars['String']['output']>
  userId: Maybe<Scalars['String']['output']>
  userName: Maybe<Scalars['String']['output']>
}

export type UserUserCenterGetCurrentBrandByPhonesAndEmailsData = {
  __typename?: 'UserUserCenterGetCurrentBrandByPhonesAndEmailsData'
  brandId: Maybe<Scalars['Int']['output']>
  brandName: Maybe<Scalars['String']['output']>
}

export type UserUserCenterHqCreateUserData = {
  __typename?: 'UserUserCenterHqCreateUserData'
  brandId: Maybe<Scalars['Int']['output']>
  storeIds: Maybe<Array<Scalars['Int']['output']>>
  userId: Maybe<Scalars['String']['output']>
}

export type UserUserCenterHqUserInfo = {
  __typename?: 'UserUserCenterHqUserInfo'
  dataSource: Maybe<Scalars['String']['output']>
  email: Maybe<Scalars['String']['output']>
  employeeId: Maybe<Scalars['String']['output']>
  isSetPwd: Maybe<Scalars['Boolean']['output']>
  phone: Maybe<Scalars['String']['output']>
  roleInfo: Maybe<UserUserCenterUserRoleData>
  storeData: Maybe<UserUserCenterUserStoreData>
  userId: Maybe<Scalars['String']['output']>
  userName: Maybe<Scalars['String']['output']>
}

export type UserUserCenterNewAndOldUsersData = {
  __typename?: 'UserUserCenterNewAndOldUsersData'
  dataSource: Maybe<Scalars['String']['output']>
}

export type UserUserCenterPasscodeData = {
  __typename?: 'UserUserCenterPasscodeData'
  passcode: Maybe<Scalars['String']['output']>
}

export type UserUserCenterStoreData = {
  __typename?: 'UserUserCenterStoreData'
  storeId: Maybe<Scalars['String']['output']>
  storeName: Maybe<Scalars['String']['output']>
}

export type UserUserCenterToken = {
  __typename?: 'UserUserCenterToken'
  accessExpire: Maybe<Scalars['Int']['output']>
  accessToken: Maybe<Scalars['String']['output']>
  dataSource: Maybe<Scalars['String']['output']>
  jPushId: Maybe<Scalars['String']['output']>
  loginTime: Maybe<Scalars['String']['output']>
  mqToken: Maybe<Scalars['String']['output']>
  refreshToken: Maybe<Scalars['String']['output']>
  userId: Maybe<Scalars['String']['output']>
}

export type UserUserCenterUserInfoData = {
  __typename?: 'UserUserCenterUserInfoData'
  email: Maybe<Scalars['String']['output']>
  mobile: Maybe<Scalars['String']['output']>
  userId: Maybe<Scalars['String']['output']>
  userName: Maybe<Scalars['String']['output']>
}

export type UserUserCenterUserRole = {
  __typename?: 'UserUserCenterUserRole'
  roleId: Maybe<Scalars['String']['output']>
  roleName: Maybe<Scalars['String']['output']>
}

export type UserUserCenterUserRoleData = {
  __typename?: 'UserUserCenterUserRoleData'
  data: Maybe<UserUserCenterUserRole>
  total: Maybe<Scalars['Int']['output']>
}

export type UserUserCenterUserStoreData = {
  __typename?: 'UserUserCenterUserStoreData'
  data: Maybe<UserUserCenterStoreData>
  total: Maybe<Scalars['Int']['output']>
}

export type BrandBrandFragment = {
  __typename?: 'BrandBrand'
  brandId: number
  brandName: string
  brandNameAlias: string
  logo: string
  addUser: string
  modifyUser: string
  traceId: string
  status: string
  isDel: boolean
  addTime: string
  sysAddTime: string
  sysModifyTime: string
  modifyTime: string
  storeCnt: number
  dataSource: string
}

export type FindBrandQueryVariables = Exact<{
  input: InputBrandBrandFindRequest
}>

export type FindBrandQuery = {
  __typename?: 'Query'
  FindBrand: Array<{
    __typename?: 'BrandBrand'
    brandId: number
    brandName: string
    brandNameAlias: string
    logo: string
    addUser: string
    modifyUser: string
    traceId: string
    status: string
    isDel: boolean
    addTime: string
    sysAddTime: string
    sysModifyTime: string
    modifyTime: string
    storeCnt: number
    dataSource: string
    migration: string
  }>
}

export type ListBrandsQueryVariables = Exact<{
  input: InputBrandBrandIdRequest
}>

export type ListBrandsQuery = {
  __typename?: 'Query'
  ListBrands: Array<{
    __typename?: 'BrandBrand'
    brandId: number
    brandName: string
    brandNameAlias: string
    logo: string
    addUser: string
    modifyUser: string
    traceId: string
    status: string
    isDel: boolean
    addTime: string
    sysAddTime: string
    sysModifyTime: string
    modifyTime: string
    storeCnt: number
    dataSource: string
  }>
}

export type CreateBrandMutationVariables = Exact<{
  input: InputBrandBrandCreateRequest
}>

export type CreateBrandMutation = {
  __typename?: 'Mutation'
  CreateBrand: {
    __typename?: 'BrandBrand'
    brandId: number
    brandName: string
    brandNameAlias: string
    logo: string
    addUser: string
    modifyUser: string
    traceId: string
    status: string
    isDel: boolean
    addTime: string
    sysAddTime: string
    sysModifyTime: string
    modifyTime: string
    storeCnt: number
    dataSource: string
  }
}

export type UpdateBrandMutationVariables = Exact<{
  input: InputBrandBrandUpdateRequest
}>

export type UpdateBrandMutation = {
  __typename?: 'Mutation'
  UpdateBrand: {
    __typename?: 'BrandBrand'
    brandId: number
    brandName: string
    brandNameAlias: string
    logo: string
    addUser: string
    modifyUser: string
    traceId: string
    status: string
    isDel: boolean
    addTime: string
    sysAddTime: string
    sysModifyTime: string
    modifyTime: string
    storeCnt: number
    dataSource: string
  }
}

export type HqSelectBrandMutationVariables = Exact<{
  input: InputUserUserCenterHqSelectBrandReq
}>

export type HqSelectBrandMutation = {
  __typename?: 'Mutation'
  HQSelectBrand: {
    __typename?: 'UserUserCenterToken'
    accessToken: string
    accessExpire: number
    refreshToken: string
    mqToken: string
  }
}

export type GetUserBrandStoreSelectionQueryVariables = Exact<{
  input: InputRolePermUserCenterGetUserBrandStoreSelectionReq
}>

export type GetUserBrandStoreSelectionQuery = {
  __typename?: 'Query'
  GetUserBrandStoreSelection: {
    __typename?: 'RolePermUserCenterGetUserBrandStoreSelectionData'
    brandId: number
    storeId: number
  }
}

export type SaveDeviceInfoMutationVariables = Exact<{
  input: InputDevicemonitorSaveDeviceInfoReq
}>

export type SaveDeviceInfoMutation = {
  __typename?: 'Mutation'
  SaveDeviceInfo: string
}

export type QueryDeviceInfoQueryVariables = Exact<{
  input: InputDevicemonitorQueryDeviceInfoReq
}>

export type QueryDeviceInfoQuery = {
  __typename?: 'Query'
  QueryDeviceInfo: Array<{
    __typename?: 'DevicemonitorDeviceInfo'
    brandId: number
    storeId: number
    appVersion: string
    appName: string
    osVersion: string
    manufacturer: string
    model: string
    platform: string
    packageName: string
    deviceName: string
    deviceId: string
    addTime: string
    systemAddTime: string
    modifyTime: string
    systemModifyTime: string
  }>
}

export type GetSingleCategoryMessagesQueryVariables = Exact<{
  input: InputNotificationCenterCenterSingleUnreadCategoryRequest
}>

export type GetSingleCategoryMessagesQuery = {
  __typename?: 'Query'
  GetSingleCategoryMessages: {
    __typename?: 'NotificationCenterCenterCategoryMessage'
    totalCount: number
    singleCategory: Array<{
      __typename?: 'NotificationCenterCenterSingleCategory'
      categoryId: string
      categoryName: string
      categoryCount: number
      NotificationList: Array<{
        __typename?: 'NotificationCenterCenterNotificationV2'
        msgType: number
        eventId: string
        templateId: string
        content: string
        code: string
        msgPushMode: number
        title: string
        payload: string
        notificationId: string
        categoryId: string
        isRead: boolean
        SendTime: string
      }>
    }>
  }
}

export type MarkCategoryAsReadQueryVariables = Exact<{
  input: InputNotificationCenterCenterMarkCategoryAsReadRequest
}>

export type MarkCategoryAsReadQuery = {
  __typename?: 'Query'
  MarkCategoryAsRead: string
}

export type GetDiscountTagPageQueryVariables = Exact<{
  input: InputCostRecordGetDiscountTagPageReq
}>

export type GetDiscountTagPageQuery = {
  __typename?: 'Query'
  GetDiscountTagPage: {
    __typename?: 'CostRecordGetDiscountTagPageData'
    total: number
  }
}

export type GetShelfSuCountQueryVariables = Exact<{
  input: InputSaleunitBrandStoreIdReq
}>

export type GetShelfSuCountQuery = {
  __typename?: 'Query'
  GetShelfSuCount: {
    __typename?: 'SaleunitShelfSuCountData'
    shelfSuNum: number
  }
}

export type GetMergedReasonQueryVariables = Exact<{
  GetRefundReasonInput: InputOrderconfigGetRefundReasonRequest
  GetDiscountReasonInput: InputOrderconfigGetDiscountReasonRequest
}>

export type GetMergedReasonQuery = {
  __typename?: 'Query'
  GetRefundReason: {
    __typename?: 'OrderconfigRefundReason'
    isMust: boolean
    items: Array<{
      __typename?: 'OrderconfigRefundReasonRefundReasonItem'
      name: string
    }>
  }
  GetDiscountReason: Array<{
    __typename?: 'OrderconfigGetDiscountReasonResponseItems'
    name: string
  }>
}

export type GetMergedPrinterListQueryVariables = Exact<{
  GetOrderReceiptListInput: InputOrderconfigGetOrderReceiptListReq
  ListKitchenInput: InputKitchenworkstationListKitchenRequest
}>

export type GetMergedPrinterListQuery = {
  __typename?: 'Query'
  GetOrderReceiptList: Array<{
    __typename?: 'OrderconfigOrderReceipt'
    printerId: string
    brandId: number
    storeId: number
    deviceId: string
    name: string
    enableGraphicPrint: boolean
    enableBeep: boolean
    physicalPrinterId: string
    addTime: string
    receiptList: Array<{
      __typename?: 'OrderconfigReceipt'
      receipt: string
      channel: Array<string>
      eatType: Array<string>
      count: number
    }>
    printer: {
      __typename?: 'OrderconfigPrinter'
      id: string
      printNodeId: string
      name: string
      type: string
      paperSize: string
      connectType: string
      address: string
      encoding: string
      errorCode: string
      direction: number
      margin: number
      space: number
      ackLevel: number
    }
  }>
  ListKitchen: {
    __typename?: 'KitchenworkstationListResponsePagination'
    total: number
    list: Array<{
      __typename?: 'KitchenworkstationKitchenResponseData'
      workstationNo: string
      workstationName: string
      storeId: number
      brandId: number
      isDefault: boolean
      suList: Array<{ __typename?: 'KitchenworkstationSu'; suNo: string }>
      printerList: Array<{
        __typename?: 'KitchenworkstationKitchenReceiptPrinterRuleRspData'
        printerId: string
        storeId: number
        brandId: number
        workstationNo: string
        printerName: string
        deviceId: string
        physicalPrinterId: string
        diningStyles: Array<string>
        receiptType: string
        addTime: string
        receipt: {
          __typename?: 'KitchenworkstationReceipt'
          kitchenTicket: {
            __typename?: 'KitchenworkstationKitchenTicket'
            enablePrint: boolean
            count: number
            printingMode: string
            sameMealIsPrintedTogether: boolean
            packagesArePrintedTogether: boolean
          }
          voidItemTicket: {
            __typename?: 'KitchenworkstationVoidItemTicket'
            enablePrint: boolean
            count: number
          }
          changeTableTicket: {
            __typename?: 'KitchenworkstationChangeTableTicket'
            enablePrint: boolean
            count: number
          }
        }
        printer: {
          __typename?: 'KitchenworkstationPrinter'
          id: string
          printNodeId: string
          name: string
          type: string
          paperSize: string
          connectType: string
          address: string
          encoding: string
          errorCode: string
          direction: number
          margin: number
          space: number
          ackLevel: number
        }
      }>
    }>
  }
}

export type GetMergeTakeoutInfoQueryVariables = Exact<{
  GetTakeoutStoreInfoInput: InputTakeoutStoreGetTakeoutStoreInfoRequest
  CountRelationProductInput: InputTakeoutProductCountRelationProductRequest
}>

export type GetMergeTakeoutInfoQuery = {
  __typename?: 'Query'
  GetTakeoutStoreInfo: {
    __typename?: 'TakeoutStoreTakeoutStore'
    brandId: number
    storeId: number
    outStoreId: string
    channelType: string
    storeBusinessStatus: string
    hasAuth: boolean
  }
  CountRelationProduct: {
    __typename?: 'TakeoutProductCountRelationProductResponseData'
    count: number
    isAllAssociated: boolean
  }
}

export type GetStoreStoreModuleQueryVariables = Exact<{
  input: InputOnlinesalesGetStoreStoreModuleRequest
}>

export type GetStoreStoreModuleQuery = {
  __typename?: 'Query'
  GetStoreStoreModule: Array<{
    __typename?: 'OnlinesalesStoreModuleItem'
    saleModuleKey: string
    valid: boolean
  }>
}

export type TodoStepFragment = {
  __typename?: 'TodoStep'
  name: string
  id: number
}

export type TodoRewardFragment = {
  __typename?: 'TodoReward'
  rewardNo: string
  name: string
  storeTryDays: number
  provide: boolean
  number: number
}

export type TodoExtendFragment = {
  __typename?: 'TodoExtend'
  isCopyEnd: boolean
}

export type TodoCheckFragment = {
  __typename?: 'TodoCheck'
  name: string
  checkPass: boolean
  subType: number
  required: boolean
  prevChecks: Array<number>
  steps: Array<{ __typename?: 'TodoStep'; name: string; id: number }>
  rewards: Array<{
    __typename?: 'TodoReward'
    rewardNo: string
    name: string
    storeTryDays: number
    provide: boolean
    number: number
  }>
  extend: { __typename?: 'TodoExtend'; isCopyEnd: boolean }
}

export type TodoTodoListRspDataFragment = {
  __typename?: 'TodoTodoListRspData'
  todoNo: string
  brandId: number
  storeId: number
  name: string
  finished: boolean
  required: boolean
  todoType: number
  enable: boolean
  id: number
  checkList: Array<{
    __typename?: 'TodoCheck'
    name: string
    checkPass: boolean
    subType: number
    required: boolean
    prevChecks: Array<number>
    steps: Array<{ __typename?: 'TodoStep'; name: string; id: number }>
    rewards: Array<{
      __typename?: 'TodoReward'
      rewardNo: string
      name: string
      storeTryDays: number
      provide: boolean
      number: number
    }>
    extend: { __typename?: 'TodoExtend'; isCopyEnd: boolean }
  }>
}

export type TodoStoreModuleFragment = {
  __typename?: 'TodoStoreModule'
  saleModuleKey: string
  saleModuleType: string
  days: number
}

export type TodoTodoFinishedRspDataFragment = {
  __typename?: 'TodoTodoFinishedRspData'
  brandId: number
  storeId: number
  name: string
  bizId: string
  storeModule: Array<{
    __typename?: 'TodoStoreModule'
    saleModuleKey: string
    saleModuleType: string
    days: number
  }>
}

export type TakeoutPrinterTimeConfigReceiptFragment = {
  __typename?: 'TakeoutPrinterTimeConfigReceipt'
  receiptType: string
  printType: string
  makeTime: number
  deliverTime: number
}

export type TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespDataFragment =
  {
    __typename?: 'TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData'
    takeoutPrinterTimeConfigNo: string
    brandId: number
    storeId: number
    receipts: Array<{
      __typename?: 'TakeoutPrinterTimeConfigReceipt'
      receiptType: string
      printType: string
      makeTime: number
      deliverTime: number
    }>
  }

export type StoreTaskStoreTaskListRspDataFragment = {
  __typename?: 'StoreTaskStoreTaskListRspData'
  basicTaskNo: string
  storeTaskNo: string
  brandId: number
  storeId: number
  type: string
  name: string
  desc: string
  sort: number
  status: string
  completeMethod: string
  updatedAt: string
  isCanReverse: boolean
  isCanComplete: boolean
  isCanCancel: boolean
}

export type TodoListQueryVariables = Exact<{
  input: InputTodoTodoListReq
}>

export type TodoListQuery = {
  __typename?: 'Query'
  TodoList: Array<{
    __typename?: 'TodoTodoListRspData'
    todoNo: string
    brandId: number
    storeId: number
    name: string
    finished: boolean
    required: boolean
    todoType: number
    enable: boolean
    id: number
    checkList: Array<{
      __typename?: 'TodoCheck'
      name: string
      checkPass: boolean
      subType: number
      required: boolean
      prevChecks: Array<number>
      steps: Array<{ __typename?: 'TodoStep'; name: string; id: number }>
      rewards: Array<{
        __typename?: 'TodoReward'
        rewardNo: string
        name: string
        storeTryDays: number
        provide: boolean
        number: number
      }>
      extend: { __typename?: 'TodoExtend'; isCopyEnd: boolean }
    }>
  }>
}

export type TodoFinishedMutationVariables = Exact<{
  input: InputTodoTodoFinishedReq
}>

export type TodoFinishedMutation = {
  __typename?: 'Mutation'
  TodoFinished: {
    __typename?: 'TodoTodoFinishedRspData'
    brandId: number
    storeId: number
    name: string
    bizId: string
    storeModule: Array<{
      __typename?: 'TodoStoreModule'
      saleModuleKey: string
      saleModuleType: string
      days: number
    }>
  }
}

export type TodoDeleteQueryVariables = Exact<{
  input: InputTodoTodoDeleteReq
}>

export type TodoDeleteQuery = { __typename?: 'Query'; TodoDelete: string }

export type TodoExtentUpdateQueryVariables = Exact<{
  input: InputTodoTodoExtentUpdateReq
}>

export type TodoExtentUpdateQuery = {
  __typename?: 'Query'
  TodoExtentUpdate: string
}

export type TakeoutPrinterTimeConfigDetailQueryVariables = Exact<{
  input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailReq
}>

export type TakeoutPrinterTimeConfigDetailQuery = {
  __typename?: 'Query'
  TakeoutPrinterTimeConfigDetail: {
    __typename?: 'TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData'
    takeoutPrinterTimeConfigNo: string
    brandId: number
    storeId: number
    receipts: Array<{
      __typename?: 'TakeoutPrinterTimeConfigReceipt'
      receiptType: string
      printType: string
      makeTime: number
      deliverTime: number
    }>
  }
}

export type TakeoutPrinterTimeConfigSaveMutationVariables = Exact<{
  input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigSaveReq
}>

export type TakeoutPrinterTimeConfigSaveMutation = {
  __typename?: 'Mutation'
  TakeoutPrinterTimeConfigSave: string
}

export type TakeoutPrinterTimeConfigCopyMutationVariables = Exact<{
  input: InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigCopyReq
}>

export type TakeoutPrinterTimeConfigCopyMutation = {
  __typename?: 'Mutation'
  TakeoutPrinterTimeConfigCopy: string
}

export type StoreTaskListQueryVariables = Exact<{
  input: InputStoreTaskStoreTaskListReq
}>

export type StoreTaskListQuery = {
  __typename?: 'Query'
  StoreTaskList: Array<{
    __typename?: 'StoreTaskStoreTaskListRspData'
    basicTaskNo: string
    storeTaskNo: string
    brandId: number
    storeId: number
    type: string
    name: string
    desc: string
    sort: number
    status: string
    completeMethod: string
    updatedAt: string
    isCanReverse: boolean
    isCanComplete: boolean
    isCanCancel: boolean
  }>
}

export type StoreTaskCompleteQueryVariables = Exact<{
  input: InputStoreTaskStoreTaskCompleteReq
}>

export type StoreTaskCompleteQuery = {
  __typename?: 'Query'
  StoreTaskComplete: string
}

export type GetColorModeQueryVariables = Exact<{
  input: InputDeviceGetColorModeReq
}>

export type GetColorModeQuery = {
  __typename?: 'Query'
  GetColorMode: {
    __typename?: 'DeviceGetColorModeData'
    brandId: number
    storeId: number
    machineNo: string
    colorMode: string
  }
}

export type GetStoreQueryVariables = Exact<{
  input: InputStoreBusinessGetStoreRequest
}>

export type GetStoreQuery = {
  __typename?: 'Query'
  GetStore: Array<{
    __typename?: 'StoreBusinessStore'
    storeId: number
    brandId: number
    storeName: string
    logo: string
    tel: string
    mobile: string
    state: string
    county: string
    city: string
    address: string
    addressDetail: string
    cityCode: string
    lbsLng: string
    lbsLat: string
    status: string
    remark: string
    storeNumber: string
    isPosAll: boolean
    autoSoldOut: number
    isPlate: boolean
    isPlateRequired: boolean
  }>
}

export type StoreAllQueryVariables = Exact<{
  input: InputStoreBusinessStoreAllRequest
}>

export type StoreAllQuery = {
  __typename?: 'Query'
  StoreAll: {
    __typename?: 'StoreBusinessStoreAll'
    store: {
      __typename?: 'StoreBusinessStore'
      storeId: number
      brandId: number
      storeName: string
      logo: string
      tel: string
      mobile: string
      state: string
      county: string
      city: string
      address: string
      addressDetail: string
      cityCode: string
      lbsLng: string
      lbsLat: string
      status: string
      remark: string
      storeNumber: string
      isPosAll: boolean
      autoSoldOut: number
      isPlate: boolean
      isPlateRequired: boolean
      dataSource: string
    }
    storeBusiness: Array<{
      __typename?: 'StoreBusinessStoreBusiness'
      storeId: number
      configMethod: string
      loopMethod: string
      businessType: string
      id: string
      brandId: number
      isPosAll: boolean
      monday: Array<{
        __typename?: 'StoreBusinessTime'
        startTime: string
        endTime: string
      }>
      tuesday: Array<{
        __typename?: 'StoreBusinessTime'
        startTime: string
        endTime: string
      }>
      wednesday: Array<{
        __typename?: 'StoreBusinessTime'
        startTime: string
        endTime: string
      }>
      thursday: Array<{
        __typename?: 'StoreBusinessTime'
        startTime: string
        endTime: string
      }>
      friday: Array<{
        __typename?: 'StoreBusinessTime'
        startTime: string
        endTime: string
      }>
      saturday: Array<{
        __typename?: 'StoreBusinessTime'
        startTime: string
        endTime: string
      }>
      sunday: Array<{
        __typename?: 'StoreBusinessTime'
        startTime: string
        endTime: string
      }>
    }>
  }
}

export type CreateStoreMutationVariables = Exact<{
  input: InputStoreBusinessCreatStore
}>

export type CreateStoreMutation = {
  __typename?: 'Mutation'
  CreateStore: {
    __typename?: 'StoreBusinessStore'
    storeId: number
    brandId: number
    storeName: string
    logo: string
    tel: string
    mobile: string
    state: string
    county: string
    city: string
    address: string
    addressDetail: string
    cityCode: string
    lbsLng: string
    lbsLat: string
    status: string
    remark: string
    storeNumber: string
    isPosAll: boolean
    autoSoldOut: number
    isPlate: boolean
    isPlateRequired: boolean
  }
}

export type UpdateStoreMutationVariables = Exact<{
  input: InputStoreBusinessStore
}>

export type UpdateStoreMutation = {
  __typename?: 'Mutation'
  UpdateStore: {
    __typename?: 'StoreBusinessStore'
    storeId: number
    brandId: number
    storeName: string
    logo: string
    tel: string
    mobile: string
    state: string
    county: string
    city: string
    address: string
    addressDetail: string
    cityCode: string
    lbsLng: string
    lbsLat: string
    status: string
    remark: string
    storeNumber: string
    isPosAll: boolean
    autoSoldOut: number
    isPlate: boolean
    isPlateRequired: boolean
  }
}

export type DeleteStoreMutationVariables = Exact<{
  input: InputStoreBusinessDeleteStoreRequest
}>

export type DeleteStoreMutation = {
  __typename?: 'Mutation'
  DeleteStore: {
    __typename?: 'StoreBusinessStore'
    storeId: number
    brandId: number
    storeName: string
    logo: string
    tel: string
    mobile: string
    state: string
    county: string
    city: string
    address: string
    addressDetail: string
    cityCode: string
    lbsLng: string
    lbsLat: string
    status: string
    remark: string
    storeNumber: string
    isPosAll: boolean
    autoSoldOut: number
    isPlate: boolean
    isPlateRequired: boolean
  }
}

export type UserBrandStoreSelectionQueryVariables = Exact<{
  input: InputRolePermUserCenterUserBrandStoreSelectionReq
}>

export type UserBrandStoreSelectionQuery = {
  __typename?: 'Query'
  UserBrandStoreSelection: string
}

export type HqUserInfoQueryVariables = Exact<{
  input: InputUserUserCenterHqUserInfoReq
}>

export type HqUserInfoQuery = {
  __typename?: 'Query'
  HqUserInfo: {
    __typename?: 'UserUserCenterHqUserInfo'
    userId: string
    userName: string
    phone: string
    email: string
    dataSource: string
    employeeId: string
    roleInfo: {
      __typename?: 'UserUserCenterUserRoleData'
      total: number
      data: {
        __typename?: 'UserUserCenterUserRole'
        roleId: string
        roleName: string
      }
    }
    storeData: {
      __typename?: 'UserUserCenterUserStoreData'
      total: number
      data: {
        __typename?: 'UserUserCenterStoreData'
        storeName: string
        storeId: string
      }
    }
  }
}

export type CurrentUserPermQueryVariables = Exact<{
  input: InputRolePermUserCenterCurrentUserPermReq
}>

export type CurrentUserPermQuery = {
  __typename?: 'Query'
  CurrentUserPerm: Array<{
    __typename?: 'RolePermUserCenterPerm'
    userId: string
    brandId: number
    roleType: number
    roleName: string
    roleKey: string
    username: string
    storeIds: Array<number>
    rolePermList: Array<{
      __typename?: 'RolePermUserCenterRolePermList'
      id: string
      serverKey: string
      serverType: string
      name: string
      label: string
      url: string
      level: number
      routerVersion: string
      order: number
      parentKey: string
      children: Array<{
        __typename?: 'RolePermUserCenterRolePermList'
        id: string
        serverKey: string
        serverType: string
        name: string
        label: string
        url: string
        level: number
        routerVersion: string
        order: number
        parentKey: string
        children: Array<{
          __typename?: 'RolePermUserCenterRolePermList'
          id: string
          serverKey: string
          serverType: string
          name: string
          label: string
          url: string
          level: number
          routerVersion: string
          order: number
          parentKey: string
        }>
      }>
    }>
  }>
}

export type SaveUserIdAndJPushIdMutationVariables = Exact<{
  input: InputUserUserCenterSaveUserIdAndJPushIdReq
}>

export type SaveUserIdAndJPushIdMutation = {
  __typename?: 'Mutation'
  SaveUserIdAndJPushId: string
}

export type CurrentUserHomeCardMutationVariables = Exact<{
  input: InputUserUserCenterCurrentUserHomeCardReq
}>

export type CurrentUserHomeCardMutation = {
  __typename?: 'Mutation'
  CurrentUserHomeCard: string
}

export type GetCurrentUserHomeCardQueryVariables = Exact<{
  input: InputUserUserCenterGetCurrentUserHomeCardReq
}>

export type GetCurrentUserHomeCardQuery = {
  __typename?: 'Query'
  GetCurrentUserHomeCard: {
    __typename?: 'UserUserCenterCards'
    cards: Array<string>
  }
}

export const BrandBrandFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'BrandBrand' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'BrandBrand' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandName' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandNameAlias' } },
          { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'addUser' } },
          { kind: 'Field', name: { kind: 'Name', value: 'modifyUser' } },
          { kind: 'Field', name: { kind: 'Name', value: 'traceId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'status' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isDel' } },
          { kind: 'Field', name: { kind: 'Name', value: 'addTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sysAddTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sysModifyTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'modifyTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeCnt' } },
          { kind: 'Field', name: { kind: 'Name', value: 'dataSource' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<BrandBrandFragment, unknown>
export const TodoStepFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoStep' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoStep' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'id' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoStepFragment, unknown>
export const TodoRewardFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoReward' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoReward' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'rewardNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeTryDays' } },
          { kind: 'Field', name: { kind: 'Name', value: 'provide' } },
          { kind: 'Field', name: { kind: 'Name', value: 'number' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoRewardFragment, unknown>
export const TodoExtendFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoExtend' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoExtend' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'isCopyEnd' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoExtendFragment, unknown>
export const TodoCheckFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoCheck' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoCheck' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'checkPass' } },
          { kind: 'Field', name: { kind: 'Name', value: 'subType' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'steps' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoStep' },
                },
              ],
            },
          },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'rewards' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoReward' },
                },
              ],
            },
          },
          { kind: 'Field', name: { kind: 'Name', value: 'required' } },
          { kind: 'Field', name: { kind: 'Name', value: 'prevChecks' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'extend' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoExtend' },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoStep' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoStep' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'id' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoReward' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoReward' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'rewardNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeTryDays' } },
          { kind: 'Field', name: { kind: 'Name', value: 'provide' } },
          { kind: 'Field', name: { kind: 'Name', value: 'number' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoExtend' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoExtend' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'isCopyEnd' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoCheckFragment, unknown>
export const TodoTodoListRspDataFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoTodoListRspData' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoTodoListRspData' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'todoNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'finished' } },
          { kind: 'Field', name: { kind: 'Name', value: 'required' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'checkList' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoCheck' },
                },
              ],
            },
          },
          { kind: 'Field', name: { kind: 'Name', value: 'todoType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'enable' } },
          { kind: 'Field', name: { kind: 'Name', value: 'id' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoStep' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoStep' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'id' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoReward' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoReward' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'rewardNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeTryDays' } },
          { kind: 'Field', name: { kind: 'Name', value: 'provide' } },
          { kind: 'Field', name: { kind: 'Name', value: 'number' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoExtend' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoExtend' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'isCopyEnd' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoCheck' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoCheck' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'checkPass' } },
          { kind: 'Field', name: { kind: 'Name', value: 'subType' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'steps' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoStep' },
                },
              ],
            },
          },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'rewards' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoReward' },
                },
              ],
            },
          },
          { kind: 'Field', name: { kind: 'Name', value: 'required' } },
          { kind: 'Field', name: { kind: 'Name', value: 'prevChecks' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'extend' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoExtend' },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoTodoListRspDataFragment, unknown>
export const TodoStoreModuleFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoStoreModule' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoStoreModule' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'saleModuleKey' } },
          { kind: 'Field', name: { kind: 'Name', value: 'saleModuleType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'days' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoStoreModuleFragment, unknown>
export const TodoTodoFinishedRspDataFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoTodoFinishedRspData' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoTodoFinishedRspData' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'storeModule' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoStoreModule' },
                },
              ],
            },
          },
          { kind: 'Field', name: { kind: 'Name', value: 'bizId' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoStoreModule' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoStoreModule' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'saleModuleKey' } },
          { kind: 'Field', name: { kind: 'Name', value: 'saleModuleType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'days' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoTodoFinishedRspDataFragment, unknown>
export const TakeoutPrinterTimeConfigReceiptFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigReceipt' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigReceipt' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'receiptType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'printType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'makeTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'deliverTime' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TakeoutPrinterTimeConfigReceiptFragment, unknown>
export const TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespDataFragmentDoc =
  {
    kind: 'Document',
    definitions: [
      {
        kind: 'FragmentDefinition',
        name: {
          kind: 'Name',
          value:
            'TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData',
        },
        typeCondition: {
          kind: 'NamedType',
          name: {
            kind: 'Name',
            value:
              'TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData',
          },
        },
        selectionSet: {
          kind: 'SelectionSet',
          selections: [
            {
              kind: 'Field',
              name: { kind: 'Name', value: 'takeoutPrinterTimeConfigNo' },
            },
            { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
            { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
            {
              kind: 'Field',
              name: { kind: 'Name', value: 'receipts' },
              selectionSet: {
                kind: 'SelectionSet',
                selections: [
                  {
                    kind: 'FragmentSpread',
                    name: {
                      kind: 'Name',
                      value: 'TakeoutPrinterTimeConfigReceipt',
                    },
                  },
                ],
              },
            },
          ],
        },
      },
      {
        kind: 'FragmentDefinition',
        name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigReceipt' },
        typeCondition: {
          kind: 'NamedType',
          name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigReceipt' },
        },
        selectionSet: {
          kind: 'SelectionSet',
          selections: [
            { kind: 'Field', name: { kind: 'Name', value: 'receiptType' } },
            { kind: 'Field', name: { kind: 'Name', value: 'printType' } },
            { kind: 'Field', name: { kind: 'Name', value: 'makeTime' } },
            { kind: 'Field', name: { kind: 'Name', value: 'deliverTime' } },
          ],
        },
      },
    ],
  } as unknown as DocumentNode<
    TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespDataFragment,
    unknown
  >
export const StoreTaskStoreTaskListRspDataFragmentDoc = {
  kind: 'Document',
  definitions: [
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'StoreTaskStoreTaskListRspData' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'StoreTaskStoreTaskListRspData' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'basicTaskNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeTaskNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'type' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'desc' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sort' } },
          { kind: 'Field', name: { kind: 'Name', value: 'status' } },
          { kind: 'Field', name: { kind: 'Name', value: 'completeMethod' } },
          { kind: 'Field', name: { kind: 'Name', value: 'updatedAt' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isCanReverse' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isCanComplete' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isCanCancel' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<StoreTaskStoreTaskListRspDataFragment, unknown>
export const FindBrandDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'FindBrand' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputBrandBrandFindRequest' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'FindBrand' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'brandName' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'brandNameAlias' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
                { kind: 'Field', name: { kind: 'Name', value: 'addUser' } },
                { kind: 'Field', name: { kind: 'Name', value: 'modifyUser' } },
                { kind: 'Field', name: { kind: 'Name', value: 'traceId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'status' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isDel' } },
                { kind: 'Field', name: { kind: 'Name', value: 'addTime' } },
                { kind: 'Field', name: { kind: 'Name', value: 'sysAddTime' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'sysModifyTime' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'modifyTime' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeCnt' } },
                { kind: 'Field', name: { kind: 'Name', value: 'dataSource' } },
                { kind: 'Field', name: { kind: 'Name', value: 'migration' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<FindBrandQuery, FindBrandQueryVariables>
export const ListBrandsDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'ListBrands' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputBrandBrandIdRequest' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'ListBrands' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'BrandBrand' },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'BrandBrand' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'BrandBrand' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandName' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandNameAlias' } },
          { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'addUser' } },
          { kind: 'Field', name: { kind: 'Name', value: 'modifyUser' } },
          { kind: 'Field', name: { kind: 'Name', value: 'traceId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'status' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isDel' } },
          { kind: 'Field', name: { kind: 'Name', value: 'addTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sysAddTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sysModifyTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'modifyTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeCnt' } },
          { kind: 'Field', name: { kind: 'Name', value: 'dataSource' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<ListBrandsQuery, ListBrandsQueryVariables>
export const CreateBrandDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'CreateBrand' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputBrandBrandCreateRequest' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'CreateBrand' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'BrandBrand' },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'BrandBrand' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'BrandBrand' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandName' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandNameAlias' } },
          { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'addUser' } },
          { kind: 'Field', name: { kind: 'Name', value: 'modifyUser' } },
          { kind: 'Field', name: { kind: 'Name', value: 'traceId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'status' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isDel' } },
          { kind: 'Field', name: { kind: 'Name', value: 'addTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sysAddTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sysModifyTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'modifyTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeCnt' } },
          { kind: 'Field', name: { kind: 'Name', value: 'dataSource' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<CreateBrandMutation, CreateBrandMutationVariables>
export const UpdateBrandDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'UpdateBrand' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputBrandBrandUpdateRequest' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'UpdateBrand' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'BrandBrand' },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'BrandBrand' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'BrandBrand' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandName' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandNameAlias' } },
          { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'addUser' } },
          { kind: 'Field', name: { kind: 'Name', value: 'modifyUser' } },
          { kind: 'Field', name: { kind: 'Name', value: 'traceId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'status' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isDel' } },
          { kind: 'Field', name: { kind: 'Name', value: 'addTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sysAddTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sysModifyTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'modifyTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeCnt' } },
          { kind: 'Field', name: { kind: 'Name', value: 'dataSource' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<UpdateBrandMutation, UpdateBrandMutationVariables>
export const HqSelectBrandDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'HQSelectBrand' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputUserUserCenterHQSelectBrandReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'HQSelectBrand' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'accessToken' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'accessExpire' },
                },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'refreshToken' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'mqToken' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  HqSelectBrandMutation,
  HqSelectBrandMutationVariables
>
export const GetUserBrandStoreSelectionDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetUserBrandStoreSelection' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputRolePermUserCenterGetUserBrandStoreSelectionReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetUserBrandStoreSelection' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetUserBrandStoreSelectionQuery,
  GetUserBrandStoreSelectionQueryVariables
>
export const SaveDeviceInfoDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'SaveDeviceInfo' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputDevicemonitorSaveDeviceInfoReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'SaveDeviceInfo' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  SaveDeviceInfoMutation,
  SaveDeviceInfoMutationVariables
>
export const QueryDeviceInfoDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'QueryDeviceInfo' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputDevicemonitorQueryDeviceInfoReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'QueryDeviceInfo' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'appVersion' } },
                { kind: 'Field', name: { kind: 'Name', value: 'appName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'osVersion' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'manufacturer' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'model' } },
                { kind: 'Field', name: { kind: 'Name', value: 'platform' } },
                { kind: 'Field', name: { kind: 'Name', value: 'packageName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'deviceName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'deviceId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'addTime' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'systemAddTime' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'modifyTime' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'systemModifyTime' },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  QueryDeviceInfoQuery,
  QueryDeviceInfoQueryVariables
>
export const GetSingleCategoryMessagesDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetSingleCategoryMessages' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value:
                  'InputNotificationCenterCenterSingleUnreadCategoryRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetSingleCategoryMessages' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'singleCategory' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'categoryId' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'categoryName' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'categoryCount' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'NotificationList' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'msgType' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'eventId' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'templateId' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'content' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'code' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'msgPushMode' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'title' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'payload' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'notificationId' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'categoryId' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'isRead' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'SendTime' },
                            },
                          ],
                        },
                      },
                    ],
                  },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'totalCount' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetSingleCategoryMessagesQuery,
  GetSingleCategoryMessagesQueryVariables
>
export const MarkCategoryAsReadDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'MarkCategoryAsRead' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputNotificationCenterCenterMarkCategoryAsReadRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'MarkCategoryAsRead' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  MarkCategoryAsReadQuery,
  MarkCategoryAsReadQueryVariables
>
export const GetDiscountTagPageDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetDiscountTagPage' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputCostRecordGetDiscountTagPageReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetDiscountTagPage' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'total' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetDiscountTagPageQuery,
  GetDiscountTagPageQueryVariables
>
export const GetShelfSuCountDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetShelfSuCount' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputSaleunitBrandStoreIdReq' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetShelfSuCount' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'shelfSuNum' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetShelfSuCountQuery,
  GetShelfSuCountQueryVariables
>
export const GetMergedReasonDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetMergedReason' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'GetRefundReasonInput' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputOrderconfigGetRefundReasonRequest',
              },
            },
          },
        },
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'GetDiscountReasonInput' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputOrderconfigGetDiscountReasonRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetRefundReason' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'GetRefundReasonInput' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'isMust' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'items' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      { kind: 'Field', name: { kind: 'Name', value: 'name' } },
                    ],
                  },
                },
              ],
            },
          },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetDiscountReason' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'GetDiscountReasonInput' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'name' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetMergedReasonQuery,
  GetMergedReasonQueryVariables
>
export const GetMergedPrinterListDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetMergedPrinterList' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'GetOrderReceiptListInput' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputOrderconfigGetOrderReceiptListReq',
              },
            },
          },
        },
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'ListKitchenInput' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputKitchenworkstationListKitchenRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetOrderReceiptList' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'GetOrderReceiptListInput' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'printerId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'deviceId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'name' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'enableGraphicPrint' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'enableBeep' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'receiptList' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'receipt' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'channel' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'eatType' },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'count' } },
                    ],
                  },
                },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'physicalPrinterId' },
                },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'printer' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      { kind: 'Field', name: { kind: 'Name', value: 'id' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'printNodeId' },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'name' } },
                      { kind: 'Field', name: { kind: 'Name', value: 'type' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'paperSize' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'connectType' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'address' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'encoding' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'errorCode' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'direction' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'margin' },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'space' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'ackLevel' },
                      },
                    ],
                  },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'addTime' } },
              ],
            },
          },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'ListKitchen' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'ListKitchenInput' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'total' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'list' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'workstationNo' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'workstationName' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'storeId' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'brandId' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'suList' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'suNo' },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'printerList' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'printerId' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'storeId' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'brandId' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'workstationNo' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'printerName' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'deviceId' },
                            },
                            {
                              kind: 'Field',
                              name: {
                                kind: 'Name',
                                value: 'physicalPrinterId',
                              },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'diningStyles' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'receipt' },
                              selectionSet: {
                                kind: 'SelectionSet',
                                selections: [
                                  {
                                    kind: 'Field',
                                    name: {
                                      kind: 'Name',
                                      value: 'kitchenTicket',
                                    },
                                    selectionSet: {
                                      kind: 'SelectionSet',
                                      selections: [
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'enablePrint',
                                          },
                                        },
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'count',
                                          },
                                        },
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'printingMode',
                                          },
                                        },
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'sameMealIsPrintedTogether',
                                          },
                                        },
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'packagesArePrintedTogether',
                                          },
                                        },
                                      ],
                                    },
                                  },
                                  {
                                    kind: 'Field',
                                    name: {
                                      kind: 'Name',
                                      value: 'voidItemTicket',
                                    },
                                    selectionSet: {
                                      kind: 'SelectionSet',
                                      selections: [
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'enablePrint',
                                          },
                                        },
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'count',
                                          },
                                        },
                                      ],
                                    },
                                  },
                                  {
                                    kind: 'Field',
                                    name: {
                                      kind: 'Name',
                                      value: 'changeTableTicket',
                                    },
                                    selectionSet: {
                                      kind: 'SelectionSet',
                                      selections: [
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'enablePrint',
                                          },
                                        },
                                        {
                                          kind: 'Field',
                                          name: {
                                            kind: 'Name',
                                            value: 'count',
                                          },
                                        },
                                      ],
                                    },
                                  },
                                ],
                              },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'receiptType' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'addTime' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'printer' },
                              selectionSet: {
                                kind: 'SelectionSet',
                                selections: [
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'id' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: {
                                      kind: 'Name',
                                      value: 'printNodeId',
                                    },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'name' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'type' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'paperSize' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: {
                                      kind: 'Name',
                                      value: 'connectType',
                                    },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'address' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'encoding' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'errorCode' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'direction' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'margin' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'space' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'ackLevel' },
                                  },
                                ],
                              },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'isDefault' },
                      },
                    ],
                  },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetMergedPrinterListQuery,
  GetMergedPrinterListQueryVariables
>
export const GetMergeTakeoutInfoDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetMergeTakeoutInfo' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'GetTakeoutStoreInfoInput' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputTakeoutStoreGetTakeoutStoreInfoRequest',
              },
            },
          },
        },
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'CountRelationProductInput' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputTakeoutProductCountRelationProductRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetTakeoutStoreInfo' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'GetTakeoutStoreInfoInput' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'outStoreId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'channelType' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'storeBusinessStatus' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'hasAuth' } },
              ],
            },
          },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'CountRelationProduct' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'CountRelationProductInput' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'count' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'isAllAssociated' },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetMergeTakeoutInfoQuery,
  GetMergeTakeoutInfoQueryVariables
>
export const GetStoreStoreModuleDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetStoreStoreModule' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputOnlinesalesGetStoreStoreModuleRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetStoreStoreModule' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'saleModuleKey' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'valid' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetStoreStoreModuleQuery,
  GetStoreStoreModuleQueryVariables
>
export const TodoListDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'TodoList' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputTodoTodoListReq' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'TodoList' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoTodoListRspData' },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoStep' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoStep' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'id' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoReward' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoReward' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'rewardNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeTryDays' } },
          { kind: 'Field', name: { kind: 'Name', value: 'provide' } },
          { kind: 'Field', name: { kind: 'Name', value: 'number' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoExtend' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoExtend' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'isCopyEnd' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoCheck' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoCheck' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'checkPass' } },
          { kind: 'Field', name: { kind: 'Name', value: 'subType' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'steps' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoStep' },
                },
              ],
            },
          },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'rewards' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoReward' },
                },
              ],
            },
          },
          { kind: 'Field', name: { kind: 'Name', value: 'required' } },
          { kind: 'Field', name: { kind: 'Name', value: 'prevChecks' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'extend' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoExtend' },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoTodoListRspData' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoTodoListRspData' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'todoNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'finished' } },
          { kind: 'Field', name: { kind: 'Name', value: 'required' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'checkList' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoCheck' },
                },
              ],
            },
          },
          { kind: 'Field', name: { kind: 'Name', value: 'todoType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'enable' } },
          { kind: 'Field', name: { kind: 'Name', value: 'id' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoListQuery, TodoListQueryVariables>
export const TodoFinishedDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'TodoFinished' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputTodoTodoFinishedReq' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'TodoFinished' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoTodoFinishedRspData' },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoStoreModule' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoStoreModule' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'saleModuleKey' } },
          { kind: 'Field', name: { kind: 'Name', value: 'saleModuleType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'days' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TodoTodoFinishedRspData' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TodoTodoFinishedRspData' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'storeModule' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: { kind: 'Name', value: 'TodoStoreModule' },
                },
              ],
            },
          },
          { kind: 'Field', name: { kind: 'Name', value: 'bizId' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  TodoFinishedMutation,
  TodoFinishedMutationVariables
>
export const TodoDeleteDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'TodoDelete' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputTodoTodoDeleteReq' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'TodoDelete' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<TodoDeleteQuery, TodoDeleteQueryVariables>
export const TodoExtentUpdateDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'TodoExtentUpdate' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputTodoTodoExtentUpdateReq' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'TodoExtentUpdate' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  TodoExtentUpdateQuery,
  TodoExtentUpdateQueryVariables
>
export const TakeoutPrinterTimeConfigDetailDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigDetail' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value:
                  'InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigDetail' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: {
                    kind: 'Name',
                    value:
                      'TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData',
                  },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigReceipt' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigReceipt' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'receiptType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'printType' } },
          { kind: 'Field', name: { kind: 'Name', value: 'makeTime' } },
          { kind: 'Field', name: { kind: 'Name', value: 'deliverTime' } },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: {
        kind: 'Name',
        value: 'TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData',
      },
      typeCondition: {
        kind: 'NamedType',
        name: {
          kind: 'Name',
          value:
            'TakeoutPrinterTimeConfigTakeoutPrinterTimeConfigDetailRespData',
        },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'takeoutPrinterTimeConfigNo' },
          },
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'receipts' },
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: {
                    kind: 'Name',
                    value: 'TakeoutPrinterTimeConfigReceipt',
                  },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  TakeoutPrinterTimeConfigDetailQuery,
  TakeoutPrinterTimeConfigDetailQueryVariables
>
export const TakeoutPrinterTimeConfigSaveDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigSave' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value:
                  'InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigSaveReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigSave' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  TakeoutPrinterTimeConfigSaveMutation,
  TakeoutPrinterTimeConfigSaveMutationVariables
>
export const TakeoutPrinterTimeConfigCopyDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigCopy' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value:
                  'InputTakeoutPrinterTimeConfigTakeoutPrinterTimeConfigCopyReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'TakeoutPrinterTimeConfigCopy' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  TakeoutPrinterTimeConfigCopyMutation,
  TakeoutPrinterTimeConfigCopyMutationVariables
>
export const StoreTaskListDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'StoreTaskList' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputStoreTaskStoreTaskListReq' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'StoreTaskList' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'FragmentSpread',
                  name: {
                    kind: 'Name',
                    value: 'StoreTaskStoreTaskListRspData',
                  },
                },
              ],
            },
          },
        ],
      },
    },
    {
      kind: 'FragmentDefinition',
      name: { kind: 'Name', value: 'StoreTaskStoreTaskListRspData' },
      typeCondition: {
        kind: 'NamedType',
        name: { kind: 'Name', value: 'StoreTaskStoreTaskListRspData' },
      },
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          { kind: 'Field', name: { kind: 'Name', value: 'basicTaskNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeTaskNo' } },
          { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
          { kind: 'Field', name: { kind: 'Name', value: 'type' } },
          { kind: 'Field', name: { kind: 'Name', value: 'name' } },
          { kind: 'Field', name: { kind: 'Name', value: 'desc' } },
          { kind: 'Field', name: { kind: 'Name', value: 'sort' } },
          { kind: 'Field', name: { kind: 'Name', value: 'status' } },
          { kind: 'Field', name: { kind: 'Name', value: 'completeMethod' } },
          { kind: 'Field', name: { kind: 'Name', value: 'updatedAt' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isCanReverse' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isCanComplete' } },
          { kind: 'Field', name: { kind: 'Name', value: 'isCanCancel' } },
        ],
      },
    },
  ],
} as unknown as DocumentNode<StoreTaskListQuery, StoreTaskListQueryVariables>
export const StoreTaskCompleteDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'StoreTaskComplete' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputStoreTaskStoreTaskCompleteReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'StoreTaskComplete' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  StoreTaskCompleteQuery,
  StoreTaskCompleteQueryVariables
>
export const GetColorModeDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetColorMode' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputDeviceGetColorModeReq' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetColorMode' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'machineNo' } },
                { kind: 'Field', name: { kind: 'Name', value: 'colorMode' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<GetColorModeQuery, GetColorModeQueryVariables>
export const GetStoreDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetStore' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputStoreBusinessGetStoreRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetStore' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
                { kind: 'Field', name: { kind: 'Name', value: 'tel' } },
                { kind: 'Field', name: { kind: 'Name', value: 'mobile' } },
                { kind: 'Field', name: { kind: 'Name', value: 'state' } },
                { kind: 'Field', name: { kind: 'Name', value: 'county' } },
                { kind: 'Field', name: { kind: 'Name', value: 'city' } },
                { kind: 'Field', name: { kind: 'Name', value: 'address' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'addressDetail' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'cityCode' } },
                { kind: 'Field', name: { kind: 'Name', value: 'lbsLng' } },
                { kind: 'Field', name: { kind: 'Name', value: 'lbsLat' } },
                { kind: 'Field', name: { kind: 'Name', value: 'status' } },
                { kind: 'Field', name: { kind: 'Name', value: 'remark' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeNumber' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isPosAll' } },
                { kind: 'Field', name: { kind: 'Name', value: 'autoSoldOut' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isPlate' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'isPlateRequired' },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<GetStoreQuery, GetStoreQueryVariables>
export const StoreAllDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'StoreAll' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputStoreBusinessStoreAllRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'StoreAll' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'store' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'storeId' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'brandId' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'storeName' },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
                      { kind: 'Field', name: { kind: 'Name', value: 'tel' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'mobile' },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'state' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'county' },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'city' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'address' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'addressDetail' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'cityCode' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'lbsLng' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'lbsLat' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'status' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'remark' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'storeNumber' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'isPosAll' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'autoSoldOut' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'isPlate' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'isPlateRequired' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'dataSource' },
                      },
                    ],
                  },
                },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'storeBusiness' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'storeId' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'configMethod' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'loopMethod' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'businessType' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'monday' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'startTime' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'endTime' },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'tuesday' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'startTime' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'endTime' },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'wednesday' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'startTime' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'endTime' },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'thursday' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'startTime' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'endTime' },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'friday' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'startTime' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'endTime' },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'saturday' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'startTime' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'endTime' },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'sunday' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'startTime' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'endTime' },
                            },
                          ],
                        },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'id' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'brandId' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'isPosAll' },
                      },
                    ],
                  },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<StoreAllQuery, StoreAllQueryVariables>
export const CreateStoreDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'CreateStore' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputStoreBusinessCreatStore' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'CreateStore' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
                { kind: 'Field', name: { kind: 'Name', value: 'tel' } },
                { kind: 'Field', name: { kind: 'Name', value: 'mobile' } },
                { kind: 'Field', name: { kind: 'Name', value: 'state' } },
                { kind: 'Field', name: { kind: 'Name', value: 'county' } },
                { kind: 'Field', name: { kind: 'Name', value: 'city' } },
                { kind: 'Field', name: { kind: 'Name', value: 'address' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'addressDetail' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'cityCode' } },
                { kind: 'Field', name: { kind: 'Name', value: 'lbsLng' } },
                { kind: 'Field', name: { kind: 'Name', value: 'lbsLat' } },
                { kind: 'Field', name: { kind: 'Name', value: 'status' } },
                { kind: 'Field', name: { kind: 'Name', value: 'remark' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeNumber' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isPosAll' } },
                { kind: 'Field', name: { kind: 'Name', value: 'autoSoldOut' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isPlate' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'isPlateRequired' },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<CreateStoreMutation, CreateStoreMutationVariables>
export const UpdateStoreDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'UpdateStore' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputStoreBusinessStore' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'UpdateStore' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
                { kind: 'Field', name: { kind: 'Name', value: 'tel' } },
                { kind: 'Field', name: { kind: 'Name', value: 'mobile' } },
                { kind: 'Field', name: { kind: 'Name', value: 'state' } },
                { kind: 'Field', name: { kind: 'Name', value: 'county' } },
                { kind: 'Field', name: { kind: 'Name', value: 'city' } },
                { kind: 'Field', name: { kind: 'Name', value: 'address' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'addressDetail' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'cityCode' } },
                { kind: 'Field', name: { kind: 'Name', value: 'lbsLng' } },
                { kind: 'Field', name: { kind: 'Name', value: 'lbsLat' } },
                { kind: 'Field', name: { kind: 'Name', value: 'status' } },
                { kind: 'Field', name: { kind: 'Name', value: 'remark' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeNumber' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isPosAll' } },
                { kind: 'Field', name: { kind: 'Name', value: 'autoSoldOut' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isPlate' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'isPlateRequired' },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<UpdateStoreMutation, UpdateStoreMutationVariables>
export const DeleteStoreDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'DeleteStore' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputStoreBusinessDeleteStoreRequest',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'DeleteStore' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'storeId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'logo' } },
                { kind: 'Field', name: { kind: 'Name', value: 'tel' } },
                { kind: 'Field', name: { kind: 'Name', value: 'mobile' } },
                { kind: 'Field', name: { kind: 'Name', value: 'state' } },
                { kind: 'Field', name: { kind: 'Name', value: 'county' } },
                { kind: 'Field', name: { kind: 'Name', value: 'city' } },
                { kind: 'Field', name: { kind: 'Name', value: 'address' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'addressDetail' },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'cityCode' } },
                { kind: 'Field', name: { kind: 'Name', value: 'lbsLng' } },
                { kind: 'Field', name: { kind: 'Name', value: 'lbsLat' } },
                { kind: 'Field', name: { kind: 'Name', value: 'status' } },
                { kind: 'Field', name: { kind: 'Name', value: 'remark' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeNumber' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isPosAll' } },
                { kind: 'Field', name: { kind: 'Name', value: 'autoSoldOut' } },
                { kind: 'Field', name: { kind: 'Name', value: 'isPlate' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'isPlateRequired' },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<DeleteStoreMutation, DeleteStoreMutationVariables>
export const UserBrandStoreSelectionDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'UserBrandStoreSelection' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputRolePermUserCenterUserBrandStoreSelectionReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'UserBrandStoreSelection' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  UserBrandStoreSelectionQuery,
  UserBrandStoreSelectionQueryVariables
>
export const HqUserInfoDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'HqUserInfo' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: { kind: 'Name', value: 'InputUserUserCenterHqUserInfoReq' },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'HqUserInfo' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'userId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'userName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'phone' } },
                { kind: 'Field', name: { kind: 'Name', value: 'email' } },
                { kind: 'Field', name: { kind: 'Name', value: 'dataSource' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'roleInfo' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      { kind: 'Field', name: { kind: 'Name', value: 'total' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'data' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'roleId' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'roleName' },
                            },
                          ],
                        },
                      },
                    ],
                  },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'employeeId' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'storeData' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      { kind: 'Field', name: { kind: 'Name', value: 'total' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'data' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'storeName' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'storeId' },
                            },
                          ],
                        },
                      },
                    ],
                  },
                },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<HqUserInfoQuery, HqUserInfoQueryVariables>
export const CurrentUserPermDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'CurrentUserPerm' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputRolePermUserCenterCurrentUserPermReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'CurrentUserPerm' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'userId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'brandId' } },
                { kind: 'Field', name: { kind: 'Name', value: 'roleType' } },
                { kind: 'Field', name: { kind: 'Name', value: 'roleName' } },
                { kind: 'Field', name: { kind: 'Name', value: 'roleKey' } },
                {
                  kind: 'Field',
                  name: { kind: 'Name', value: 'rolePermList' },
                  selectionSet: {
                    kind: 'SelectionSet',
                    selections: [
                      { kind: 'Field', name: { kind: 'Name', value: 'id' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'serverKey' },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'serverType' },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'name' } },
                      { kind: 'Field', name: { kind: 'Name', value: 'label' } },
                      { kind: 'Field', name: { kind: 'Name', value: 'url' } },
                      { kind: 'Field', name: { kind: 'Name', value: 'level' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'routerVersion' },
                      },
                      { kind: 'Field', name: { kind: 'Name', value: 'order' } },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'children' },
                        selectionSet: {
                          kind: 'SelectionSet',
                          selections: [
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'id' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'serverKey' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'serverType' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'name' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'label' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'url' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'level' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'routerVersion' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'order' },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'children' },
                              selectionSet: {
                                kind: 'SelectionSet',
                                selections: [
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'id' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'serverKey' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'serverType' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'name' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'label' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'url' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'level' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: {
                                      kind: 'Name',
                                      value: 'routerVersion',
                                    },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'order' },
                                  },
                                  {
                                    kind: 'Field',
                                    name: { kind: 'Name', value: 'parentKey' },
                                  },
                                ],
                              },
                            },
                            {
                              kind: 'Field',
                              name: { kind: 'Name', value: 'parentKey' },
                            },
                          ],
                        },
                      },
                      {
                        kind: 'Field',
                        name: { kind: 'Name', value: 'parentKey' },
                      },
                    ],
                  },
                },
                { kind: 'Field', name: { kind: 'Name', value: 'username' } },
                { kind: 'Field', name: { kind: 'Name', value: 'storeIds' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  CurrentUserPermQuery,
  CurrentUserPermQueryVariables
>
export const SaveUserIdAndJPushIdDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'SaveUserIdAndJPushId' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputUserUserCenterSaveUserIdAndJPushIdReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'SaveUserIdAndJPushId' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  SaveUserIdAndJPushIdMutation,
  SaveUserIdAndJPushIdMutationVariables
>
export const CurrentUserHomeCardDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'mutation',
      name: { kind: 'Name', value: 'CurrentUserHomeCard' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputUserUserCenterCurrentUserHomeCardReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'CurrentUserHomeCard' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  CurrentUserHomeCardMutation,
  CurrentUserHomeCardMutationVariables
>
export const GetCurrentUserHomeCardDocument = {
  kind: 'Document',
  definitions: [
    {
      kind: 'OperationDefinition',
      operation: 'query',
      name: { kind: 'Name', value: 'GetCurrentUserHomeCard' },
      variableDefinitions: [
        {
          kind: 'VariableDefinition',
          variable: {
            kind: 'Variable',
            name: { kind: 'Name', value: 'input' },
          },
          type: {
            kind: 'NonNullType',
            type: {
              kind: 'NamedType',
              name: {
                kind: 'Name',
                value: 'InputUserUserCenterGetCurrentUserHomeCardReq',
              },
            },
          },
        },
      ],
      selectionSet: {
        kind: 'SelectionSet',
        selections: [
          {
            kind: 'Field',
            name: { kind: 'Name', value: 'GetCurrentUserHomeCard' },
            arguments: [
              {
                kind: 'Argument',
                name: { kind: 'Name', value: 'input' },
                value: {
                  kind: 'Variable',
                  name: { kind: 'Name', value: 'input' },
                },
              },
            ],
            selectionSet: {
              kind: 'SelectionSet',
              selections: [
                { kind: 'Field', name: { kind: 'Name', value: 'cards' } },
              ],
            },
          },
        ],
      },
    },
  ],
} as unknown as DocumentNode<
  GetCurrentUserHomeCardQuery,
  GetCurrentUserHomeCardQueryVariables
>
